Series 2900 Vector Signal Generator (VSG) Help

Click on the icons below to learn more.

Getting started | 2910 Unpack | Modulation Standards 2910 | File Management 2910
Getting started | Modulations: analog, digital and Arb files | Modulation Standards | File management
2910 Remote Control | Licensing 2910 | Settings 2910 | Utilities 2910
Remote control | License functionality Move licenses | Global settings | Utilities


Site map

Analog modulation

  • AM
  • FM
  • PM
  • Pulse
  • Noise
  • 2 Tone

Arbitrary waveforms

Digital modulation

  • ASK
  • FSK
  • PSK
  • QAM

External IQ

File Management

Getting started

  • Front panel tour
  • Rear panel tour
  • GUI tour
  • Create a simple signal

Modulation standards

  • GSM / EDGE
  • cdma2000® Forward Link
  • W-CDMA / 3GPP Downlink
  • GPS Modulation

Remote Programming

  • LXI Web Interface
  • Programming messages
  • Command Locater
  • SCPI command tree

Global Settings

Utilities


Getting started

To become familiar with the instrument visit the following tours and descriptions.
A red box RedBox on an image indicates a link to more information.

  • About the Model 2910

Describes the Model 2910 instrument features and capabilities.
  • About the Model 2920

Describes the Model 2920 instrument features and capabilities.
  • Front panel tour

Tours the instrument display and front panel controls.
  • Rear panel tour

Tours the instrument rear panel connections.
  • Create a simple signal

Describes how to set up a basic signal.
  • GUI tour

Tours the instrument user interface that provides access to features for generating signals.


About the Model 2910

The Keithley Instruments Model 2910 Vector Signal Generator offers a frequency range of 400 MHz to 2.5 GHz an output power range of -125dBm to +13dBm. Capabilities and ranges that can accommodate the following applications:

  • Mobile handset production test
  • Handset R&D and design verification
  • Testing mobile communications infrastructure
  • RFIC testing
  • Wireless connectivity testing (802.11b/g WLAN)
  • Research and education in mobile communications

    NOTE: You must also order front or rear panel RF Out and benchtop or rackmount configuration

    • 2910-FP provides a front panel RF Out connector.
    • 2910-RP provides a rear panel RF Out connector.
    • 2890-BT benchtop configuration
    • 2890-RK rackmount configuraton

You may also order the factory option 2910-LPN (low phase noise)

The Model 2910 also has the following capabilities and features:

  • Higher speed for low cost of test
    • Faster tuning
    • Faster amplitude settling
    • Responsive controls
    • Faster switching between waveforms
  • Powerful built-in tools and capabilities
    • Digital signal structures
    • Arbitrary waveform generator memory
    • External I/Q modulation inputs
  • Signal generation accuracy
  • Easy to configure, easy to use
    • Intuitive graphic user interface
    • Compact size
    • Choice of remote programming interfaces
    • Flexible remote software tools
    • LXI Class C compliance
    • Graphical Help system

The following license options are available:

  • 2900-ALG (flexible analog modulation signal generation)
  • 2900-ARB-20 (arbitrary waveform generator with 20 MHz bandwidth)
  • 2900-ARB-40 (arbitrary waveform generator with 40 MHz bandwidth)
  • 2900-CDMA-F (cdma2000® forward link signal generation)
  • 2900-DIG (flexible digital modulation signal generation)
  • 2900-GPS (GPS signal generation)
  • 2900-GSM (GSM, GPRS, and EDGE signal generation)
  • 2900-WCDMA-D (W-CDMA FDD downlink signal generation)
  • 2900-TDSCDMA-PC (SignalMeister™ license for TD-SCDMA signal generation)

The following hardware options are available:

  • Model 2910-ADAPTER-KIT RF Cables and RF connector Adapters
  • Model 2910-DCBLOCK External DC Block
  • RF INSTRUMENTS-RMK Rack-mount kit with flanges
  • RF-INSTRUMENTS-BENCH-KIT Bench-top kit with bumpers and handles
  • Factory calibration report of instrument calibration data in hard copy format backed up electronically at Keithley Instruments, Inc.


About the Model 2920

The Keithley Instruments Model 2920 Vector Signal Generator offers a frequency range of 10MHz to 6.0GHz an output power range of -110dBm to +13dBm. Capabilities and ranges that can accommodate the following applications:

  • Mobile handset production test
  • Handset R&D and design verification
  • Testing mobile communications infrastructure
  • RFIC testing
  • Wireless connectivity testing (802.11b/g WLAN, Bluetooth)
  • Research and education in mobile communications

    NOTE: When ordering a Model 2920 VSG you must select a frequency option:

    • 2920-004 provides a frequency range of 10MHz to 4.0GHz.
    • 2920-006 provides a frequency range of 10MHz to 6.0GHz.

      NOTE: You must also order front or rear panel RF Out and benchtop or rackmount configuration

    • 2920-FP provides a front panel RF Out connector.
    • 2920-RP provides a rear panel RF Out connector.
    • 2890-BT benchtop configuration
    • 2890-RK rackmount configuraton

You may also order the following factory options:

  • 2920-LAR (low amplitude range <-110dBm)
  • 2920-LPN (low phase noise)

The Model 2920 also has the following capabilities and features:

  • Higher speed for low cost of test
    • Faster tuning
    • Faster amplitude settling
    • Responsive controls
    • Faster switching between waveforms
  • Powerful built-in tools and capabilities
    • Digital signal structures
    • Arbitrary waveform generator memory
    • External I/Q modulation inputs
  • Signal generation accuracy
  • Easy to configure, easy to use
    • Intuitive graphic user interface
    • Compact size
    • Choice of remote programming interfaces
    • Flexible remote software tools
    • LXI Class C compliance
    • Graphical Help system

The following license options are available:

  • 2900-ALG (flexible analog modulation signal generation)
  • 2900-ARB-20 (25mega-sample arbitrary waveform generator with 20MHz bandwidth)
  • 2900-ARB-40 (48mega-sample arbitrary waveform generator with 40MHz bandwidth)
  • 2900-ARB-80 (100mega-sample arbitrary waveform generator with 80MHz bandwidth)
  • 2920-BBIQ-A (baseband analog I-Q inputs and outputs)
  • 2900-CDMA-F (cdma2000® forward link signal generation)
  • 2900-DIG (digital modulation signal generation)
  • 2900-GPS (GPS signal generation)
  • 2900-GSM (GSM,GPRS and EDGE signal generation)
  • 2900-WCDMA-D (W-CDMA FDD downlink signal generation
  • 2900-TDSCDMA-PC (SignalMeister™ license for TD-SCDMA signal generation)

The following hardware options are available:

  • 2920-LAR (Low amplitude range -125dBm)
  • 2920-LPN (Low phase noise)
  • Model 2910-ADAPTER-KIT RF Cables and RF connector Adapters
  • Model 2910-DCBLOCK External DC Block
  • RF INSTRUMENTS-RMK Rack-mount kit with flanges
  • RF INSTRUMENTS-BENCH-KIT Bench-top kit with bumpers and handles

Factory calibration report of instrument calibration data in hard copy format backed up electronically at Keithley Instruments, Inc.


Front panel tour

This instrument front panel tour familiarizes you with each of the connections, controls and display features of the Series 2900 front panel. Select a red box in the image to learn more:

Front Panel Tour go to Power on button go to Instrument screen.htm go to Front panel Knob go to Front panel Puck go to RF Output connector go to Local button go to USB ports go to Preset


Instrument screen

The instrument screen is four inches high by six inches wide.

The exterior interface is a resistive membrane and is not a glass plate. Therefore, some care must be taken to avoid damaging it.

To ensure comfortable viewing, the display backlight is fluorescent.

A calibration utility is provided in the instrument to allow you to calibrate the screen. After you make the initial calibration, further calibration should not be necessary. However, the calibration process is quick and simple, so carry out a calibration if screen accuracy becomes a concern.


Power On button

If power is applied to the instrument, and the rear panel power switch is in the On/Standby position, the button shows amber illumination. This button has a power control symbol visible on it, through which light from an amber or green LED can be seen.

Pressing the button when in the On/Standby state, turns the instrument on. When turned on, the button illumination color changes from amber to green.

Time from pressing the Power On button to when the instrument program is running and ready to be used is less than a minute. However, the generated signal accuracy cannot be guaranteed to meet instrument specifications while the oven cold indicator is displayed, if in internal reference mode.

See also: Line input module


Line input module

The line input module has three components:

  • The power input switch has two positions: "0" = off and "|" =on/standby. When the switch is in the "|" position, power is applied to the instrument's ovenized reference oscillator (even when in standby mode). With power always applied to the reference oscillator, warm up time to frequency stability is minimized.
  • Below the power input switch is a covered fuse. The fuse is a 2Amp slow blow fuse. This same fuse is used for the line voltage range of 100 to 240Volts inclusive. It is removed after gaining access to it by pinching on either side of the fuse cover.
  • Below the fuse is the line input socket. Connect the socket to an appropriate line cord for your usage. The instrument automatically supports line voltages ranging from 100 to 240Volts inclusive.

See also:

  • Line frequency
  • Line power connection
  • Line voltage and fuses


Preset

To restore the instrument to its default condition select the Preset button on the front panel.

Alternatively, from the LXI web Interface, select Menu > Global Settings > Preset.

The instrument will preset in less than a second.

Note: The front panel Preset button is not active if the instrument is in the Remote or Local Lockout mode, as set by the remote programming interface.

Note: The following settings are not affected by Preset, *RST, or save/recall state:

  • Background tasks
  • Extended frequency
  • Display On/Off
  • Frequency reference
  • SCPI debug

See also:

Preset conditions

Extend Freq


Preset conditions

When initially powered up, or preset, the instrument state is set to the following values:

Parameter | Preset value | Parameter | Preset value
Frequency | 1GHz | Trigger | Free run
Amplitude | 0dBm | Sync out | Arb
Modulation | None | ALC | On
Modulation On switch | Off | Modulation | Auto
RF On switch | Off | CW | Auto

Note: The front panel Preset button will not be active if the instrument is in the local lockout mode, as set by the remote programming interface.

See Also:

Power On button

Preset


Extend Freq

The Extend Freq feature allows you to run the instrument at a slightly extended frequency range.

Access the extended frequency feature by selecting Menu > Global Settings > Advanced > Extend Freq.

Model 2910

The specified frequency range of the Model 2910 is 400MHz to 2.5GHz.

  • The extended frequency range of the standard instrument is 325MHz to 2.7GHz.

    NOTE: The instrument operating specifications do not apply to the extended frequency ranges of 325 to 400MHz and 2.5 to 2.7GHz.

When the instrument is operating in the extended frequency range, the frequency value appears in red. For example, with the standard instrument, 399MHz would appear in red text and 400MHz would appear in black text.

Model 2920

The Model 2920 with instrument option 2920-004 has an instrument operating range of 10MHz to 4.0GHz.

  • No frequency extension is available with instrument option 2920-004.

The Model 2920 with instrument option 2920-006 has an instrument operating range of 10MHz to 6.0GHz

  • The extended frequency range of the Model 2920-006 instrument is 10MHz to 6.9GHz.

    NOTE: The instrument operating specifications do not apply above 6.0GHz.

Preset does not change the extended frequency mode. To return to instrument operation in the specified frequency range, deselect the Extend Freq checkbox or cycle the power.

Note: If an instrument state with extended frequency setting turned-on is saved to a file, the frequency value is saved, but not the extended frequency setting. If that saved file is opened later on the instrument when the extend frequency setting has now been turned off, the frequency value that appears will not be correct, because it will have to be set within the specified limits. For example, if the extended frequency value was saved as 2.6GHz, the value appearing on the instrument will be 2.4999999GHz and no error will be reported. To prevent this situation from occurring, make sure to select the Extend Freq setting before opening files that contain extended frequency values.


USB ports

Use these two ports to connect USB devices to the instrument.

Common USB devices include the following items:

  • Peripherals such as mice and keyboards. When used in a desktop setting, a standard keyboard and mouse may be more convenient for the instrument operator.
  • Memory sticks can be connected to these ports to upload and download data files. Software upgrades can also be made using a memory stick.


Local button

While the instrument is being remotely controlled, it will not respond to input form the screen, external USB devices, or any of the front panel keys except Local. If the instrument is in remote mode but not in local lockout, selecting the Local button will restore the instrument to local mode.

In local mode, the front panel buttons, screen, external USB mice and keyboards are active.

Local lockout mode is set with the remote programming interface and is used for situations where no front panel control is desired (except the Power On button).


RF Out connector

The RF Out connector is located on either the front or rear panel, depending on the instrument hardware option ordered.

If the RF is ON, the generated signal is available at this connector.

See also:

2910 Options

2910-DCBLOCK option

2910-ADAPTER-KIT option


Front panel knob

This knob adjusts the value of the active parameter. It is often used in conjunction with the front panel puck and the number pad dialog box to set parameter values. Go to Changing a value to see how the front panel knob functions.

See also:

  • Front panel puck
  • Number pad


Changing a value

How to change a parameter value (such as frequency or amplitude)

Parameters can be changed in several ways:

  • Directly enter the value into the number pad.
  • Adjust the existing value using the front panel controls.
  • Send a remote command.

This topic describes the first two methods. The method you choose depends on how close the new value is to the existing value. If the gap is large, entering a value directly sets the value in one step. If the gap is small, the front panel control can often get to the new value quicker.

Selecting the parameter to change

Parameters that can be changed are displayed in a text box. Until a parameter is selected, the parameter text boxes have a black background.

To change the parameter value, the text box must first be selected. Once selected, the background color of the text box changes from black to green.

Note: Only one text box can be selected at a time.

Changing the value

Once the text box is selected, there are several ways to change the value:

Controls for changing a value

Front panel knob
Front panel puck | Number pad

Direct value entry using the Number Pad

  1. Select the center button on the front panel puck or double select the parameter text box.
  2. Use the numeric keys to enter the value.
  3. Select the unit.
  4. Select Close.

Adjust the existing value using the front panel controls

Depending on how far off the new value is from the existing value, use the front panel knob and puck. Use the left and right arrows on the puck to move the cursor in the value text box. Use the up and down-arrows on the puck or front panel knob to change the value.

Set to Max and Min values

When you select the number pad, you can set the parameter value directly to its maximum or minimum value by selecting either the Set to Max or Set to Min buttons.

Default values

When you select the number pad, you can set the parameter value directly to its default value by selecting the Default button.

Stepping the value

It is sometimes useful to change the value of a parameter in constant steps. A common example would be to step the frequency in constant steps from one frequency to another. The constant steps are generated by using the vertical controls on the front panel puck. The size of the steps is set in the Number Pad.

To change the step size

  1. Bring up the number pad by either:
    • Selecting the center button on the front panel puck.
    • Double select the value text box.
  2. Select the Step Size tab.
  3. Select Step Size radio button.
  4. Enter a numeric value.
  5. Select the units.
  6. Select Close.


Front panel puck

The front panel puck steps the display cursor in four directions: left, right, up and down. When the center button is pressed, a Number pad appears to allow you to enter a specific value directly.

This control is used in conjunction with the front panel knob and the number pad dialog box. To see how it interacts with these two other controls, see Changing a value.

See also:

  • Front panel knob
  • Number pad


Oven cold indicator

Although the instrument is ready to be used shortly after power up, the frequency reference source may not have reached operating temperature. This condition will be shown on the bottom right corner of the front panel GUI by an "OvenCold" indicator.

Depending on the ambient temperature, after power up the frequency reference source takes a few minutes to reach operating temperature. For most accurate signal generation, keep the rear panel line input switch in the "|" position to keep standby power applied to the instrument and make sure the oven cold indicator is not displayed.

See also:

Line input module

Frequency reference source


Rear panel tour

Select from the following list of connectors for information:

Connector | Model 2910 | Model 2920
Line input module | Yes | Yes
RF OUT connector | Yes | Yes
IEEE-488 connector | Yes | Yes
VGA OUT connector | Yes | Yes
DIGITAL I/O connector | Yes | Yes
USB connectors | Yes | Yes
LAN connector | Yes | Yes
I-IN, Q-IN connectors | Yes | Yes
I-OUT, Q-OUT connectors | No | Yes
TRIG IN connector | Yes | Yes
SYNC OUT | Yes | Yes
EVEN SEC IN, OUT connectors | Yes | Yes
Reference IN and OUT | Yes | Yes
LO IN and LO OUT | No | Yes
100 MHz IN and 100 MHz OUT | No | Yes


Line frequency

The instrument operates at line frequencies from 50 to 60Hz. There are no user settings for line frequency.


Line power connection

Follow the procedure below to connect the instrument to line power and power it up:

1. Check to see that the line voltage supply is within 100 to 240Volts AC; 50 to 60Hz.

CAUTION: Operating the instrument on an incorrect line voltage may cause damage to the instrument, possibly voiding the warranty.

2. The power switch is located on the rear panel power module. Before plugging in the power cord, make sure that the power switch is in the Off position. The Off position has the "O" symbol depressed on the rear panel power switch rocker.

3. Connect the female end of the supplied power cord to the AC receptacle on the rear panel. Connect the other end of the power cord to a grounded AC outlet.

NOTE: If the power switch on the instrument will not be easily accessible after it is set-up for bench-top use or rack mounted, use a power strip that has a power switch. This will allow you to turn the instrument on or off from the power strip.

WARNING: The power cord supplied with the instrument contains a separate ground wire for use with grounded outlets. When proper connections are made, the instrument chassis is connected to power line ground through the ground wire in the power cord. Failure to use a grounded outlet may result in personal injury or death due to electric shock.

4. Turn on the instrument by pressing the front panel Power On button.


Line voltage and fuses

The instrument is designed to accept a line voltage range of 100 to 240Volts. No line voltage switch settings are available.

A fuse protects the power line input of the instrument. If the line fuse needs to be replaced, perform the following steps:

WARNING: Make sure the instrument is disconnected from the AC line and other equipment before changing the line fuse. There is a risk of injury or death when handling an instrument that is still connected to the AC line.

1. Using a small flat-blade screwdriver, push the retaining clip toward the center of the module to release the fuse holder assembly.

2. Pull the fuse holder out of the power module.

3. Remove the blown fuse and replace it with similar 2.0Amp, 250Volt 5 x 20mm slow-blow fuse.

CAUTION: For continued protection against fire or instrument damage, only replace fuses with the type and rating listed. If the instrument repeatedly blows fuses, return the unit to Keithley Instruments.


REF IN and OUT connectors

REF IN connector

The 1 to 20 MHz REF IN connector allows an external frequency source to lock the instrument oscillator circuit to a range of from 1 to 20MHz, which can improve measurement accuracy. A software dialog box enables the instrument to synchronize to the external reference source.

  • Connector type: BNC
  • Amplitude range: -10 to 10dBm Input (DC blocked)
  • Coupling: DC blocked
  • Impedance: 50Ohms
  • Lock range: At 10MHz +/-10ppm
  • Frequency Range: 1MHz to 20MHz, user selectable with 1Hz resolution

REF OUT connector

The 10MHz external REF OUT connector is used in a daisy-chain configuration with other measurement instruments to improve measurement accuracy.

  • Connector type: BNC
  • Output impedance: 50Ohms
  • Output frequency: 10MHz
  • Amplitude: 5dBm approximately


RF OUT connector

If the RF is ON, the generated signal is available at this connector.

The RF Out connector is located on either the front or rear panel, depending on the options ordered.

See also:

2910 options

2910-DCBLOCK option

2910-ADAPTER-KIT option


IEEE-488 connector

The IEEE-488 connector is also known as the GPIB connector, and is part of the instrument remote programming interface.

The instrument can be controlled through this connector by commands from a remote host computer over a Remote control interface.

Also see the following topics:

GPIB address

System configuration for remote control


VGA OUT connector

This is a standard VGA output connector. By connecting a standard VGA cable and monitor to this port, you can view the instrument display remotely, providing the convenience of viewing the instrument display on a larger monitor.


DIGITAL I/O connector

The Digital I/O connector allows for inter-instrument communications between multiple Keithley Instruments units.

To learn more, see Digital I/O


Digital I/O

The VSG Digital I/O port is accessed at a male DB-9 connector located on the rear panel. There are four output (write) bits and one input (read) bit.

Select the following topics to learn more about the digital I/O functionality in the VSG.

  • Digital I/O connector pin out
  • Digital input
  • Digital outputs
  • Setting digital output lines

.


USB connectors

There are two USB connectors on the rear panel ("A" and "B"). The "B" connector is labeled "(From Host)" and is normally used to connect the instrument to a host computer.

The USB connectors are a part of the Remote control interface. Through the USB "B" connector, the instrument can be controlled by commands from a remote host computer.

Also see the following topic:

System configuration for remote control


LAN connector

The LAN connector is a standard RJ45 LAN connector, and is part of the instrument remote programming interface. The instrument can be controlled through this connector by commands from a remote host computer over a Remote control interface.

Also see the following topics:

LAN Config init.

System configuration for remote control

LAN (Ethernet) troubleshooting


I-IN, Q-IN connectors

The I-IN and Q-IN connectors allow you to connect an external arbitrary generator to the instrument I/Q modulator. This gives you additional control of the RF signals that you can generate. The rear panel I-IN and Q-IN connectors are activated from the instrument front panel.

The external I and Q inputs are designed for a 50Ohm input impedance and have a bandwidth of greater than 100MHz.

The user should supply an I and Q signal that is 1.6Volt peak-to-peak amplitude centered around a nominal 0Volts. In order to get good carrier and sideband suppression, you will have to adjust DC offset, amplitude and phase of the baseband inputs.

Also see External IQ.


I-OUT, Q-OUT connectors

The I-OUT and Q-OUT connectors allow you to connect to the an instrument I/Q demodulator or external signal analysis software. The rear panel I-OUT and Q-OUT connectors are activated from the instrument front panel.

Also see External IQ.


TRIG IN connector

The TRIG IN connector allows another device to initiate an event in the instrument. To learn more on how this can be done see Trigger description and uses.

TRIG IN is a high impedance (10KOhms in parallel with 22pF), diode clamped Schmidt trigger input. A logic signal greater than 1.3Volts initiates a trigger. The input is diode clamped for protection; absolute maximum levels on this line are -0.4 to 3.7VDC. This input may be terminated into 50Ohms using a feed-through termination (not supplied) at the rear panel.

See also Sync Out.


SYNC OUT connector

The SYNC OUT connector allows the instrument to communicate with another device. It is often used in conjunction with the trigger input signal to notify another device that the event requested has been performed. To learn more on how this can be done, see SYNC OUT description and uses.

The SYNC OUT is a low impedance TTL-compatible bus driver output signal capable of sourcing 30mA or sinking 60mA maximum.

See also TRIG IN connector.


EVEN SEC IN, OUT connectors

Like the REF IN and REF OUT connectors, the EVEN SEC IN and EVEN SEC OUT connectors are used in conjunction with other devices for accurate frequency locking purposes.

EVEN SEC IN is a high impedance (10KOhms in parallel with 22pF), diode clamped Schmidt trigger input. A logic signal greater than 1.3Volts initiates a trigger. The input is diode clamped for protection, and absolute maximum levels on this line are -0.4 to 3.7VDC. This input may be terminated into 50Ohms using a feed-through termination (not supplied) at the rear panel.

EVEN SEC OUT is a low impedance, TTL compatible bus driver output signal capable of sourcing 30mA or sinking 60mA maximum.


100 MHz IN and 100 MHz OUT

These connections are for external synchronizing of multiple units. Do not feed external signals into these ports. These connections must have the supplied jumper attached for normal operation.


LO IN and LO OUT

These connections are for external synchronizing of multiple units. Do not feed external signals into these ports. These connections must have the supplied jumper attached for normal operation.


Frequency reference

In making measurements, it is often found useful to lock several instruments to the same frequency reference. For example, to achieve better frequency accuracy than the instrument internal frequency reference provides, a precision frequency reference source can be connected to the instrument, through a rear panel connector.

To change the instrument frequency reference source from the instrument screen or the LXI web interface, follow the steps below.

  1. Select Preset.
  2. Select Menu > Global Settings > Frequency Reference...
  3. Select the source of the frequency reference: Internal | Even Second In | External.
  • If you selected Internal or Even Second In, press Close to accept the settings.
  • If you selected External, select and change the value, if necessary.

    Values allowed for frequency reference are between (1MHz to 20MHz).

The Reference status indicator on the instrument screen shows the following indications:

  • Ref External Present if External is selected and an external reference is detected.
  • Ref External Missing if External is selected and no external reference is detected.

See Also:

Reference IN and OUT connector

EVEN SEC IN, OUT connectors

[:SOURce]:ROSCillator:SOURce

[:SOURce]:IEVensecond:POLarity

[:SOURce]:ROSCillator:EXTernal:FREQuency


2910-DCBLOCK option

The 2910-DCBLOCK option is available to provide some isolation between the output of the Series 2900 VSG and any device under test (DUT) connected to that output.

Connecting this option puts an inline capacitor between the Series 2900 output circuitry and the customer DUT. This capacitor blocks up to 50Volts of DC that may be present on the DUT from entering the instrument. It also isolates the 50Ohm output impedance of the Series 2900 from potentially loading the input of the customer DUT applied to the Series 2900 RF output.

Connecting the 2910-DCBLOCK

The 2910-DCBLOCK is a single component with SMA connectors on both ends. To connect the 2910-DCBLOCK to RF Output, a Type-N to SMA female adapter is needed. Note: For customers that don't have one available, a Type-N to SMA female adapter is included in the 2910 Accessory Kit option.

See also

2910-ADAPTER-KIT option

Front panel tour

Rear panel tour


2910-ADAPTER-KIT option

The 2910-ADAPTER-KIT has been made available to help customers more conveniently set up and integrate the Series 2900 instruments into their existing systems.

The kit contains cables for conveniently routing signals to and from the Series 2900. These signals include RF Out, SYNC OUT, TRIG IN, even second and reference frequency. In addition a USB cable is included for remote programming and an adapter for the 2910-DCBLOCK option

The 2910-ADAPTER-KIT contains the following:

Qty Description Length (meters)

2 Type-N Male to Type-N Male Cable 1

2 SMB Male to SMB Male Cable 1

2 SMB Male to SMB Male Cable 0.3

4 SMB Male to BNC Male Cable 1

2 BNC Male to BNC Male Cable 1

2 Type-N Male to SMA Female Adapter n/a

1 USB Host to USB Device Cable 1

See also:

Rear panel tour

2910-DCBLOCK option


GUI tour

Press on one of the red box selections to learn more.

go to Menu choices go to Select Modulation Choices go to What's this Help go to Frequency value go to Amplitude value go to Modulation On go to RF On go to Reference Frequency Source go to ALC go to Sync go to Trigger


Frequency value

  • Press instrument Preset

By default the frequency value is set to 1GHz.

If necessary change the value of frequency.


Amplitude value

By default the amplitude value is set to -10dBm.

If necessary change the value of amplitude.


Modulation On button

This button, when on, applies a loaded modulation to the IQ modulator and the RF carrier signal.


RF On button

Select this button to connect the modulated RF waveform to the RF Out connector.


Menu choices

Click on one of the menu choices to learn more:

  • File
  • Settings
  • Utilities
  • Help
  • Select Language


File

Click on one of the file selections to learn more

  • Load setup
  • Save setup
  • Shared network folders


Open setup...

Instrument settings that have been previously saved, can be loaded and restored on the instrument.

An instrument setup file can be loaded from:

  • A memory location inside the instrument.
  • A memory stick connected to a USB port.
  • A Shared network folder.

Refer to How to load an instrument setup file.

Refer to Shared network folders to see how setup files can be loaded from a remote location.


To load an instrument setup file

The instrument setup file save and load operations have the following features:

  • If you save an instrument setup file from the front panel interface, you will only be able to load the file from the front panel interface.
  • If you save an instrument setup file remotely using programming commands, you will only be able to load the file with programming commands.

Note: If a sequence file is open at the time an instrument setup is saved, the sequence file will be part of the saved setup file. When the instrument setup file is later opened, the sequence file will also be opened if the following conditions exist: the recalled sequence file is located in the User directory and the arbitrary waveform files that are referenced in the sequence file are added to the arbitrary waveform playback table.

With the front panel interface:

  1. Select Menu > File > Open Setup.
    • If you want to load a setup file from the User directory, select (highlight) the file in the User directory.
    • If you want to load a setup file from another location, select the folder or drive that includes the file you want in the Look In field. Select (highlight) the file.
  2. Select Load.

With the remote programming interface:

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

*SAV 2 | ' Save present setup in memory location 2.
*RST | ' Restore GPIB defaults.
*RCL 2 | ' Recall location 2 setup.

Note: The frequency reference is not affected by Preset, *RST, or save/recall state.


Save setup...

Instrument settings can be saved for future reloading in three locations.

  • A memory location inside the instrument.
  • A memory stick connected to a USB port.
  • A Shared network folder.

See how to save an instrument setup file.

  • Select the Look in field to select User or USB.

In this example select User to save the setup as a file in the internal flash memory.


To save an instrument setup file

The instrument setup file save and load operations have the following restrictions:

  • If you save an instrument setup file from the front panel interface, you will only be able to load the file from the front panel interface.
  • If you save an instrument setup file remotely using programming commands, you will be only able to load the file with programming commands.

    Note: If a sequence file is open at the time an instrument setup is saved, the sequence file will be part of the saved setup file. When the instrument setup file is later opened, the sequence file will also be opened if the following conditions exist: the recalled sequence file is located in the User directory and the arbitrary waveform files that are referenced in the sequence file are added to the arbitrary waveform playback table.

With the front panel interface:

Set up the instrument to the values that you want:

  1. Select Menu > File > Save Setup.
  2. Select the File name: field or the keyboard button and type a name.
  3. Select Enter > Save.

With the remote programming interface:

The following example summarizes the basic command sequence for saving and recalling a setup remotely. The current setup is stored in memory location 2, GPIB defaults are restored, and the setup in memory location 2 is recalled.

*SAV 2 | ' Saves present setup in memory location 2.
*RST | ' Restores all instrument settings.
*RCL 2 | ' Recalls location 2 setup.

Note: The frequency reference is not affected by Preset, *RST, or save/recall state.


Shared network folders...

Use this dialog box to manage shared network folders

Learn about:

Folder or drive sharing

To share a drive or folder on the network

You can make a connection between the instrument and any Microsoft® Windows computer drive to share or manage files across multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

Note: You can only establish a shared folder from the front panel interface, and if a password is required, you will need a USB keyboard attached to the instrument.

Note: When the power is cycled on the instrument, the drive sharing path must be re-established.

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

After setting up the shared folder, all file dialogs will include the shared folder as a selection under Look In. If the shared path has multiple directories, only the last directory is displayed in Look In.

For example:

\\mycomputer\public shows as "public"

\\mycomputer\public\example shows as "example"

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address.

  1. From the instrument screen, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.
  5. This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.

Select Close to close the dialog.


Folder or drive sharing

You can make a connection between the instrument and any Windows computer drive to share or manage files across the multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

Note: You can only establish a shared folder from the front panel interface and if a password is required, you will need a USB keyboard attached to the instrument.

Note: When the power is cycled on the instrument, the drive sharing path must be re-established.


Shared network folders...

Use this dialog box to manage shared network folders

Learn about:

Folder or drive sharing


Help

Click on one of the Help selections to learn more:

  • Instrument Help
  • About Keithley 2900


Instrument Help

Instrument Help provides more topic information, and topics are linked allowing browsing between them. This form of user assistance uses the whole touch screen to display information and interacts with the user. There is a table of contents and an index provided as further reference tools.

Here is how to access Instrument help:

Menu > Help > Help System...

The instrument help system replaces the application program on the display.

There are two major regions in the instrument help system, menu bar and page display. Both have navigation controls and using the two in combination, it is possible to navigate and find content.

Menu Bar

There are several buttons on the menu bar:

Home: Select this to open the instrument help home page. This acts as good starting point to move into major categories of information.

Back: Select this to go back to the previous help page backwards in a time line of help pages. This is handy for coming back from links that didn't have what you were looking for.

Forward: Select this to go forward to the next help page forward in a time line of help pages. This is handy for going backwards and forwards between two related help pages.

TOC: Select this to open a table of contents. All major topics in the instrument help system can be opened and viewed from here. It acts like a site diagram. The structure of the instrument help system can be seen as a whole.

Index: Select this to open an index help page. All major topics in the instrument help system can be viewed in alphabetical order and opened from here. This is handy if you are looking for a particular topic and are not sure where it would be located.

Help Page Display Region

This region displays the target help pages from the navigation links. The navigation links can be the buttons on the menu bar, or links within the help pages themselves. Many large topics start with a list of topics that can be jumped to and then end with "See Also" links to topics that may be related or of interest.

Some links are termed expanded line links and are designed to keep the user on the same page by giving a little more information about a particular topic.


About Keithley 2900

This screen is accessed by: Menu > Help > About Keithley 2910 or 2920...

Use this as a reference to access data unique to the instrument.

Alternately, you can access this screen through the LXI web interface by selecting: IP Configuration.

If you choose to modify this information, you are presented with the administration password control box.

Note: the above image is for the Model 2910 instrument. Model 2920 has some different parameters displayed such as "AMP PLD Rev:"


Select Language

You can choose to view the following portions of the user interface in various languages:

  • Front panel interface
  • Help topics

To choose the language, follow these steps:

  1. Select Menu > Select Language...
  2. Select the Front Panel Language drop-down arrow and select from the available languages.
  3. Select the Help System Language drop-down arrow and select from the available languages.
  4. Select Apply to make your choices take affect.


Select modulation choices

Select one of the modulation formats to learn more:

  • Home
  • Modulation standards
  • Digital
  • Analog modulation
  • ARB waveforms
  • External IQ


Trigger

A trigger is an input to the instrument that causes it to initiate an operation. The Series 2900 VSG has a single analog, TTL level input for hardware triggers, and will accept SCPI trigger commands. How the Series 2900 responds to a trigger is software configurable. See the following topics for more information.

Trigger description and uses

Trigger and sync out

To set the trigger

Trigger connections

From the instrument screen or the LXI web interface, select: Menu > Global Settings > Trigger...


Sync Output

A sync output is a pulse generated from the vector signal generator (VSG) to initiate control of other equipment that receives the VSG RF output. The VSG has a single TTL-level sync output. The VSG supports the SCPI *WAI, *OPC and *OPC? synchronization methods. See the following topics for more information.

Sync pulse description and uses

To set the sync out

Connections


ALC (automatic leveling control)

The ALC dialog box allows automatic leveling control settings to be made from the instrument screen or from the LXI web interface.

ALC may be set for modulated waveforms with two options:

  • Auto
  • Sample/Hold

ALC may be set for CW waveforms with the following five options:

  • Auto
  • Sample/Hold
  • Fast
  • Medium
  • Slow
  • Max Power

This dialog box also enables you to turn ALC on or off and to refresh a sample and hold process.

To learn more, see Automatic Leveling Control.


Create a simple signal

These two sections are designed to give an overview of how a simple RF signal is produced.

  1. Simplified block diagram gives an overview of the Series 2900 hardware.
  2. Graphical user interface controls the hardware allowing different signal parameters to be selected and set.

Simplified block diagram

The RF modulated signal is produced by the program GUI controlling these six hardware components.

1 | Frequency Control is set by a divide by N frequency synthesizer and then applied to the IQ modulator.
2 | Amplitude Control: The output level of the modulated carrier signal is adjusted using an ALC loop.
3 | Select Modulation from a list of formats generated by the DSP processor.
4 | Load Modulation after it has been configured to be applied to the carrier signal.
5 | Apply modulation to the IQ modulator using the Modulation On button
6 | Use the Switch RF On to apply signal power to the output connector.


Graphical user interface

The display looks like this when the instrument is powered up or Preset.

There are three regions on this GUI:

  • The top menu bar is a fixed region consisting of menu, modulation selection and "What's this?" Help.
  • The right side panel is also fixed. It allows the frequency and amplitude values to be changed. It also allows modulation and RF to be turned on and gives information on the modulation selected.
  • The content in the left pane is variable. Showing here is data selected from the Menu and Select Modulation buttons. This modulation data can be edited and loaded for application to the RF carrier signal.


Modulations: Analog, digital and Arb files

Select from the following:

  • Analog modulation
  • Digital modulation
  • ARB waveforms
  • External IQ


Analog modulation

The Model 2910 VSG firmware version 2.0 requires an instrument license option to generate analog modulation signals. Refer to Series 2900 Licensing for details. From the following list of modulation types, select one to learn how to create an analog modulated signal:

  • Amplitude mod (AM)
  • Frequency mod (FM)
  • Phase mod (PM)
  • Pulse Mod
  • Noise
  • 2 Tone


Amplitude modulation (AM)

This procedure steps through setting up a CW carrier signal amplitude modulated by a sine wave.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure AM modulation

  1. Select the Select Modulation button.
  2. Select Analog > AM..
  3. If necessary, select the AM Rate field and change the value.
  4. If necessary, select the AM Depth field and change the value.
  5. If necessary, select the type of modulation Waveform (Sine, Ramp Down, Ramp Up or Triangle).
  6. Select the Load button to load the AM modulation. Notice the amplitude modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Frequency modulation (FM)

This procedure steps through setting up a CW carrier signal frequency modulated by a sine wave.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure FM modulation

  1. Select the Select Modulation button.
  2. Select Analog > FM.
  3. If necessary, select the FM Rate field and change the value.
  4. If necessary, select the FM Deviation field and change the value.
  5. If necessary, select the type of modulation Waveform, (Sine, Ramp Down, Ramp Up or Triangle).
  6. Select the Load button to load the FM modulation. Notice the frequency modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Phase modulation (PM)

This procedure steps through setting up a CW carrier signal phase modulated by a sine wave.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure phase modulation

  1. Select the Select Modulation button.
  2. Select Analog > ?M.
  3. If necessary, select the ?M Rate field and change the value.
  4. If necessary, select the ?M Deviation field and change the value.
  5. Select the Load button to load the phase modulation. Notice the phase modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Pulse modulation

This procedure steps through setting up a pulse modulated CW carrier signal.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure pulse modulation

  1. Select the Select Modulation button.
  2. Select Analog > Pulse.
  3. If necessary, select the Pulse Rate field and change the value. The actual value of pulse period generated by the instrument is shown below the Pulse Rate field. To find out why there may be a difference, see Pulse Modulation Sample Rate.
  4. If necessary, select the Duty Cycle field and change the value. The actual value of pulse width generated by the instrument is shown below the Duty Cycle field. To find out why there may be a difference, see Pulse Modulation Sample Rate.
  5. Select the Load button to load the pulse modulation. Notice the pulse modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Noise modulation

This procedure steps through setting up a noise modulated CW signal.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure noise modulation

  1. Select the Select Modulation button.
  2. Select Analog > Noise.
  3. Select the Noise Bandwidth field and change the value as required.
  4. Select the Load button to load the noise modulation. Notice the noise modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


2 Tone modulation

This procedure steps through setting up a 2 Tone modulated CW signal.

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure 2 tone modulation

  1. Select the Select Modulation button.
  2. Select Analog > 2 Tone.
  3. Change the 1 kHz default 2 Tone Freq Span value if necessary.
  4. Select the Load button to load the 2 Tone modulation. Notice the 2 Tone modulation details appear below the Modulation On button.

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


Digital modulation

Modulation is the process of varying a high-frequency sinusoid waveform (carrier signal), to transmit information. The following characteristics of a sine wave can be modified to create a modulated signal.

  • Amplitude
  • Phase
  • Frequency

Digital modulation, or shift keying, modifies a carrier signal characteristic with a set of defined values or symbols. This defined set of symbols is known as a modulation alphabet. Each of the following digital modulation methods uses values from a specific symbol alphabet:

  • Amplitude-shift keying (ASK) uses a defined set of amplitude values.
  • Phase-shift keying (PSK) uses a defined set of phase values.
  • Frequency-shift keying (FSK) uses a defined set of frequency values.
  • Signed-Amplitude Shift Keying (SASK) uses a defined set of signed-amplitude values.
  • Quadrature-amplitude modulation (QAM) uses a defined set of complex vectors.

Each of the symbols represents binary bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01 or 10 which makes a modulation alphabet of four symbols. The symbol then represents a specific phase, frequency, amplitude, or complex vector. The more bits per symbol, the more choices in signal state are available at each symbol instant. Therefore, symbol rate and bit rate are not the same, unless the symbol is made up of one bit.

The symbols that make up the modulation alphabet are shown on a constellation diagram for the PSK, ASK, and QAM methods of digital modulation in the complex phasor plane. This diagram represents the complex numbers for each symbol as set up by the real axis (x axis) and the imaginary axis (y axis). The real axis is also known as the in phase (I) axis and the imaginary axis is also known as the quadrature (Q) axis.

For example, the following diagram shows the simplest symbol that represents one bit/symbol and a modulation alphabet of two symbols.

The next example diagram shows symbols that have two bits/symbol and a modulation alphabet of four symbols.

4 bit constellation

This example diagram shows symbols that have three bits/symbol and a modulation alphabet of eight symbols.

This last example shows another configuration of the constellation diagram when there are four bits/symbol and a modulation alphabet of 16 symbols.

See also:

  • To digitally modulate the carrier
  • To edit a digital modulation


ASK (amplitude-shift-keying)

Amplitude-shift-keying (ASK) is a form of amplitude modulation where the modulating signal shifts the carrier output amplitude between predetermined values in accordance with the bit stream, keeping frequency and phase constant. The level of amplitude represents binary logic 0s and 1s. On a constellation diagram, the real and imaginary axes are termed the in-phase and quadrature axes respectively due to their 90° separation. The amplitude of each point along the in-phase axis is used to modulate a cosine (or sine) wave.

Typically, the ASK modulation requires no carrier synchronization in the receiver so it is used for simpler types of systems. A variant of ASK exists known as signed amplitude-shift-keying (SASK) that does require synchronization. This scheme allows a phase reversal as the only additional change without any imaginary (Q) component to the signal.

ASK symbol type

ASK OOK (amplitude-shift-keying) (on-off keying) is a special case of general ASK that operates as a switch, using the presence of a carrier wave to indicate a binary '1' and its absence to indicate a binary '0.'

ASK4 (amplitude-shift-keying4) represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.

SASK2 (signed amplitude-shift-keying2) uses an additional amplitude level to represent data. This constellation diagram is the same as the BPSK constellation diagram.

SASK4 (signed amplitude-shift-keying4) represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.

Symbol/s

The speed at which data symbols are transmitted or received. However, symbols can be made up of various numbers of binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01 or 10 which makes a modulation alphabet of four symbols. The more bits per symbol, the more combinations of information or data can be transmitted with a single symbol. Therefore, symbol rate and bit rate are not the same, unless the symbol is made up of one bit.

symbol rate = bit rate / #bits transmitted per symbolDifferential Encoding

This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's transmitted alphabet index and the current data index. These relative changes in conditions are represented with binary data, such as a "0" or a "1." For example, the information transmitted may be the difference between phases of successive symbols, not the absolute phase of the signal. The most common type of modulation that uses differential coding is phase-shift keying (PSK). Since this numeric process happens before the symbol is created, you can use differential encoding for any modulation type.

Filters

Factor -- Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference. However, achieving these two goals requires you to consider balancing the results. The instrument allows you to apply the following filters to the signal:

Data pattern and length

In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.

Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.

Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.

Data invert

Data invert changes 0 to 1 and 1 to 0 in the data pattern.

ASK related commands:

[:SOURce]:ASK:DENCoding

[:SOURce]:ASK:FILTer

[:SOURce]:ASK:LOAD

[:SOURce]:ASK:PATTern

[:SOURce]:ASK:PATTern:INVert

[:SOURce]:ASK:SPS

[:SOURce]:ASK:STYPe


PSK (phase-shift-keying)

Phase-shift-keying (PSK) is a digital modulation scheme that transmits data by changing the phase of a reference signal (the carrier wave) by predetermined values in accordance with the bit stream. The amount of phase shift represents binary logic 0s and 1s.

On a constellation diagram, the real and imaginary axes are termed the in-phase and quadrature axes respectively due to their 90° separation. The amplitude of each point along the in-phase axis is used to modulate a cosine wave and the amplitude along the quadrature axis to modulate a sine wave.

In PSK, the constellation points are positioned with uniform angular spacing around a circle. This gives maximum phase-separation between adjacent points, providing the best immunity to data corruption. Because the points are positioned on a circle, they can all be transmitted with the same energy and at the same amplitudes for the cosine and sine waves.

PSK symbol type

BPSK (binary phase-shift-keying) uses two phases that are separated by 180°. This modulation is the most robust of all the PSKs but is only able to modulate at 1bit/symbol. This constellation diagram is the same as the BPSK constellation diagram.

QPSK (quaternary or quadriphase phase-shift-keying) uses four phases or points on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 2bits/symbol.

You can use this modulation in the following applications:

  • Double the data rate compared to a BPSK while maintaining the bandwidth of the signal.

    or

  • Maintain the data-rate of BPSK but halve the bandwidth needed.

Although QPSK can be viewed as a quaternary modulation, you can also see it as two independently modulated quadrature carriers. With this interpretation, the even (or odd) bits are used to modulate the in-phase component of the carrier, while the odd (or even) bits are used to modulate the quadrature-phase component of the carrier.

Õ?/ 4–QPSK is a version of QPSK uses two identical constellations which are rotated by 45° (? / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a ? / 4 rotation added to select points from the other constellation. This reduces the phase-shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°. The amplitude fluctuations of ? / 4–QPSK are between OQPSK and non-offset QPSK.

The construction of the modulated signal is the same as for ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the 'blue' constellation.
  • The second symbol (00) is taken from the 'orange' constellation.

The magnitudes of the two component waves change as they switch between constellations, but the total signal's magnitude remains constant. The amplitude will never pass through complete zero amplitude, shutting off the RF for that short duration.

3? / 4–QPSK is a version of QPSK uses two identical constellations which are rotated by 135°???? / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a 3? / 4 rotation added to select points from the other constellation. This reduces the phase-shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The construction of the modulated signal is the same as for ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the 'blue' constellation.
  • The second symbol (00) is taken from the 'orange' constellation.

The magnitudes of the two component waves change as they switch between constellations, but the total signal's magnitude remains constant. The amplitude will never pass through complete zero amplitude, shutting off the RF for that short duration.

OQPSK (offset quaternary or quadriphase phase-shift-keying) delays one of the two symbol components (in-phase and quadrature) by the duration of half a symbol (one bit). Since the symbol only changes a half symbol at a time, the maximum phase shift is 90°. As the constellation diagram for QPSK shows, each adjacent symbol differs only by one bit. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The following graphic shows the difference in the behavior of the phase shifts between QPSK and OQPSK. The phase in the QPSK graph changes by 180° at once, where the phase changes in the OQPSK graph are never greater than 90°.

OQPSK vs QPSK

8 PSK (eight phase-shift-keying) uses eight phases or points on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 3 bits/symbol.

With more than 8 phases, the error-rate for a given output power is very high because of the small vector difference between symbols. Often, it is thought to be better to use other available modulations such as quadrature amplitude modulation (QAM).

Symbol/s

The speed at which data symbols are transmitted or received. However, symbols can be made up of various numbers of binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01 or 10 which makes a modulation alphabet of four symbols. The more bits per symbol, the more combinations of information or data can be transmitted with a single symbol. Therefore, symbol rate and bit rate are not the same, unless the symbol is made up of one bit.

symbol rate = bit rate / #bits transmitted per symbolDifferential encoding

This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's transmitted alphabet index and the current data index. These relative changes in conditions are represented with binary data, such as a "0" or a "1." For example, the information transmitted may be the difference between phases of successive symbols, not the absolute phase of the signal. The most common type of modulation that uses differential coding is phase-shift keying (PSK). Since this numeric process happens before the symbol is created, you can use differential encoding for any modulation type.

Filter

Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference. However, achieving these two goals requires you to consider balancing the results. The instrument allows you to apply the following filters to the signal:

Data pattern and length

In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.

Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.

Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.

Data invert

Data invert changes 0 to 1 and 1 to 0 in the data pattern.

PSK related commands:

[:SOURce]:PSK:DENCoding

[:SOURce]:PSK:FILTer

[:SOURce]:PSK:LOAD

[:SOURce]:PSK:PATTern

[:SOURce]:PSK:PATTern:INVert

[:SOURce]:PSK:SPS

[:SOURce]:PSK:STYPe

Phase-shift-keying (PSK) is a digital modulation scheme that transmits data by changing the phase of a reference signal (the carrier wave) by predetermined values in accordance with the bit stream. The amount of phase shift represents binary logic 0s and 1s.

On a constellation diagram, the real and imaginary axes are termed the in-phase and quadrature axes respectively due to their 90° separation. The amplitude of each point along the in-phase axis is used to modulate a cosine wave and the amplitude along the quadrature axis to modulate a sine wave.

In PSK, the constellation points are positioned with uniform angular spacing around a circle. This gives maximum phase-separation between adjacent points, providing the best immunity to data corruption. Because the points are positioned on a circle, they can all be transmitted with the same energy and at the same amplitudes for the cosine and sine waves.


FSK (frequency-shift-keying)

Frequency-shift-keying (FSK) is a form of frequency modulation where the modulating signal shifts the output frequency between predetermined values in accordance with the bit stream. The frequency shift represents binary logic 0s and 1s.

FSK symbol type

FSK2 is made by having one frequency represent binary 1 and another frequency represent binary 0. The modulation frequency separation sets the relative value that the frequency shifts between the two discrete values termed the mark frequency and the space frequency.

Symbol/s

The speed at which data symbols are transmitted or received. However, symbols can be made up of various numbers of binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01 or 10 which makes a modulation alphabet of four symbols. The more bits per symbol, the more combinations of information or data can be transmitted with a single symbol. Therefore, symbol rate and bit rate are not the same, unless the symbol is made up of one bit.

symbol rate = bit rate / #bits transmitted per symbolDifferential encoding

This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's transmitted alphabet index and the current data index. These relative changes in conditions are represented with binary data, such as a "0" or a "1." For example, the information transmitted may be the difference between phases of successive symbols, not the absolute phase of the signal. The most common type of modulation that uses differential coding is phase-shift keying (PSK). Since this numeric process happens before the symbol is created, you can use differential encoding for any modulation type.

Filters

Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference. However, achieving these two goals requires you to consider balancing the results. The instrument allows you to apply the following filters to the signal:

Data pattern and length

In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.

Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.

Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.

Data invert

Data invert changes 0 to 1 and 1 to 0 in the data pattern.

FSK related commands:

[:SOURce]:FSK:DENCoding

[:SOURce]:FSK:FILTer

[:SOURce]:FSK:FSEParation

[:SOURce]:FSK:LOAD

[:SOURce]:FSK:PATTern

[:SOURce]:FSK:PATTern:INVert

[:SOURce]:FSK:SPS

Note: The ARB file based methodology of our Series 2900 VSGs, makes FSK wrap points a theoretical problem. The phase must taper down towards the end of the ARB file, to minimize value discontinuity. The taper time, if too long, affects receiver data acquisitions. HorizontalRule


QAM (quadrature-amplitude-modulation)

Quadrature-amplitude-modulation (QAM) is a modulation scheme that conveys data by changing carrier waves with a finite number of amplitude/phase combinations (complex vectors).

The points in a QAM constellation diagram are usually arranged in a grid with equal vertical and horizontal spacing. Because the points are no longer arranged equally distant around a circle, as was the case with PSK, the amplitude and phase must both change. Since the data is binary, the number of points in the grid is a power of 2. It is possible to transmit more bits per symbol when using a higher-order constellation. Yet, to keep the mean energy of the constellation the same, the points must be closer together. This makes the data more susceptible to noise, resulting in a higher bit error rate. Therefore, higher-order QAM can transmit more data but less reliably than lower-order QAM for a given signal-to-noise ratio.

Quadrature amplitude modulation (QAM) uses many different phases known as states. The Series 2900 VSG has the following states available: 16, 32, 64, 128, and 256. Each state is defined by a specific amplitude and phase. Each time the number of possible states per symbol is increased the total data and bandwidth increases.

QAM symbol type

QAM 16 (quadrature amplitude modulation) uses 16phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 4 bits/symbol.

QAM 32 (quadrature amplitude modulation) uses 32phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing. This modulation is able to modulate at 5 bits/symbol. QAM32 is a square 6x6 pattern with the 4 corner states removed.

QAM 64 (quadrature amplitude modulation) uses 64phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 6 bits/symbol.

QAM 128 quadrature amplitude modulation) uses 128phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing. This modulation is able to modulate at 7 bits/symbol. QAM128 is a square 12x12 pattern with a square block of 4 states removed from each corner.

QAM 256 (quadrature amplitude modulation) uses 256phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 8 bits/symbol.

Symbol/s

The speed at which data symbols are transmitted or received. However, symbols can be made up of various numbers of binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01 or 10 which makes a modulation alphabet of four symbols. The more bits per symbol, the more combinations of information or data can be transmitted with a single symbol. Therefore, symbol rate and bit rate are not the same, unless the symbol is made up of one bit.

symbol rate = bit rate / #bits transmitted per symbolDifferential encoding

This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's transmitted alphabet index and the current data index. These relative changes in conditions are represented with binary data, such as a "0" or a "1." For example, the information transmitted may be the difference between phases of successive symbols, not the absolute phase of the signal. The most common type of modulation that uses differential coding is phase-shift keying (PSK). Since this numeric process happens before the symbol is created, you can use differential encoding for any modulation type.

Filter

Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference. However, achieving these two goals requires you to consider balancing the results. The instrument allows you to apply the following filters to the signal:

Data pattern and length

In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.

Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.

Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.

Data invert

Data invert changes 0 to 1 and 1 to 0 in the data pattern.

QAM related commands:

[:SOURce]:QAM:DENCoding

[:SOURce]:QAM:FILTer

[:SOURce]:QAM:LOAD

[:SOURce]:QAM:PATTern

[:SOURce]:QAM:PATTern:INVert

[:SOURce]:QAM:SPS

[:SOURce]:QAM:STYPe


To digitally modulate the carrier

  1. Choose Select Modulation > Digital and select the type of modulation.
  2. Select the modulation file that you want to output from the VSG.
    • If you want to output the modulation with the default settings, select Load.
    • If you want to output a file that has been previously saved, select Waveform File > Open. Navigate to the location of the file, select the file and then Load.
  3. Select RF On to enable the RF output.
  4. To stop the VSG from modulating the carrier, select Unload.

From the remote control interface:

ASK related commands

ASK related commands:

[:SOURce]:ASK:DENCoding

[:SOURce]:ASK:FILTer

[:SOURce]:ASK:LOAD

[:SOURce]:ASK:PATTern

[:SOURce]:ASK:PATTern:INVert

[:SOURce]:ASK:SPS

[:SOURce]:ASK:STYPe

FSK related commands

FSK related commands:

[:SOURce]:FSK:DENCoding

[:SOURce]:FSK:FILTer

[:SOURce]:FSK:FSEParation

[:SOURce]:FSK:LOAD

[:SOURce]:FSK:PATTern

[:SOURce]:FSK:PATTern:INVert

[:SOURce]:FSK:SPS

Note: The ARB file based methodology of our Series 2900 VSGs, makes FSK wrap points a theoretical problem. The phase must taper down towards the end of the ARB file, to minimize value discontinuity. The taper time, if too long, affects receiver data acquisitions.

PSK related commands

PSK related commands:

[:SOURce]:PSK:DENCoding

[:SOURce]:PSK:FILTer

[:SOURce]:PSK:LOAD

[:SOURce]:PSK:PATTern

[:SOURce]:PSK:PATTern:INVert

[:SOURce]:PSK:SPS

[:SOURce]:PSK:STYPe

QAM related commands

QAM related commands:

[:SOURce]:QAM:DENCoding

[:SOURce]:QAM:FILTer

[:SOURce]:QAM:LOAD

[:SOURce]:QAM:PATTern

[:SOURce]:QAM:PATTern:INVert

[:SOURce]:QAM:SPS

[:SOURce]:QAM:STYPe


To edit a digital modulation

From the front panel interface or the LXI web interface:

  1. Choose Select Modulation > Digital > (your choice variable).
  2. Select the modulation file that you want to output from the VSG.
    • If you want to output the modulation with the default settings, select Load.
    • If you want to output a file that has been previously saved, select Waveform File > Open. Navigate to the location of the file, select the file and then Load.
  3. Select RF On to enable the RF output.
  4. Select Edit.
  5. Make changes to the following settings, as necessary:
    • Symbol Type

      Each available digital modulation has a choice of modulation symbols. For details on the symbol type for each digital modulation, refer to the following topics:

      • ASK symbol type
      • FSK symbol type
      • PSK symbol type
      • QAM symbol type

    • Symbols/s
    • Diff. Encoding
    • Filter
    • Pattern and Length
    • Invert
  6. Select Load to make the changes to the modulation output from the VSG.
  7. Select Close.
  8. Select Waveform File and then choose the appropriate save function:
    • If you want to save an existing modulation file, select Save.
    • If you want to save a new modulation file, select Save As… and enter filename in the desired directory location. Refer to Save File for details.
  9. To stop the VSG from modulating the carrier, select Unload.

From the remote control interface:

ASK related commands

ASK related commands:

[:SOURce]:ASK:DENCoding

[:SOURce]:ASK:FILTer

[:SOURce]:ASK:LOAD

[:SOURce]:ASK:PATTern

[:SOURce]:ASK:PATTern:INVert

[:SOURce]:ASK:SPS

[:SOURce]:ASK:STYPe

FSK related commands

FSK related commands:

[:SOURce]:FSK:DENCoding

[:SOURce]:FSK:FILTer

[:SOURce]:FSK:FSEParation

[:SOURce]:FSK:LOAD

[:SOURce]:FSK:PATTern

[:SOURce]:FSK:PATTern:INVert

[:SOURce]:FSK:SPS

Note: The ARB file based methodology of our Series 2900 VSGs, makes FSK wrap points a theoretical problem. The phase must taper down towards the end of the ARB file, to minimize value discontinuity. The taper time, if too long, affects receiver data acquisitions.

PSK related commands

PSK related commands:

[:SOURce]:PSK:DENCoding

[:SOURce]:PSK:FILTer

[:SOURce]:PSK:LOAD

[:SOURce]:PSK:PATTern

[:SOURce]:PSK:PATTern:INVert

[:SOURce]:PSK:SPS

[:SOURce]:PSK:STYPe

QAM related commands

QAM related commands:

[:SOURce]:QAM:DENCoding

[:SOURce]:QAM:FILTer

[:SOURce]:QAM:LOAD

[:SOURce]:QAM:PATTern

[:SOURce]:QAM:PATTern:INVert

[:SOURce]:QAM:SPS

[:SOURce]:QAM:STYPe


Arbitrary waveforms

Select the arbitrary waveform description to learn more about the arbitrary waveform capabilities of the Series 2900. Or, select one of the procedures to learn how to set up and control arbitrary waveforms in the Series 2900.

  • Arbitrary waveform description and use
  • Procedures
  • Example measurement

. HorizontalRule


Arbitrary waveform description and use

The Series 2900 can be expanded to generate an unlimited variety of modulations using the arbitrary waveform capability. When you provide a file that contains samples of the baseband IQ modulation, the Series 2900 uses that information to modulate an RF carrier. You can also playback waveforms that were internally generated by the Series 2900. If you create a sequence file, you can control the playback of multiple arbitrary waveforms.

Select from the following topics to learn more about the arbitrary waveform capabilities:

  • Optimize measurement speed
  • Arbitrary waveform file characteristics
  • Arbitrary waveform playback tables
    • Waveform playback table
    • Sequence playback table


Optimize measurement speed

The Series 2900 VSG allows you to optimize your measurement speed when your device test requires switching between waveforms of various signal formats and modulation types. This measurement speed is accomplished with the arbitrary waveform capability that allows you to add waveform files to a playback table and quickly switch from playing one waveform to another.

The arbitrary waveform sequence capability provides more control over the playback of multiple arbitrary waveforms. This capability allows you to select a waveform from the playback table and have it play repeatedly, for a set number of times, or until you select another waveform to play back. You can add the following types of files to the arbitrary waveform playback table:

  • Arbitrary waveform files (*.arb) created from an external application
  • Existing waveforms from the internally-generated modulations
  • Edited waveforms based on the existing internally-generated modulations

The waveforms can be saved internally to the VSG in the arbitrary waveform default User directory.


Arbitrary waveform file characteristics

The Series 2900 VSG can playback any waveform that has the following characteristics:

  • Bandwidth occupies less than 80% of the sample rate
  • Peaks scale to fit within 16-bit signed integers, interleaved I and Q
  • Playback length is a multiple of two (even)

The arbitrary waveform capability can playback modulation waveform types not originated by the VSG. Arbitrary waveform files can easily be generated directly in Matlab or LabView. Waveforms from EDA tools and RF system simulators can also be converted to the Series 2900 format.

See To create an arbitrary waveform file.

Note: Example files with IQ descriptions of a waveform are available for download from the Keithley Instruments website. If you need a waveform that is slightly different from the existing Series 2900 modulations, contact your Keithley Instruments representative. Our application team can generate modified waveforms for specific applications.

Note: To play arbitrary waveform files on the VSG requires the Arbitrary Generator License Option 2910-ARB for the Model 2910, or the Arbitrary Generator License Option 2920-ARB for the Model 2920 See Instrument option license files.

Arbitrary waveform file contents

A VSG arbitrary waveform file (*.arb) is a binary file that contains IQ pairs stored as 16-bit signed integers, the values are interleaved. Preceding the data is a 16-byte header that encodes the sample rate as a 32-bit floating point number and an arbitrary waveform power factor.

The arbitrary waveform power factor specifies the rms power of the signal out, relative to full scale.

Where:

1 = Header
2 = Interleaved I and Q, 16-bit signed integers
3 = Sample rate 32-bit float, sample rate is in Hz
4 = Power factor 32-bit float, where rms_norm is the rms power in the waveform, normalized to unity full scale (divided by 215)
5 = Reserved 32-bit float
The I and Q values are 16-bit signed integers. The largest possible value is 1, but for best distortion, scale so peak voltage is half of that value.

The signed 16-bit format is very common.

  • "short int" in C
  • "*int16" in Matlab
  • "I16" representation in LabView

The floating point 32-bit format is the IEEE 32-bit format.

  • "float" in C
  • "single" in matlab
  • "SGL" representation in LabView

    Note: To avoid a discontinuity as the waveform transitions from the end of the data record back to the beginning, make sure that an exact integer number of modulation periods fits within an even number of samples at the output sampling rate and that the data is continuous across this boundary.

Arbitrary waveform power factor

The arbitrary waveform power factor specifies the rms power of the signal out, relative to full scale. By changing this value, you can balance maximum amplitude, distortion, and noise performance.

Example:

If two *.arb files have the same waveform, but one is 10 times smaller, the file with the smaller waveform will output at 10dB less power, unless the power factor value indicates to the VSG to increase the power. The power factor is in dB.

Power Factor = -10*log10(rms_norm)

Where rms_norm is the rms power in the waveform, normalized to unity full scale. (Divided by 215).

rms=

rms power localized

waveform record size

I and Q Values

Each arbitrary waveform point has an I and a Q value that can range from -1.0 to +1.0. To achieve lower distortion, limit the I and Q values to a range of -0.5 to +0.5.

The resultant magnitude of any I/Q pair is the vector sum of the two values:

Example:

If the I and Q values are equal in scaled magnitude and you want to achieve a vector sum of 0.5, then I and Q would be set at the following values:

Output power

The maximum output power at any arbitrary waveform sample point is +13dBm.

Example:

If the magnitude of an IQ pair is 0.5, the maximum power available at that sample point would be as follows:

ARB output power

Unless the arbitrary waveform power factor is calculated and supplied with the file, the VSG will indicate the amplitude is 13dBm, when the actual power is 6.98dBm.

For this example with a constant amplitude of 0.5, applying an arbitrary waveform power factor of 6.02dB in the file header makes the VSG indicate the correct output power.

Note: Example files with IQ descriptions of a waveform are available for download from the Keithley Instruments website.

Note: The functionality described in this topic requires the Arbitrary Generator License Option 2910-ARB for the Model 2910, or Arbitrary Generator License Option 2920-ARB for the Model 2920. See Instrument option license files.


Arbitrary waveform playback table

You can playback arbitrary waveforms with the following two methods:

  • Playback arbitrary waveforms individually by loading files separately.
  • Playback multiple arbitrary waveforms in a sequence by creating a controlling file.

An arbitrary waveform file defines the following values for a waveform playback:

  • Sample rate
  • Number of samples
  • Power factor

A sequence file defines the following values for each step of the sequence playback:

  • Arbitrary waveform file
  • Carrier frequency
  • Output amplitude
  • Sequence step mode:
    • Repetitions specifies how many times the waveform plays
    • Dwell specifies how long the waveform plays
    • Trigger specifies that the transition to the next step is initiated by a trigger event
    • Hold specifies that the waveform repeats continuously

Select from the following topics to learn more about the methods for playing back arbitrary waveforms:

  • Arbitrary waveform playback table
  • Arbitrary waveform sequence table
  • Arbitrary waveform procedures


Waveform playback table

You can add files to the arbitrary waveform playback table to quickly switch from playing one waveform to another.

An example of four arbitrary waveform files added to the playback table are shown. The columns indicate information about the files.

The arbitrary waveform table has the following columns and associated buttons:

  • 1, 2, 3... indicates a specific row where you can load the associated waveform for playback or delete it. You can also reference this row number in a programming command to specify the waveform to playback or delete.
  • Name shows the filename of the arbitrary waveform, without the file path or extension. You can also specify this name in a programming command to identify the waveform to playback or delete.
  • Sample Rate shows the sample rate of the arbitrary waveform. You can change the rate to one of the values available in the menu.
  • # Samples indicates the length of the waveform, based on the number of IQ symbol pairs. You cannot edit this value from the table interface.
  • Power Factor specifies the rms power of the signal out, relative to full scale. You can change this value, if the waveform is loaded and the RF is on.
  • Add Arb starts the process of adding a waveform file to the arbitrary waveform table.
  • Delete Arb deletes the waveform associated with a selected row. All the remaining waveform files below the deleted file move up a row in the table to fill the empty row.
  • Load (Row: *) selects and continuously plays the waveform associated with the selected row. The Modulation and RF checkboxes must be selected to playback the waveform through the RF output.
  • Unload stops the current waveform playback.
  • Trigger Now allows you to invoke a trigger that starts the waveform playback, if the trigger source is set to SCPI or Front Panel Trigger. See To set the trigger.
  • Modulation: On enables and disables modulation of the carrier.
  • RF: On enables and disables the RF output.
  • Loaded: shows the name and table row of the waveform currently playing.


Sequence playback table

You can playback multiple arbitrary waveforms in a sequence by defining the following items in each step:

  • Arbitrary waveform playback table row
  • Frequency and power settings
  • Sequence step mode

You can create a sequence file with the following methods:

  • Build the sequence from the sequence table interface.
  • Create a sequence file from Microsoft® ExcelTM or any text editor.

The arbitrary waveform files specified in the sequence must already be added to the playback table. See To add an existing arbitrary waveform file to the table or To add an internally-generated modulation to the waveform table for details.

An example of a sequence file loaded on the Series 2900 VSG is shown.

The arbitrary waveform sequence table has the following columns and associated buttons:

  • 1, 2, 3... indicates a step in the sequence that includes the waveform reference and related settings.
  • Frequency (Hz) shows the carrier frequency.
  • Power (dBm) shows the output power.
  • Arb Row indicates the arbitrary waveform file to play by referencing to the row in the waveform playback table.
  • Mode indicates the sequence step operation:
    • Repetitions sets that the waveform is to play a set number of times.
    • Dwell sets that the waveform is to play for a set length of time.
    • Trigger sets that a trigger is required to proceed to the next step in the sequence.
    • Hold sets that the waveform file is to repeat continuously.
  • Param sets the parameter for the selected Mode.
    • Specifies the number of times the waveform file repeats for the Repetitions mode.
    • Specifies the length of time the waveform plays in seconds for the Dwell mode.
    • Specifies if the trigger event happens immediately or when the waveform plays to the end of the file.
    • Specifies there is no parameter necessary for the Hold mode.
  • File shows a drop-down menu that allows you to clear an existing sequence file, save a sequence file, or open a sequence file from a local or mapped drive.
  • Start / Restart (depending on how the Arb Sequence Trigger Mode and sequence play are set) one of the following actions takes place:
    • Starts the sequence play back.
    • Arms the trigger to start the sequence.
    • Restarts the sequence.
  • Single / Continuous / Auto Restart sets whether the sequence plays a single time, repeats continuously or restarts and plays continuously.
  • Stop stops playing the sequence.
  • Load loads the open sequence file. This makes the file available to play.
  • Unload unloads the sequence file. The sequence stops immediately, if it was playing.
  • Trigger Now allows you to invoke a trigger if the trigger source is set to SCPI or Front Panel Trigger. See To set the trigger.
  • Insert Above inserts a copy of the selected row above the selected row in the sequence table.
  • Insert Below inserts a copy of the selected row below the selected row in the sequence table..
  • Move Up rearranges steps in the sequence by moving the selected step up one position.
  • Move Down rearranges steps in the sequence by moving the selected step down one position.
  • Delete deletes the selected row in the sequence table
  • Modulation: On enables and disables the modulation on the carrier.
  • RF: On enables and disables the RF output.
  • Loaded: shows the name of the sequence currently playing.


Arbitrary waveform procedures

The following procedures show you how to setup and control arbitrary modulation waveforms in the Series 2900 VSG.

  • To add an existing arbitrary waveform file
  • To add an internally-generated modulation
  • To create an arbitrary waveform file
  • To write an *.arb file to a text file
  • To play back an arbitrary waveform
  • To stop an arbitrary waveform playback
  • To delete arbitrary waveforms
  • To control arbitrary waveforms remotely
  • To create a sequence file externally to the VSG
  • To create a sequence file internally to the VSG
  • To play back a sequence of arbitrary waveforms
  • To stop a sequence playback
  • To delete a sequence


To add an existing arbitrary waveform file to the table

From the front panel interface:

  1. Choose Select Modulation > Arb > Add Arb > Add Arb File.
  2. Locate and load the *.arb file:
    • If the file is in the User directory, select the filename and then select Open.
    • If you do not see the file that you want in the User directory, select the Look in: drop-down arrow and select the directory where the file is located. Select the filename and then select Open.
    • If the file is on an external drive, you may want to save the file to the instrument User directory. See Copy or move a file.

      Note: If you just connected the Model 2910 to a USB memory stick or another external drive, you may need to select Refresh to update the Look In: directory list.

Also see To playback an arbitrary waveform.

From the remote programming interface:

These examples assume an existing waveform file "myfile.arb" in the following directory or location:

  • From the User directory:

    :RAD:ARB:OPEN myfile.arb

  • From a USB memory stick:

    :RAD:ARB:OPEN \USB\myfile.arb

  • From a mounted Windows directory call myDir:

    \\myDir\myfile.arb

You can use the programming command MMEM:DATA to create a file (with specified contents) in a directory in the Series 2900 or a USB memory stick inserted in the VSG. To copy a file to one of the available directories, use the following paths in the programming message:

2910 VSG Directory | Directory Path in Programming Message
cdma2000 User | \cdma2000 Forward Link\User
W-CDMA User | \W-CDMA 3GPP Downlink\User
GSM / EDGE User | \GSM EDGE\User
Arbitrary User | \ARB Waveform\User
Arbitrary Sequence User | \ARB Sequence\User
List User | \List\User
User Flatness User | \User Flatness\User
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4
Instrument Setups | \Setups

Note: All Standards modulation waveform reference directories in the Model 2910 VSG are read-only.

The following command creates a file named "example1.txt" on a USB memory stick that is inserted in the VSG:

MMEM:DATA "\USB\example1.txt", #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the contents of the file "example1.txt."


To add an internally-generated modulation to the waveform table

You can add any internally-generated modulation that is currently playing on the Series 2900 to the arbitrary waveform playback table.

Note: To add a GPS modulation to the arbitrary waveform table, the data pattern must be < 32bits.

From the front panel interface:

  1. Choose Select Modulation > Standards (or Analog) and select the type of modulation you want.
  2. Select Load and modify the waveform as necessary. Refer to the appropriate modulation topic for details on editing the modulation parameters.
  3. Select RF On and Modulation On to enable the RF out and the modulation on the carrier.
  4. Choose Select Modulation > Arb > Add Arb > Add a copy of the currently outputting modulation.

Also see To playback an arbitrary waveform.

From the remote programming interface:

After loading the desired modulation:

:RAD:ARB:COPY

Example:

To generate a default GSM waveform and save a copy in the ARB memory:

:RAD:GSM:LOAD DEF

:OUTP:MOD

:OUTP

:RAD:ARB:COPY

To find the selected row number and name of the file in the arbitrary waveform table:

:RAD:ARB:ROW?


To create an arbitrary waveform file with the KI2910 ARB GenView

The KI2910 ARB GenView and Resampler are external applications that generate *.arb files from input text files of I and Q samples. During the arbitrary waveform file generation, these applications resample the data to ensure the created *.arb file has a sample rate that is directly supported by the Series 2900 VSG.

The KI2910 ARB GenView also allows you to open an *.arb file and then write it to a text file. Once the *.arb file has been converted to a text file, you can open it in Microsoft® ExcelTM or another program of your choice to edit the IQ samples. See To write an *.arb file to a text file.

  • The KI2910 ARB GenView allows you to generate and view arbitrary waveform files.
  • The KI2910 Resampler allows you to generate larger arbitrary waveform files.

    Note: You can download the KI2910 ARB GenView and Resampler applications from the Product Information CD-ROM that was part of the Series 2900 shipment, or from the Keithley Instruments website (www.keithley.com).

This procedure assumes that the following conditions exist:

  • The KI2910 ARB GenView application is installed on your computer.
  • A text file with the IQ samples is in the correct format.
  • A USB memory stick is available.

    Or

  • A network connection exists between the signal generator and the computer.

    Note: For information on the arbitrary waveform file contents, refer to Arbitrary waveform file characteristics.

  1. On the computer, click the KI2910 ARB GenView desktop icon.
  2. In the Input Text/Bin File tab, click Open Input File.
  3. Navigate to the text file that contains the IQ definitions. Select the file and click OK.
  4. Enter the sample rate of the file that you just selected to input to the GenView. Click OK.

    You can view the following characteristics of the input file contents:

    • I&Q Samples

    • I&Q Constellation

    • Spectrum plot

    To print the plot that you are viewing, choose the print destination and click Print Active Plot.

  5. Set the sample rate that is compatible with the VSG, using one of the following methods:
    • Select the Auto Select Output Rate checkbox so the application selects the rate that is closest the input file rate (this ensures that the file is as small as possible by not adding any more samples than necessary).
    • Select a rate from the Manual Output Rate drop-down list.
  6. Make any necessary edits to the DAC Scaling Factor (%) field.

    The default value of 70.7% sets the output scaling 3 dB less than full scaling. Keithley Instruments recommends that you leave the DAC scaling value at 70.7%, or less.

  7. Keithley Instruments also recommends that you leave the Adjust Crest Factor for Scaling? checkbox selected. This allows the Series 2900 VSG to compensate for the DAC scaling factor.
  8. Set the crest factor, using one of the following methods:
    • Select the Auto Calculate Crest Factor checkbox so the ARB GenView application calculates the value as peak power / average power.
    • Enter the value in the Manual Crest Factor (dB) field.

      Note: For pulsed waveforms, set the crest factor manually. The calculation for automatically calculating the crest factor does not apply to pulsed waveform power.

  9. Click Resamp Input & Gen ARB File.
  10. Name the file, including an .arb extension, and save it.

    You can now view the following characteristics of the input file and the resampled file data:

    • I Sample plot

    • Q Sample plot

    • Spectrum plot

    Spectrum resampled plot

  11. To move the resulting *.arb file to the VSG using a USB flash memory stick, follow these steps:
    1. On the Model 2910, choose Select Modulation > Arb > Add Arb > Add Arb File....
    2. Select the drop-down menu arrow for the Look In field.
    3. Navigate to the USB drive where the newly generated *.arb file is located.
    4. Select Open.
  12. To move the resulting *.arb file to the Series 2900 using a network connection between the computer and the Series 2900 VSG, follow these steps:
    1. Click Setup 2910 Interface.
    2. Click the tab that applies to the network connection between the computer and the VSG. Make any necessary changes to the network settings then click OK.
    3. Click Download ARB data to 2910.


To write an *.arb file to a text file

The KI2910 ARB GenView is an external application that allows you to open an *.arb file and then write it to a text file. Once the *.arb file has been converted to a text file, you can open it in Microsoft® ExcelTM or another program of your choice to edit the IQ samples.

The KI2910 ARB GenView also generates an *.arb file from a text file of I and Q samples. See To create an *.arb file with the KI2910 ARB GenView.

Note: You can download the KI2910 ARB GenView application from the Product Information CD-ROM that was part of the Model Series 2900 shipment, or from the Keithley Instruments website (www.keithley.com).

  1. On the computer, click the KI2910 ARB GenView desktop icon.
  2. In the ARB File tab, click Open ARB File.
  3. Navigate to the file that you want to open. Select the file and click OK.

    You can view the file data in the following characteristics:

    • ARB I&Q Scaled

    ARB IQ scaled

    • ARB I&Q Normal

    ARB IQ normal

    • ARB I&Q Constellation

    ARB IQ constellation

    • ARB Spectrum plot

  4. Click Write Normalized ARB Text File, name the file, and save it.
  5. To print the plot that you are viewing, choose the print destination and click Print Active Plot.


To playback an arbitrary waveform

The Series 2900 VSG can be expanded to playback an unlimited variety of modulations using the arbitrary waveform capability. When you provide a file that contains samples of the baseband IQ modulation, the VSG uses that information to modulate an RF carrier. You can also playback waveforms that were internally generated by the Series 2900. If you create a sequence file, you can control the playback of multiple arbitrary waveforms.

Also see the following related topics:

Arbitrary waveform file characteristics

To add an existing *.arb file to the waveform table

To add an internally-generated modulation to the waveform table

To create a sequence file externally to the VSG

To create a sequence file internally to the VSG

To playback a sequence of arbitrary waveforms

Note: The Model 2910 does not attempt to continuously level arbitrary waveforms during playback. The instrument briefly switches on a CW waveform, lets the automatic leveling control (ALC) settle, then locks the ALC. The arbitrary waveform is then played back. This leveling control is called Sample and Hold. You should refresh the sample and hold if the waveform playback lasts more than a few minutes (select Menu > Global Settings > ALC > Refresh Sample and hold). The sample and hold automatically refreshes when frequency, power, or an arbitrary waveform is changed.

With the front panel interface or the LXI web interface:

  1. Choose Select Modulation > Arb.
  2. Select the row of the table that has the modulation waveform file that you want to play back through the RF output.
    • If you have not already added files to the playback table, see To add an existing *.arb file to the waveform table and To add an internally-generated modulation to the waveform table.
  3. Select Load (Row: *).
  4. Make sure that the following conditions exist:
    • Modulation checkbox is selected.
    • RF checkbox is selected.
    • Loaded: section of the main status area shows the correct arbitrary file name.

      Note: If the file you provided has a sample rate specified in the header that is not directly supported by the Series 2900, the instrument automatically interpolates the data up to the next higher supported output sample rate. To avoid a discontinuity as the waveform transitions from the end of the data record back to the beginning, make sure that an exact integer number of modulation periods fits within an even number of samples at the output sampling rate and that the data is continuous across this boundary.

  5. If the trigger mode is set to Trigger start of arb waveform, and the trigger source is set to SCPI or Front Panel Trigger, select Trigger Now to start the waveform playback. See To set the trigger.
  6. To playback another file in the waveform table, select the row of the waveform you now want to play and select Load, and Trigger Now if necessary.
  7. To change the sample rate of the waveform playback, select the sample rate value listed for the waveform and choose from the available rates shown.
  8. To change the power factor of the waveform playback to scale the data that is loaded into playback memory, select the power factor value listed for the waveform and enter the new value. By changing this value, you can balance maximum amplitude, distortion, and noise performance.

    Note: The waveform must be loaded and the RF must be on to edit the power factor. If you reduce the power factor enough that clipping occurs, you must reload the waveform to remove the clipping.

From the remote programming interface:

[:SOURce]:RADio:ARB:COPY

[:SOURce]:RADio:ARB:DELete

[:SOURce]:RADio:ARB:EIQ

[:SOURce]:RADio:ARB:LIST?

[:SOURce]:RADio:ARB:MEM?

[:SOURce]:RADio:ARB:OPEN

[:SOURce]:RADio:ARB:ROW

[:SOURce]:RADio:ARB:PFACtor

[:SOURce]:RADio:ARB:PLAY

Example:

  • To playback the modulation waveform from row 1 of the modulation table:

    :RAD:ARB:PLAY 1

  • To playback a waveform ("myfile") loaded from "myfile.arb."

    :RAD:ARB:PLAY myfile


To stop an arbitrary waveform playback

From the front panel interface:

  1. Choose Select Modulation > Arb.
  2. Select Unload to stop an arbitrary waveform playback.

From the remote programming interface:

:RAD:ARB:STATE OFF


To delete arbitrary waveforms

You can delete an arbitrary waveform from the playback table when the memory is full or you are finished with the waveform. When you delete a waveform from the table, all the remaining waveform files, below the deleted file, move up a row in the table to fill the empty row.

Note: If a sequence file is open, you cannot delete the arbitrary waveform files that are listed as part of the sequence. See To delete a sequence.

Note: Presetting the instrument or opening an instrument setup file will not change or delete the arbitrary waveform files in the waveform playback table. To delete arbitrary waveform files, you must follow the procedure below, using the waveform playback interface or programming commands.

From the front panel interface:

  1. Choose Select Modulation > Arb.
  2. Select the row that has the waveform file that you want to delete.
  3. Select Delete Arb and choose from the following:
    • Select Delete Selected Entry (Row:*) if you only want to delete the selected file from the playback table.
    • Select Delete All Row Entries if you want to delete all of the waveform files from the playback table.

From the remote programming interface:

  • To delete row 1 from the arbitrary modulation table:

    :RAD:ARB:DEL 1

  • To delete a waveform loaded from "myfile.arb:"

    :RAD:ARB:DEL myfile

  • To delete all the modulation waveforms from the arbitrary modulation table:

    :RAD:ARB:DEL ALL

    Note: When you delete a waveform from the table, all the remaining waveform files, below the deleted file, move up a row in the table to fill the empty row. This takes time to execute. Alternatively, the RAD:ARB:DEL ALL command executes very fast because there is no rearrangement of the remaining rows in the table.


To control the arbitrary waveforms remotely

Use the following commands to control arbitrary modulation waveforms, remotely.

[:SOURce]:RADio:ARB:COPY

[:SOURce]:RADio:ARB:DELete <row> | ALL

[:SOURce]:RADio:ARB:EIQ

[:SOURce]:RADio:ARB:LIST?

[:SOURce]:RADio:ARB:MEM?

[:SOURce]:RADio:ARB:OPEN

[:SOURce]:RADio:ARB:PLAY <filename> | <row>

[:SOURce]:RADio:ARB:ROW <row>

[:SOURce]:RADio:ARB:SRATe <value> | MAX | MIN | DEF

[:SOURce]:RADio:ARB:STATe ON | OFF | 1 | 0

Example: arbitrary waveform

This example shows how to select a waveform, play it, and then delete the waveform.

RAD:ARB:OPEN "waveform1.arb" | Specify file name. This copies the waveform into arb memory, but does not play it.
RAD:ARB:PLAY "waveform1" | Tell instrument play the waveform back.
RAD:ARB:DEL "waveform1" | When you are finished, delete the waveform.

If there is a possibility that a waveform with the same name is already loaded, you can use integers to specify the row number of a waveform. The row numbers start at 1.

Note: A row number may change for a specific arbitrary waveform when a file is deleted from the table, and all the remaining waveforms below the deleted file move up a row in the table to fill the empty row.

This example shows how to specify a filename and then copy it into arb memory for playback.

RAD:ARB:OPEN "waveform1.arb" | Specifies filename and copies the waveform into arb memory, but does not play it.
RAD:ARB:ROW? | This returns a comma separated string. For example: 1, "waveform1", 2500000, 1001 The first value is the row number, the second value is the filename, the third value is the sample rate, and the fourth value is the number of samples.
RAD:ARB:PLAY 1 | Playback waveform 1.
RAD:ARB:DEL 1 |

See [:SOURce]:RADio:ARBitrary commands for more information on using the arbitrary waveform commands.


To create a waveform sequence file externally to the VSG

You can playback multiple arbitrary waveforms in a sequence by loading a controlling *.csv file into the sequence memory. You can create and edit this file with Microsoft® ExcelTM or any text editor that can save in plain text format. The resulting file must be a comma separated value format (*.csv).

Note: The sequence file refers to waveforms that are currently in a specific row of the arbitrary waveform table.

See To create a sequence file internally to the VSG to learn how to create and save a sequence file from the Model 2910 VSG front panel interface.

Note: Keep sequence steps consecutive that have similar settings. For example, keep steps with similar power settings or frequency settings in contiguous steps, if possible.

Example sequence file (*.csv):

SEQUENCE Version 1.0 |  |  |  |
Begin Table |  |  |  |
Frequency(Hz) | Power(dBm) | Arb Row | Mode | Param
9.95E+08, | -10, | 3, | Repetitions, | 35,
9.97E+08, | -13, | 1, | Dwell, | 1,
9.98E+08, | -13, | 1, | Trigger, | End of Step,
9.97E+08, | -13, | 2, | Dwell, | 1.23E-03,
9.97E+08, | -13, | 2, | Dwell, | 1.23E-06,
9.97E+08, | -13, | 2, | Hold, | N/A,
  • Begin Table indicates the beginning of the sequence table contents.
  • Frequency (Hz) shows the carrier frequency.
  • Power (dBm) shows the output power.
  • Arb Row indicates the arbitrary waveform file to play by pointing to the row in the arbitrary waveform playback table.
  • Mode indicates the sequence step operation:
    • Repetitions sets that the waveform is to play a set number of times.
    • Dwell sets that the waveform is to play for a set length of time.
    • Trigger sets that a trigger is required to proceed to the next step in the sequence.
    • Hold sets that the waveform file is to repeat continuously.
  • Param sets the parameter for the selected Mode.
    • Specifies the number of times the waveform file repeats for the Repetitions mode (integer).
    • Specifies the length of time the waveform plays in seconds for the Dwell mode (floating point).
    • Specifies if the trigger event happens immediately (Immediate) or when the waveform plays to the end of the file (End of Step).
    • Specifies no parameter applies (N/A) for the Hold mode (string).

      Note: To avoid a discontinuity as the waveform transitions from the end of the data record back to the beginning, make sure that an exact integer number of modulation periods fits within an even number of samples at the output sampling rate and that the data is continuous across this boundary.

For more information on the arbitrary waveform sequence capability see the following topics:

To playback a sequence of arbitrary waveforms

Arbitrary waveform sequence table


To create a sequence file internally to the VSG

Using the sequence table interface of the Series 2900 VSG, you can create a sequence file to playback multiple arbitrary waveforms,

Note: The sequence file refers to waveforms that are currently in a specific row of the arbitrary waveform table.

Also see To create a sequence file externally to the VSG to learn how to create a sequence file from an application that is external to the VSG, such as Microsoft® ExcelTM or any other text editor.

  1. Choose Select Modulation > Arb.
  2. Add the waveform files that you want to playback to the arbitrary waveform table. See To add an existing arbitrary waveform file to the table or To add an internally-generated modulation to the waveform table for details.
  3. Select the Sequence tab.
  4. Select Insert Above or Insert Below to create a row in the table that contains default values.
  5. Select the value in the Arb Row column and enter the row of the arbitrary waveform playback table that has the arb file you want to play in this step of the sequence.
  6. Select the value in the Frequency (Hz) column and enter the carrier frequency.
  7. Select the value in the Power (dBm) column and enter the output power.
  8. Select the setting in the Mode column and choose the desired operation:
    • Repetitions specifies that the waveform is to play a set number of times.
    • Dwell specifies that the waveform is to play for a set length of time.
    • Trigger specifies that a trigger is required to proceed to the next step in the sequence.
    • Hold specifies that the waveform file is to repeat continuously.
  9. Select the setting in the Param column and enter the parameter for the selected mode:
    • For the Repetitions mode, enter the number of repetitions.
    • For the Dwell mode, enter the length of time in seconds.
    • For the Trigger mode, set if the trigger event happens immediately or when the waveform plays to the end of the arb file.
    • For the Hold mode, there is no parameter to enter.
  10. Create another step in the sequence by adding another row to the sequence table:
    • Select Insert Above if you want the new row to define a sequence step that plays before the currently selected row.
    • Select Insert Below if you want the new row to define a sequence step that plays after the currently selected row.

    The new row will have the same values as the selected row.

    Note: Keep sequence steps consecutive that have similar settings. For example, keep steps with similar power settings or frequency settings in contiguous steps, if possible.

  11. Select the newly created row in the sequence table and repeat steps 5 through 10 until you have defined the entire sequence.
  12. To rearrange the steps in the sequence, select a row and then select Move Up or Move Down to place the row in the desired position.
  13. To remove a row from sequence table, select the row and then select Delete.
  14. Select File > Save As.
  15. Select the keyboard button and type a name. Select Enter > Save.

    Note: To avoid a discontinuity as the waveform transitions from the end of the data record back to the beginning, make sure that an exact integer number of modulation periods fits within an even number of samples at the output sampling rate and that the data is continuous across this boundary.

For more information on the arbitrary waveform sequence capability see the following topics:

To playback a sequence of arbitrary waveforms

Arbitrary waveform sequence table


To playback a sequence of arbitrary waveforms

You can play multiple arbitrary waveforms when you create a sequence file that controls the playback of waveforms that are currently added to the playback table. See To create a sequence file externally to the VSG or To create a sequence file internally to the VSG.

Note: If either the sweep mode or the list mode is active on the Series 2900, you must stop the signal generation for that mode before starting a sequence playback. The sweep, list, and waveform sequence modes must have exclusive operation of the Series 2900. Switch one mode off before attempting to switch another mode on.

Note: If you want to playback a sequence file that is part of an instrument setup file, the following conditions must exist when you load the instrument setup file: the recalled sequence file is located in the User directory and the arbitrary waveform files that are referenced in the sequence file are added to the arbitrary waveform playback table.

From the front panel interface:

  1. Select Menu > Settings > Trigger > Trigger Source > SCPI or Front Panel Trigger.

    This allows you to invoke a trigger from the sequence table interface, if a trigger event is required in the sequence.

  2. Select Arb Sequence Trigger Mode and choose what operation will be initiated by a trigger event:
    • Start and Step requires a trigger to initiate the start of a sequence and the transition to the next step in a sequence when specified in the sequence mode.
    • Stepping Only requires a trigger to transition to the next step in a sequence when specified in the sequence mode.
  3. Choose Select Modulation > Arb.
    • If your sequence file refers to arbitrary waveform files that are not currently added to the playback table, then add those files to the table now. See To add an existing *.arb file to the waveform table.
  4. Select the Sequence tab and then select File > Open.
    • If the sequence file is in the User directory, select the filename and then select Open.
    • If you do not see the sequence file that you want in the User directory, select the Look in: drop-down arrow and select the directory where the file is located. Select the filename and then select Open.
  5. Select Load.
  6. Choose how you want to play the sequence:
    • If you want the sequence to play once, select Single.
    • If you want the sequence to repeat continuously, select Continuous.
  7. Select RF On.
  8. Select Start and one of the following events happens, depending on how the Arb Sequence Trigger Mode is set:
    • Starts the sequence playback.
    • Arms the trigger to start the sequence where you must select Trigger Now to initiate the sequence.
  9. If any of the sequence steps have the Mode specified as Trigger, you must select Trigger Now to transition to the next step in the sequence.
  10. Select Stop to stop the sequence playback.

    Note: If the sequence finishes and is set to play a single time, the RF output is switched off.

  11. Select Restart (and provide a trigger if necessary), to start the sequence again.
  12. Select Unload to remove the file.

    Note: You can edit the sequence file at any time. If you change any value when the sequence is running, the sequence will restart at the beginning. See To create a sequence file internally to the VSG.

Refer to the following topics for more information:

To stop a sequence playback

To playback an arbitrary waveform

To set the trigger

From the remote programming interface:

[:SOURce]:RADio:ARB:SEQuence:OPEN

[:SOURce]:RADio:ARB:SEQuence:FREQuency

[:SOURce]:RADio:ARB:SEQuence:POWer

[:SOURce]:RADio:ARB:SEQuence:STARt

[:SOURce]:RADio:ARB:SEQuence:STATe

[:SOURce]:RADio:ARB:SEQuence:STOP

[:SOURce]:RADio:ARB:SEQuence:SWEep

[:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE


To stop a sequence playback

From the front panel interface:

  1. Choose Select Modulation > Arb.
  2. Select the Sequence tab.
    • Select Stop if you want to stop the sequence playback and keep the file loaded in the sequence memory.
    • Select Unload if you want to stop the sequence playback and unload the file from the sequence memory.

From the remote programming interface:

[:SOURce]:RADio:ARB:SEQuence:STOP


To delete a sequence

You can delete an entire sequence file or selected rows from the sequence table memory. If you only delete a single row from the table, all the remaining sequence steps, below the deleted row, move up a row in the table to fill the empty row.

Note: Deleting a sequence does not delete the referenced arbitrary waveforms from the waveform playback table.

From the front panel interface:

  1. Choose Select Modulation > Arb.
  2. Select the Sequence tab.
  3. To delete a single row of the table, select the row and then select Delete.

    All the remaining sequence steps below the deleted row move up a row in the table to fill the empty row.

  4. To delete the entire sequence file, use one of the following methods:
    • Select File > New.
    • Select Preset from the instrument front panel.

    The arbitrary waveform files still remain unchanged in the playback table.


Example: Fast measurements with arbitrary waveform synchronization

The Series 2900 VSG allows you to optimize your measurement speed when your device testing requires switching between waveforms of various modulation types. You can add the waveforms to a playback table that allows you to quickly switch from playing one waveform to another. For details, refer to Arbitrary waveforms. You can add the following file type to the arbitrary waveform playback table:

  • Arbitrary files (*.arb) created from an external application
  • Existing waveforms from the internally-generated modulations
  • Edited waveforms based on the existing internally-generated modulations

When the source plays back an arbitrary waveform, it continuously wraps back to the start of the waveform when it reaches the end. This creates a repetitive waveform. In some situations, you can make faster measurements if you synchronize device measurements with the event of the source returning to the start of the modulation waveform.

  • Measurement results settle faster because the signal analyzer receives the same modulation envelope on each measurement.
  • IQ data averaging allows you to reduce the noise floor because you do not have to average the envelope data.
  • Measurement-to-measurement variations are reduced by measuring at the same point in the arbitrary waveform.

The following configuration allows you to synchronize your device measurements with the modulation waveform playback.

From the instrument front panel interface

  1. Select Menu > Global Settings > Sync Output.
  2. From the Generate a Sync Pulse: drop-down menu, select On ARB waveform wrap.

From the remote interface

SOUT:MODE WRAP

For details, see Arbitrary Waveforms and Sync pulse description and uses.


External IQ

The External IQ allows you to supply the IQ data for the instrument IQ modulator:

  • The I-IN is a female BNC input connector that accepts the in-phase component of I/Q modulation.
  • The Q-IN is a female BNC input connector that accepts the quadrature-phase component of I/Q modulation.

To enable IQ modulation signals

To enable the signals applied to these connectors, follow these steps:

  1. Choose Select Modulation > External IQ > Load.

    NOTE: Notice the Modulation On button background changes to green

  2. Press the RF On button to connect the modulated signal to the instrument RF connector.

For more information see I-IN, Q-IN The I-IN and Q-IN connectors allow you to connect an external arbitrary generator to the instrument I/Q modulator. This gives you additional control of the RF signals that you can generate. The rear panel I-IN and Q-IN connectors are activated from the instrument front panel. connectors on the rear panel.


Modulation standards

The Series 2900 can generate waveforms with modulation standards formats. You can edit the waveforms that are provided in the Reference directory for each signal format and save the edited waveform in the User directory for later use. Select one of the modulation formats to learn more:

  • GSM / EDGE
  • cdma2000® Forward Link
  • W-CDMA / 3GPP Downlink
  • GPS Modulation

    Note: Generating modulated waveforms on the Series 2900 requires instrument option licenses. See .Series 2900 Licensing


GSM / EDGE

Follow this procedure to set up a GSM / EDGE signal:

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure GSM / EDGE modulation

  1. Press instrument Preset.
  2. Select the Select Modulation button.
  3. Select GSM / EDGE.
  4. Select Waveform File.
  5. Select Open....
  6. Navigate to file to open a waveform file. The file for a GSM / EDGE waveform will have a *.csv notation, indicating it is in a comma separated value format.
  7. Select Waveform file > Load to make the waveform ready for editing or applying to the RF carrier signal.
  8. If necessary, edit the waveform file and then select Load to apply the changes to the waveform.
  9. Select Modulation to apply the modulation to the RF carrier. Notice that the waveform modulation details appear below the Modulation On button.

Select an item from the list to learn more:

  • GSM Waveform File
  • GSM Load
  • GSM Edit
  • GSM Unload

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


GSM edit waveform

The following example and procedure shows how to edit GSM / EDGE waveform files in preparation to applying the waveform to the RF carrier signal.

Access the GSM Edit Dialog box by choosing Select Modulation > GSM / EDGE > Edit.

Note: The following image shows the default GSM / EDGE modulation waveform. Whenever the instrument is Preset, this waveform is automatically chosen for display and editing. Notice that Timeslot 0 as active; it has a green background to the timeslot number. Also, it has a GSM Data Traffic channel burst type at 0dB and PN15 data type.

Alternatively another GSM / EDGE waveform can be loaded and edited.

To edit a GSM timeslot

  • Press the timeslot to be edited, in this example press timeslot 2.

Notice that timeslot 2 is now active with the green background. Timeslot 0 is no longer active.

Also notice, the "Channel Burst Type" text box shows as "Off," as nothing is assigned to it at present.

To edit the channel burst type

  • Press the "Channel Burst Type" text box to change the selection.
  • Press one of the four burst types to select one.

In this example, "Control Downlink" will be selected.

Notice that channel 2 has now been assigned as "Control Downlink."

To edit Timeslot Attenuation

  • Press the Attenuation text box and adjust the front panel knob.

The value was changed to 15.00dB in this example.

To edit Data Type

  • Press the "Data Type" text box to change the selection.
  • Press one of the eight data types to select one.

In this example, "All Ones" will be selected.

Notice that Data Type text box shows "All Ones."

To edit "Number of frames:"

  • Press the Number of frames text box and adjust the front panel knob.

The value will be changed from 26 to 52 in this example.

Notice the "Number of frames:" text box shows 52.

To edit "Burst mode":

  • Press the "Burst mode" text box to change the selection.
  • Press one of the two burst modes to select one.

In this example, "On - 8 time slots" will be left selected.


GSM waveform file

From here you can open an existing waveform, create a new waveform or rename and save the waveform from the display.


GSM load

The load button has just been selected and the GSM modulation waveform is loaded. The Modulation Button is green and the modulation details are below it.


GSM unload

The Unload button has just been selected and the modulation waveform is unloaded. The Modulation Button is not green, and the modulation details below it show no modulation currently loaded.


cdma2000® forward link

Follow this procedure to set up a cdma2000® signal:

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure cdma2000® modulation

  1. Press instrument Preset.
  2. Select the Select Modulation button.
  3. Select cdma2000® Forward Link.
  4. Select Waveform File.
  5. Select Open....
  6. Navigate to file to open a waveform file. The file for a cdma2000® Forward Link waveform will have a *.csv notation indicating it is in a comma separated variable format.
  7. Select Waveform file > Load to make the waveform ready for editing or applying to the RF carrier signal.
  8. If necessary, edit the waveform file and then select Load to apply the changes to the waveform.
  9. Select Modulation to apply the modulation to the RF carrier. Notice that the waveform modulation details appear below the Modulation On button.

Select an item from the list to learn more:

  • cdma2000® Waveform File
  • cdma2000® Load
  • cdma2000® Edit Waveform
  • cdma2000® Unload
  • cdma2000® Code Domain

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


cdma2000® Edit waveform

This form allows channels to be added subtracted and sorted. Parameters can be selected and edited. The waveform can then be loaded.

Access the cdma2000® Edit dialog box by choosing Select Modulation > cdma2000® Forward Link > Edit.

Notice that when selecting the edit button, the following operations can be carried out:

  • All columns can be selected to be sorted on
  • Existing channels can be selected and deleted (see note below)
  • Additional channels can be added
  • All channels can be turned on or off
  • Selected channels can be normalized to 0dB. In this example, two channels are at 0dB, giving a combined power of 3dB. If the Normalized Power Sum selection is made, the Power Sum would be set to 0dB and the two individual channels in this example would be set to -3dB each.
  • The Scrambling code for all channels can be set to be the same between the range of 0 to 511.

    Note: Data Symbols type of All Zeros is no longer allowed with Quick Paging channel type. This is done because Quick Paging uses On Off Keying; All Zeros results in no power.


cdma2000® Waveform file

From here you can open an existing waveform, create a new waveform or rename and save the waveform from the display.


cdma2000® Sort Rows

Select Sort Rows and then one of the channel parameters from the drop-down list. The table will then sort on that parameters. For more information look here.


cdma2000® Load

The Load button has just been selected and the modulation waveform is loaded. The Modulation Button is green and the modulation details are below it.


cdma2000® Unload

The Unload button has just been selected and the modulation waveform is unloaded. The Modulation button is not green and the modulation details below it show no modulation currently loaded.


cdma2000® Code Domain

The data held in the table view is displayed graphically in the Code Domain view. The Edit button can be selected to change the waveform.


W-CDMA / 3GPP downlink

Follow this procedure to set up a W-CDMA / 3GPP downlink signal:

Step 1: Set the carrier frequency

  1. Select instrument Preset.
  2. Change the 1GHz default frequency setting as required.

Step 2: Set the signal amplitude

  • Change the 0dBm default Amplitude setting as required.

Step 3: Configure W-CDMA modulation

  1. Select the Select Modulation button.
  2. Select the W-CDMA / 3GPP Downlink option.
  3. Select Open...
  4. Navigate to file to open a waveform file. The file for a W-CDMA / 3GPP Downlink waveform will have a *.csv notation indicating it is in a comma separated variable format.
  5. Select Waveform file > Load to make the waveform ready for editing or to apply it to the RF carrier signal.
  6. If necessary, edit the waveform file and then select Load to apply the changes to the waveform.
  7. Select Modulation to apply the modulation to the RF carrier. Notice that the waveform modulation details appear below the Modulation On button.

Select an item from the list to learn more:

  • W-CDMA Waveform File
  • W-CDMA Load
  • W-CDMA Edit Waveform
  • W-CDMA Unload
  • W-CDMA Code Domain

Step 4: Apply RF signal to the output

  • Select the RF On button to apply the RF signal power to the output connector.

The background color of the RF On button is green when it is on.


W-CDMA edit waveform

This form allows channels to be added subtracted and sorted. Parameters can be selected and edited. The waveform can then be loaded.

Access the W-CDMA Edit dialog box by choosing Select Modulation > Standards > W-CDMA / 3GPP Downlink > Edit.

Notice that when selecting the edit button, the following operations can be carried out:

  • All columns can be selected to be sorted on
  • Existing channels can be selected and deleted (see note below)
  • Additional channels can be added
  • All channels can be turned on or off
  • Selected channels can be normalized to 0dB. In this example, two channels are at 0dB, giving a combined power of 3dB. If the Normalized Power Sum selection is made, the Power Sum would be set to 0dB and the two individual channels in this example would be set to -3dB each.
  • The Scrambling code for all channels can be set to be the same between the range of 0 to 511.

    Note: Data Symbols type of All Zeros is no longer allowed with Quick Paging channel type. This is done because Quick Paging uses On Off Keying; All Zeros results in no power.


W-CDMA waveform file

From here you can open an existing waveform, create a new waveform or rename and save the waveform from the display.


W-CDMA sort rows

Select Sort Rows and then one of the channel parameters from the drop-down list. The table will then sort on the selected parameters. For more information look here.


W-CDMA load

The load button has just been selected and the modulation waveform is loaded. The Modulation Button is green and the modulation details are below it.


W-CDMA unload

The Unload button has just been selected and the modulation waveform is unloaded. The Modulation Button is not green and the modulation details below it show no modulation currently loaded.


W-CDMA code domain

The data held in the table view is displayed graphically in the Code Domain view. The Edit button can be selected to change the waveform.


GPS

The Series 2900 VSG has the ability to simulate a single global positioning system (GPS) receiver testing that allows you to set up the following testing scenarios:

  • Transmit a signal with one of 37 available satellite (space vehicle) ID numbers to test how accurately and quickly your GPS receiver can acquire the satellite signal.
  • Transmit of an RF signal to test the GPS functionality of cellular phones.
  • Capture the signal-to-noise ratio and bit error rate (BER) of your receiver.
  • Observe the effect of adding Doppler shifts.

To learn more about the GPS modulation operation, select one of the following topics:

  • GPS Modulation window
  • To set up a GPS modulation

    Note: Generating a GPS modulated waveform on the Series 2900 requires an instrument option license. See Instrument option license files.


GPS Modulation window

The GPS modulation window allows you to set up and control the modulation:

  • C/A Code enters the satellite or space vehicle ID (SVID). You can choose 1–37. The L1 carrier phase will be modulated with the C / A code
  • Data Pattern -- selects from a pre-defined pattern from the drop-down list, or the option to load a user-defined pattern.
    • PN9 Selects a data pattern made up of a PN9 pseudorandom binary sequence.
    • PN15 Selects data pattern made up of a PN15 pseudorandom binary sequence.
    • All Ones Selects a data pattern made up of all binary 1s.
    • All Zeros Selects a data pattern made up of all binary 0s.
    • Square-One Bit Selects a data pattern made up of alternating 0s and 1s.
    • Square-Two Bits Selects a repeating data pattern made up of two 0s and then two 1s.
    • Square-Four Bits Selects a repeating data pattern made up of four 0s and then four 1s.
    • Square-Eight Bits Selects a repeating data pattern made up of eight 0s and then eight 1s.
    • Square-Sixteen Bits Selects a repeating data pattern made up of sixteen 0s and then sixteen 1s.
    • User File Specifies the user-defined pattern file (text file *.csv) that is loaded. This file allows you to modulate the carrier signal with a message of navigation data. The format of the file is as follows:

      <patternLength><separator><patternData>

      where,

<patternLength> = | Decimal value specifying the length of the pattern in bits. This value may be preceded by any amount whitespace or comments and must be in the range of 1–37504bits (300 bits/subframe x 5 subframe/frame x 25frames/message + 4 to fill the last byte).
<separator> = | A comment, a comma or whitespace (space, tab or newline).
<patternData> = | Hexadecimal digits (0–9, A–F or a–f) interspersed with any amount of separators or comments.
comment = | All characters starting with a '#' character and ending with the first subsequent newline character. An error is generated if any character other than a valid hexadecimal digit, comma or whitespace is in the file outside of a comment.
  • Doppler Shift Enters a value to specify a Doppler shift.
  • L1 carrier Changes the frequency to 1575420000.0 Hz, which is the value that all GPS satellites use as the L1 carrier frequency.
  • Load Generates the GPS modulation waveform. The RF On and Modulation On must also be selected to output a signal from the VSG.
  • Unload Stops generating the GPS modulation waveform. The VSG output stops immediately.
  • Modulation On Enables and disables the modulation capability.
  • RF On Enables and disables the RF output.


To set up a GPS modulation

You can set up a GPS modulation waveform from the GPS modulation window. You can control the GPS modulation generation from the modulation window or from the arbitrary waveform table, if the data pattern is < 32bits. See To playback an arbitrary waveform.

For selected data patterns > 32bits, the following conditions exist:

  • List mode and sweep mode cannot be enabled.
  • GPS modulation cannot be loaded if list mode or sweep are already enabled.
  • SyncOut on Wrap selection is a SyncOut on Bit Transition.
  • GPS waveform cannot be added to the arbitrary waveform table.

From the front panel interface:

  1. Choose Select Modulation > Standards > GPS.
  2. Select C / A Code and enter the satellite or space vehicle ID (SVID). You can choose 1–37. The L1 carrier phase will be modulated with the C / A code.
  3. Select Data Pattern and choose a pre-defined pattern from the drop-down list, or the option to load a user-defined pattern.
    • PN9 -- pseudorandom sequence
    • PN15 -- pseudorandom sequence
    • All Ones -- 11
    • All Zeros -- 00
    • Square-One Bit -- 01
    • Square-Two Bits -- 0011
    • Square-Four Bits -- 00001111
    • Square-Eight Bits -- 0000000011111111
    • Square-Sixteen Bits -- 0000000000000000111111111111
    • User File -- user-created file
  4. If you want to base the data pattern on a file that you have created, select User File > Open.... Navigate to the file location then select the filename and Load.

    The user-defined pattern is loaded from a text file (*.csv) where the format of the file is as follows:

    <patternLength><separator><patternData>

    where,

    <patternLength> = Decimal value specifying the length of the pattern in bits. This value may be preceded by any amount whitespace or comments and must be in the range of 1–37504bits (300bits/subframe x 5subframe/frame x 25frames/message + 4 to fill the last byte).

    <separator> = A comment, a comma or whitespace (space, tab or newline).

    <patternData> = Hexadecimal digits (0–9, A–F or a–f) interspersed with any amount of separators or comments.

    comment = All characters starting with a '#' character and ending with the first subsequent newline character. An error is generated if any character other than a valid hexadecimal digit, comma or whitespace is in the file outside of a comment.

    Note: The pattern is transmitted in the order of data listed in the file: first to last, starting with the MSB of each digit. Data beyond the specified length are ignored. If the length is not a multiple of four (the number of bits in a hexadecimal digit) only the most significant bits of the final hexadecimal value are transmitted.

  5. Select Doppler Shift and enter a value to specify a Doppler shift in the range of -10kHz to +10kHz.
  6. Select Set Frequency to L1 Carrier to change the frequency to 1575420000.0Hz.
  7. Select Load to output the GPS modulation waveform from the VSG RF output.
  8. Select Modulation On and RF On to enable the modulation and the RF output.
  9. If the data pattern is < 32bits, you can add the GPS modulation to the arbitrary waveform playback table to quickly switch from playing one waveform to another. You can choose to have the selected waveform play repeatedly, for a set number of times, or until you select another waveform to play back. You can add GPS modulation files with the following types of pre-defined data patterns to the arbitrary waveform table:
    • All Ones
    • All Zeros
    • Square-One Bit
    • Square-Two Bits
    • Square-Four Bits
    • Square-Eight Bits
    • Square-Sixteen Bits
  10. Choose Select Modulation > Arb > Add Arb.
  11. Select Add a copy of the currently outputting modulation.
  12. See To playback an arbitrary waveform and To playback a sequence of arbitrary waveforms.

From the remote programming interface:

[:SOURce]:RADio:GPS:CACode

[:SOURce]:RADio:GPS:DSHift

[:SOURce]:RADio:GPS:PATTern

[:SOURce]:RADio:GPS:PATTern:OPEN

[:SOURce]:RADio:GPS:STATe


Global Settings

Click on one of the Global Settings selections to learn more:

  • ALC
  • Carrier Phase*
  • Digital IO
  • Frequency reference
  • MIMO*
  • List mode
  • Sweep
  • Sync Output
  • Trigger
  • Units
  • User flatness
  • External IQ Out*
  • Advanced

    NOTE: * These features are not available on the Model 2910.


Automatic leveling control

The VSG can automatically control the RF output amplitude. This automatic leveling control compensates for variations that may occur from an extended time period, or a change in temperature or RF output loading conditions. You are able to control the ALC settings independently for modulated signals and CW signals.

  • Analog or digital modulated signals (modulation ON)
  • Continuous wave signals (modulation OFF)

To set up the ALC from the front panel interface:

  1. Select Menu > Global Settings > ALC.
  2. Select the status of the ALC operation.
    • If you want automatic leveling applied to the RF output signal when it is modulated, select the On checkbox next to ALC for modulated waveforms.
    • If you want automatic leveling applied to the RF output signal when it is in CW mode, select the On checkbox next to ALC for CW.
  3. Select the down-arrow on each drop-down menu and choose the ALC setting for a modulated signal and for a CW signal.
    • Auto -- For a modulated signal, the VSG uses the Sample/Hold setting. For a signal without modulation, the VSG uses the Fast (wide bandwidth) setting.
    • Sample/Hold -- When the frequency or power setting is changed, the ALC switches on (fast setting). The signal is allowed to settle to the new power value. Then the ALC switches off. If the signal is modulated, the modulation switches off momentarily when the frequency or power setting is changed. When the source is settled, the modulation is re-enabled.
    • Fast -- CW signals only -- Wide bandwidth (1000 Hz) allows for the fastest response (10x faster than medium) to changes in the source output. However, the output level has more noise and variability. This setting is not recommended for signals with modulation or two-tone applications.
    • Medium -- CW signals only -- Medium bandwidth (100 Hz) allows for a response time (10x faster than slow) to changes in the source between the Fast and Slow settings. The level of noise in the output is also between what you observe with Fast and Slow settings.
    • Slow -- CW signals only -- Narrow bandwidth (10 Hz) has the slowest response time to changes in the source output. This setting offers the lowest noise level and variability of the RF output.
    • Max Power -- CW signals only -- When selected, the host automatically unchecks the On box. This takes the place of a confirmation dialog since turning this on could result in a substantial power increase. The confirmation act is pressing On to enable.
    • Refresh Sample and Hold -- If the sample and hold operation is enabled for the output signal, an RF leveling operation is initiated. The ALC switches on. The signal is allowed to settle. Then the ALC switches off. This is useful if the source settings have not changed, but it is possible that there was some drift due to an extended time period, or a change in temperature or RF output loading conditions.

To set up the ALC from the remote programming interface:

The following commands are examples of ALC settings made from the remote interface. See SOURce:POWer:ALC commands for details.

[:SOURce]:POWer:ALC:CWAVe:TYPE SHOLd|FAST|MEDium|SLOW|AUTO|DEFault|MPOWer

[:SOURce]:POWer:ALC:CWAVe:TYPE?

[:SOURce]:POWer:ALC:CWAVe[:STATe]?

[:SOURce]:POWer:ALC:CWAVE[:STATe] ON|OFF|0|1|DEFault

[:SOURce]:POWer:ALC:MODulation:TYPE SHOLd|AUTO|DEFault

[:SOURce]:POWer:ALC:MODulation:TYPE?

[:SOURce]:POWer:ALC:MODulation[:STATe]?

[:SOURce]:POWer:ALC:MODulation[:STATe] ON|OFF|0|1|DEFault

[:SOURce]:POWer:ALC:SHOLd:REFResh


Carrier Phase

This feature enables you to initiate a carrier phase shift of 0.0 degrees to ±180 degrees in relation to the frequency reference source. With two sources using a common external reference, this feature allows phase adjustment of the output of one source in relation to the phase of the other source. This capability is useful in beamforming applications where you need to steer antenna patterns.

See also: [:SOURce]:PHASe:ADJust

NOTE: This feature is not available on the Model 2910 VSG.


Digital I/O connector pin out

The connector location and pin designations are shown.


Digital input

Pin 8 of the Digital I/O is the digital input line. You can apply a TTL high or TTL low to this line. The state of the input (high or low) can be determined from the front panel or over the bus.

From the instrument front panel interface:

Select Menu > Global Settings > Digital I/O.

From the remote interface:

TTL:INPut?

If a high TTL level is on the input, this command will return a "1." If a low TTL level is present, a "0" will be returned.


Digital outputs

The digital I/O port has four digital outputs. Each digital output can be used in the following ways.

  • A sink mode to control devices (for example, relays).
  • A source mode to provide input to external logic circuitry (TTL or CMOS).

The simplified schematic for the digital outputs are shown in the following graphic. Notice that this illustration shows the schematic for one digital output. All four digital output circuits are identical.

Digital output port simplified diagram

Sink mode

Controlling external devices

Each output can be operated from an external supply (voltage range from +5V to +30V applied through the external device being driven). The high current sink capacity of the output driver allows direct control of relays, solenoids, and lamps (no additional circuitry needed).

As shown in the graphic above, each of the digital, open-collector outputs includes a built-in pull up resistor connected to +5V. The output transistor is capable of sinking 250mA from voltages up to +30V. Each output channel contains a fly-back diode for protection when switching inductive loads (such as a low power solenoid or relay coils). To use these fly-back diodes, connect the external supply voltage to pin 9 of the digital I/O port. Make sure the external supply voltage is between +5V and +30V and the current required by the device does not exceed 250mA.

CAUTION: On pin 9, do not exceed +30V. For the output lines, do not exceed the maximum sink current. The maximum sink current for an output line is 250mA. Exceeding these limits may cause damage to the instrument that is not covered by the warranty.

An externally powered relay connected to the digital output port is shown in the graphic. Other externally powered devices can be similarly connected by replacing the relay with the device. When the output line is pulled low (0V), the output transistor sinks current through the external device. In the high state, the output transistor is off (transistor switch open). This interrupts current flow through the external device.

Internal +5V supply -- The +5V supply of the Digital I/O (pin 7) can be used to drive low power devices. The maximum current that can be delivered to a DUT load is 100mA. Do not exceed this limit. In the following figure, the internal 5V supply can be used instead of the External Power source by connecting the high side of the coil to pin 7 of the Digital I/O. Make sure both the coil and External Power source are disconnected from pin 9.

Controlling externally powered relays

Source mode (logic control)

The digital outputs can be used as logic inputs to active TTL, low-power TTL, or CMOS inputs. For this mode of operation, the output lines can source up to 2 mA.

CAUTION: Each output line can source up to 2 mA. Exceeding 2 mA may cause damage to Model 2910 that is not covered by the warranty.

The following graphic shows how to connect a logic device to one of the output lines. When the output line is pulled high, the transistor will turn off (transistor switch open) to provide a reliable TTL logic high output. When the output line goes low, the transistor turns on (transistor switch closed) to route current to digital ground. As a result, a low TTL logic output is provided at the output. If the second input (B) of the NAND gate is connected to another output line of the port, the output of the NAND gate will go to logic 0 when both digital outputs are set high.

NAND gate control


Setting digital output lines

From the front panel interface:

An output line can be set high (H) or low (L). From the front panel, the decimal equivalent of the bit pattern is set. Use This table to determine the decimal value for the bit pattern. For example, to set output 4 high and the outputs 1, 2, and 3 low, use decimal value "8" as shown.

  1. Press Menu > Global Settings > Digital I/O.
  2. Type in the desired digital output pattern (in decimal) and press Enter.
  3. Select the Close button.
Output patterns for NRf parameter
Out 4 | Out 3 | Out 2 | Out 1 | Decimal
L | L | L | L | 0
L | L | L | H | 1
L | L | H | L | 2
L | L | H | H | 3
L | H | L | L | 4
L | H | L | H | 5
L | H | H | L | 6
L | H | H | H | 7
H | L | L | L | 8
H | L | L | H | 9
H | L | H | L | 10
H | L | H | H | 11
H | H | L | L | 12
H | H | L | H | 13
H | H | H | L | 14
H | H | H | H | 15

From the remote interface:

The SOURce:TTL subsystem commands are used to set the logic level for the four output lines of the Digital I/O. These commands are listed in SOURce:TTL commands.

You can set the control the digital I/O output settings:

TTL [MAXimum | MINimum | DEFault]

An output line can be set high (H) or low (L). When using the decimal format to set the bit pattern, use the table to determine the decimal value for the parameter.

Example:

To set output 4 high and the outputs 1, 2, and 3 low, use parameter value "8" as shown in the table below.

When using one of the non-decimal formats, convert the decimal value for the bit pattern to the equivalent binary, octal or hexadecimal value. Be sure to use the appropriate header (#B, #Q, or #H) with the non-decimal number. For example, for decimal 8 the binary equivalent for the parameter is #B1000.

When using the query command to read the set bit pattern, the format for the returned value depends on the presently set data format for SOURce:TTL commands.

Example:

Set outputs 4 and 2 high and outputs 3 and 1 low:

:TTL:LEV #B1010 | ' Binary format.
[:SOURce]:TTL[:LEVel] <NDN> or <NRf> | Specify bit pattern for the four digital output lines 15.
[:SOURce]:TTL[:LEVel]? | Query set bit pattern.
[:SOURce]:TTL:INPut? | Query digital input state: Hi (1) or Lo (0).

Parameters:

<NRf> | = 0 to 15 | Decimal format |
<NDN> | = #Bxxxx | Binary format | xxxx = 0000 to 1111
 | = #Hx | Hexidecimal format | x = 0 to F
 | = #Qx | Octal format | x = 0 to 17


MIMO

The MIMO (multiple input multiple output) system transmits multiple, independently modulated OFDM signals on the same channel. All analyzers share common LO (local oscillator) and clock signals. The master unit provides the LO, a digital clock and trigger synchronization to the MIMO synchronization unit. The latter unit distributes those signals to all of the other units. Signal sampling is aligned to within ±1ns.

NOTE: This feature is not available on the Model 2910 VSG or the Model 2810 VSA..

To initiate a MIMO measurement:

  1. Select Preset.
  2. Select Global Settings > MIMO.

This brings up the MIMO dialog.

See also:

  • Mode
  • MIMO Sync
  • VCO
  • Internal Clock

Mode

The MIMO Mode drop-down menu offers the following choices:

  • Off - This selection configures the instruments for non-MIMO operation. The VCO and the Internal Clock are turned ON and the MIMO Sync is turned OFF. The instrument is not waiting for external synchronization.
  • Master - This mode establishes the instrument as the master to any other similar instruments connected to the synchronization unit. The master unit generates the the RF carrier, which is then distributed to the other instruments. When you set an instrument to master:
    • MIMO Sync is turned ON.
    • VCO (voltage controlled oscillator) is turned ON.
    • Internal Clock is turned OFF.
  • Slave - This mode establishes the instrument as the slave to the master instrument connected to the synchronization unit.
    • MIMO Sync is turned ON.
    • VCO (voltage controlled oscillator) is turned OFF.
    • Internal Clock is turned OFF.

      NOTE: Turning VCO and Internal Clock OFF produces a signal with less noise.

  • Manual - This mode is intended for factory debugging. If you use this mode to control MIMO Sync, VCO or Internal Clock it is best utilized with the assistance of a Keithley Instruments application engineer

MIMO Sync

To synchronize the ARB playback the master unit generates a sync pulse which is then distributed to all units.

VCO

The VCO (voltage controlled oscillator) is turned ON in the master unit and OFF for all slave units.

Internal Clock

The internal clock is turned OFF for MIMO operation. For standard instrument operation (no master/slave configuration) the internal clock is turned ON.


List mode

This dialog box allows the Model 2910-VSG to produce a signal from a list of frequency, power and dwell time settings. Because these settings can be arbitrary, List Mode allows more flexibility than Sweep Mode.

To learn more, see the following topics:

  • Sweep and signal generation
  • Sweep/list description and use
  • To set up a list mode


Sweep

This dialog box allows the Series 2900 VSG to produce a signal that sweeps across a frequency range, a power range or both.

To learn more, see the following topics:

Sweep and signal generation

Sweep and signal operations


Sweep and signal generation

Select the sweep description to learn about the sweep and signal generation. Or, select one of the procedures to learn how to set up and control the signal generated in the vector signal generator (VSG).

  • Sweep/list description and use
  • Sweep/list trigger description and use
  • Sync pulse description and use
  • Sweep/list dwell description and use
  • Procedures:
    • Setting up a CW signal
    • Setting up a frequency or power sweep
    • Setting up a list mode
    • Making a single sweep/list with commands
    • To set the trigger
    • Generating sync pulses


Sweep/list description and use

In the default (preset) mode, the vector signal generator (VSG) generates an RF carrier at a fixed frequency and power. However, if you need the output signal to vary in frequency/amplitude in a specified sequence, the VSG can generate stepped-sweep and list modes. You can specify the source values for these modes as follows:

Stepped frequency and power sweep:

  • 400 MHz to 2.5 GHz for the Model 2910 and 10 MHz to 6GHz for the Model 2920
  • -125 dBm to +13 dBm for the Model 2910 and -130 dBm to +13 dBm for the Model 2920
  • List mode: frequency/power combinations

Here are some examples of how you could use the different sweep and list modes:

  • Stepped-sweep mode could trace out a filter response.
  • List mode could tune the source to one test frequency/power, make some measurements, and then tune to another frequency/power.

For details, see Sweep setup and List Setup to learn how to make faster measurements.


Sweep/list triggering description and use

When you switch the source to sweep or list mode, the vector signal generator (VSG) starts stepping through the frequency and power values immediately. When the source reaches the last values in the sweep or list, it immediately returns to the first values of the sweep or list, repeating the sweep continuously.

If you want the instrument to wait until you are ready for it to change states, you can set up a trigger. The VSG has trigger options that allow you to control when the instrument does the following operations:

  • Starts a continuous sweep.
  • Starts a single sweep.
  • Changes to the next step (frequency/power values) in a stepped sweep or list.
  • Starts an arbitrary waveform playback.
  • Starts a sequence of arbitrary waveforms.
  • Changes to the next step (waveform/settings) in a sequence playback.

A trigger delay is typically used to align an event within the source with other events within the system (for example, aligning a signal burst from the VSG with a signal burst from another instrument). You can also control how the trigger is generated:

  • Trigger Now button in the trigger or sweep dialog interface
  • SCPI command (*TRG)
  • External TTL input with a rising edge
  • External TTL input with a falling edge

    Note: There are speed and repeatability advantages to using the TTL trigger input, rather than using the Trigger Now button or the SCPI command *TRG. The trigger event goes directly to the signal generation hardware.

Note: All trigger events, including the front panel Trigger Now button, will be delayed by the trigger delay time.

For details, see the following topics:

  • Sync pulse description and uses
  • Sweep/list dwell description and uses
  • Sweep and signal operations
  • Example measurement applications


Sync out description and uses

The sync pulse output can trigger an external device or circuit to perform a particular operation. The Model 2910 can generate a sync out signal at the following events:

  • Beginning of a sweep, list or arb file sequence (Begin)
  • End of a sweep, list or arb file sequence (End)
  • When an arbitrary waveform playback repeats (Wrap)
  • End of a dwell time at each step in a stepped sweep, list mode or arb file sequence (Dwell)
  • When the source settles at each step in a stepped sweep, list mode or arb file sequence (Step)
  • No sync pulses are allowed to be generated (Never)

You can set the polarity of the 200ns TTL (3.3V) sync pulse generated:

  • Positive going pulse with sync on the rising edge
  • Negative going pulse with sync on the falling edge

In many measurement applications, the source must settle before the receiver can acquire data. You can send the *OPC query at the end of a programming message so the source indicates when it has settled and finished executing the command by sending a "1" to the computer. The "1" sent is a TTL pulse on the VSG Sync Out connector. This allows you to synchronize your device measurements with the source output. The syntax for the message is the same whether you are sending commands over GPIB, LAN, or USB.

You can also use the *WAI, *OPC, and *OPC? commands to query the VSG status to synchronize operations with other equipment. Refer to IEEE 488.2 common commands.

Note: The sweep and list execution respond to *WAI, *OPC and *OPC? when the sweep or list has started. The INIT:IMM; command causes a single sweep (or list) and delays *WAI, *OPC and *OPC? until the end of the sweep.

Example:

The computer sends the following message to the source:

FREQ 926.6 MHz; POW -2 dBm; *OPC?

The source goes to the new frequency and power. Then the source responds with a "1" when it is settled.

The source is settled at the current setting when the following conditions are met:

  • The frequency is within 100 Hz of the value set.
  • The output power has settled according to the current ALC mode.
  • The modulation waveform has been calculated and is being played back, if applicable.

You can set the polarity of the 200 ns sync pulse generated:

  • TTL (3.3V) output on a rising edge
  • TTL (3.3V) output on a falling edge

For details, see To set the sync out and Example measurement applications to learn how to make fast measurements using the sync out pulse.


Sweep/list dwell description and uses

Both sweep and list modes accept a dwell time. The dwell time is the minimum delay between the changes of the frequency/power state throughout a sweep. This setting allows you to control the sweep rate, and sweep time. The sweep/list dwell time operates as follows:

  • If the source takes longer to settle for a particular state change than the requested dwell time, the instrument waits the longer time.
  • The sync pulse occurs when the source is settled, not at the start of the dwell time.
  • If you need the instrument to wait at the current frequency/power for a specified length of time, specify a dwell time that is the sum of the settling time and the required wait time. You can find out the actual settle time remotely. Execute the sweep or list with a zero dwell time, then use one of the following commands:
    • SWEep:SETTle? returns the worst case observed settle time over the sweep.
    • LIST:SETTle? returns the per-point observed settle time.

The source is settled at the current setting when the following conditions are met:

  • The frequency is within 100 Hz of the value set.
  • The output power has settled according to the current ALC mode.
  • The modulation waveform has been calculated and is being played back, if applicable.

    Note: The settle time varies with ALC settling time.


Sweep and signal operations

Select from the following procedure categories to learn how to set up and control various sweeps and signals generated by the Series 2900 vector signal generator (VSG):

  • Setting up a CW signal
  • Setting up a frequency or power sweep
  • Setting up a list mode
  • Making a single sweep/list with commands
  • Triggering a sweep or list
  • Generating sync pulses
  • Example measurement applications


To set up a continuous wave (CW) signal

From the front panel interface:

  1. Select the Preset button on the front panel.
  2. Select the Frequency field and enter a value:
    • Use the front panel puck or knob to increase or decrease the value.
    • Use the keypad interface to enter a value and then select the correct terminators (GHz, MHz, kHz, Hz).
  3. Select the Amplitude field and enter a power level:
    • Use the front panel puck or knob to increase or decrease the value.
    • Use the keypad interface to enter a value and then select Enter.
  4. Ensure that the state is set for the following checkboxes:
    • Modulation ON checkbox is unselected (cleared).
    • RF checkbox is selected.

From the remote programming interface:

*RST

FREQuency 998 MHZ;

POWer -10 dBm;


To set up a frequency or power sweep

Note: If either the list mode or the arbitrary waveform sequence mode is active on the Series 2900, you must stop the signal generation for that mode before starting a sweep. The sweep, list, and waveform sequence modes must have exclusive operation of the Series 2900. Switch one mode off before attempting to switch another mode on.

From the front panel interface or the LXI web interface:

  1. Select the Preset button on the front panel.
  2. Select Menu > Global Settings > Sweep.
  3. Select the fields in the Sweep dialog and enter values using one of the following methods:
    • Adjust the front panel puck or knob to change the value.
    • Double-click a value field and enter a value from the keypad, followed by the correct terminator.
  4. Select the Start Frequency or Start Power field and enter a value. This is the frequency or power setting of the first step in the sweep.
  5. Select the Stop Frequency or Stop Power field and enter a value. This is the frequency or power setting of the last step in the sweep (you can set the stop frequency to a value that is lower than the start frequency so that the frequency sweeps from a higher to a lower frequency value).
  6. Select the Number of steps field and enter a value (the default is 201 and the maximum is 2000). As the source sweeps the power or frequency range, it divides the range by this number, resulting in the number of individual instrument settings that the instrument makes when progressing through the sweep range. The maximum step size is 100.000 seconds.
  7. Select the Dwell Time field and enter a value (the default and minimum value is 0 seconds, the maximum value is 999.9999 seconds). This is the minimum time, including settling time, the instrument stays at the specific settings for each step in the sweep range.
    • If the instrument dwell time is greater than the settling time, the instrument will remain settled for (dwell time -- settling time).
    • If the instrument dwell time is less than settling the time, the instrument will settle and then immediately move to the next point.
  8. Select the Sweep Now button in the Sweep dialog to start the sweep.
  9. Select the Stop Sweep button in the Sweep dialog to stop the sweep.

    Note: The main status area shows the sweep values and whether the instrument is currently sweeping.

From the remote programming interface:

*RST

FREQuency:STARt 998 MHZ;

FREQuency:STOP 1002 MHZ;

POWer:STARt -20 dBm;

POWer:STOP -15 dBm;

SWEep:DWELL 0 s;

SWEep:STEP 101;

SWEep:STATE [ON | OFF];


To set up a list mode

The source can step through a list of frequency/power combinations with associated dwell times. The values are loaded from a list file of comma separated value (*.csv). You can create/edit this file in Microsoft® ExcelTM or any text editor than can save in plain text format.

Example list file:

LIST Version 0.1,,

Begin Table,,

Frequency(Hz),Power(dBm),Dwell(sec)

9.95E+08,0,0

9.97E+08,0,0

9.99E+08,0,0

1.00E+09,0,0.1

1.00E+09,0,0.2

1.01E+09,0,0.1

Note: If either the sweep mode or the arbitrary waveform sequence mode is active on the vector signal generator (VSG), you must stop the signal generation for that mode before starting a list. The list, sweep, and waveform sequence modes must have exclusive operation of the VSG. Switch one mode off before attempting to switch another mode on.

From the front panel interface:

  1. Select Menu > Global Settings > List Mode > Open List File.
    • If the file is in the User directory, select the list filename and then select Load.
    • If you do not see the file that you want in the User directory, select the Look in: drop-down arrow and then select the directory where the file is located. Select the list filename and then select Load.
    • If the file is on an external drive, you may want to save the file to the instrument User directory.
  2. Select Start List. The source starts stepping through the list of values. The Model 2910-VSG main status area shows the instrument is currently in list mode.
  3. Select Stop List to stop the sweep of listed values.

From the remote programming interface:

[:SOURce]:LIST:LOAD "LIST_NAME"

[:SOURce]:LIST:SETTle?

[:SOURce]:LIST[:STATE] ON | OFF

See SOURce:LIST commands for details on the commands.


To make a single sweep/list using commands

Some measurement applications require that you launch a single sweep/list from a SCPI command, and then wait until the sweep is complete. The INIT:IMM;*OPC? command provides this functionality.

  1. Configure the sweep/list and set the sweep state to ON.
  2. Issue the command INIT:IMM;*OPC? as a single message. Sending INIT:IMM as one message, then *OPC? as a separate message, aborts the initiated sweep.
  3. The source aborts the current sweep, starts a new sweep, and returns a "1" when the sweep is complete.
    • If the trigger is set up to start a sweep by the external TTL trigger input, the source must receive the trigger to start the sweep.
  4. You can abort the sweep by sending another SCPI command or by pressing the front panel Local key. This allows the Model 2910-VSG to abort a sweep remotely that may be waiting for an external trigger that never occurs.

    Note: The command (INIT:IMM;*OPC?)only triggers the start of a sweep, not individual steps in a sweep/list. The command initiates a new sweep, aborting the current sweep. Use the *TRG command to trigger individual steps in a sweep/list.

See INIT:IMM and IEEE commands for details.


To set the trigger

From the front panel interface:

  1. Select Menu > Global Settings > Trigger > Trigger Mode down-arrow and choose what operation the trigger event will initiate:
    • Free Run continuously triggers the source RF output.
    • Trigger steps in sweep/list changes to the next step (frequency/power values) in a stepped sweep.
    • Trigger a sweep/list starts a stepped sweep or list sweep.
    • Trigger start of arb waveform starts the playback of an arbitrary waveform.
  2. Select Arb Sequence Trigger Mode down-arrow and choose what operation will be initiated by a trigger event when you are playing back a sequence of arbitrary waveforms:
    • Start and Step requires a trigger to initiate the start of a sequence and the transition to the next step in a sequence when specified in the sequence mode.
    • Stepping Only requires a trigger to transition to the next step in a sequence when specified in the sequence mode.
  3. Select Trigger Source down-arrow and choose the source of the trigger pulse that will be received by the instrument.
    • SCPI or Front Panel Trigger sets the instrument to receive a trigger from a program that sends the SCPI command (*TRG) or allows you to invoke a trigger from the instrument Trigger Now button.
    • Rising Edge of External TTL Input sets the instrument to receive a trigger from an external device that sends a TTL signal pulse with a rising edge.
    • Falling Edge of External TTL Input sets the instrument to receive a trigger from an external device that sends a TTL signal pulse with a falling edge.
  4. Select the Trigger Delay field and enter a delay value, if desired. After the instrument receives a trigger, it will wait the desired time before launching the trigger event. The delay applies to all trigger sources. There is a minimum trigger delay associated with each playback sample rate, even though the gui setting is set to zero. This minimum delay is needed to synchronize the digital upconverter to a known phase. The minimum delay is the greater of (1.28us, 8 sample periods). Or, if you prefer, another way to state it is 8 sample periods for Fs < 6.25MHz and 1.28us for Fs >= 6.25MHz
  5. Select the Trigger Now button or send the trigger as you have selected. Trigger Now is active only for SCPI or front panel trigger mode.

From the remote interface:

TRIGger:MODE [OFF | TUNE | START | ARB];

TRIGger:SOURce [RISing | FALLing | BUS]:

TRIGger:DELay [value];

*TRG

See TRIGger commands for more information on using the trigger commands.


To set the sync out

From the front panel interface or from the LXI web interface:

  1. Select Menu > Global Settings > Sync out.
  2. Select the arrow for the Generate a Sync Pulse drop-down menu and choose the event to generate the sync out pulse.
    • Never -- Never sends a sync out pulse.
    • On ARB waveform wrap -- Sends a pulse at the start of the repeat of an arbitrary waveform playback.
    • At beginning of a sweep/ list/sequence -- Sends a pulse when the source starts a sweep, list, or arbitrary waveform sequence.
    • At end of each step in sweep / list / sequence -- Sends a pulse when the source settles at the specific values (frequency/power/modulation) for each step in a sweep, list mode or arbitrary waveform sequence playback.
    • At end of dwell time in sweep / list / sequence -- Sends a pulse when the source reaches the end of the specified dwell time value for each step in a sweep, list mode or arbitrary waveform sequence playback.
    • At end of sweep / list / sequence -- Sends a pulse when the source settles at the values of the last point in the sweep or list, or at the last step of an arbitrary waveform sequence.
  3. Select the arrow for the Rising/Falling drop-down menu and choose the polarity of the sync out pulse.
  • If you want to immediately generate a sync out pulse, select Pulse Sync Out.

See Sync Out connector for specifications on the output signal.

From the remote interface:

:SOUTput:SOURce [OFF | WRAP | STEP | START | STOP];

:SOUTput:POLarity [RISing | FALLing]:

See :SOUTput commands for more information on using the sync out commands.


Triggering and sync out

The vector signal generator (VSG) has two main control signals that allow you to synchronize the instrument with other equipment and test devices in the measurement system.

  • Trigger allows you to control when certain VSG operations happen.
  • Sync out allows you to initiate control of other equipment that receives the VSG RF output.

Select the description topics to learn about controlling the sweep and signal generation. Or, select one of the following procedures to learn how to set up the trigger and sync out control signals.

  • Triggering description and use
  • Sync out description and use
  • Procedures:
    • To set the trigger
    • To set the sync out
    • Example measurement applications


Sync out procedures

Select from the following procedures to learn how to control the various sweeps and signals generated by the vector signal generator:

  • To set a sync out pulse
  • Example measurements:
    • Basic remote synchronization example
    • Arbitrary waveform synchronization example
    • Frequency list mode example


To set the sync out

From the front panel interface or from the LXI web interface:

  1. Select Menu > Global Settings > Sync out.
  2. Select the arrow for the Generate a Sync Pulse drop-down menu and choose the event to generate the sync out pulse.
    • Never -- Never sends a sync out pulse.
    • On ARB waveform wrap -- Sends a pulse at the start of the repeat of an arbitrary waveform playback.
    • At beginning of a sweep/ list/sequence -- Sends a pulse when the source starts a sweep, list, or arbitrary waveform sequence.
    • At end of each step in sweep / list / sequence -- Sends a pulse when the source settles at the specific values (frequency/power/modulation) for each step in a sweep, list mode or arbitrary waveform sequence playback.
    • At end of dwell time in sweep / list / sequence -- Sends a pulse when the source reaches the end of the specified dwell time value for each step in a sweep, list mode or arbitrary waveform sequence playback.
    • At end of sweep / list / sequence -- Sends a pulse when the source settles at the values of the last point in the sweep or list, or at the last step of an arbitrary waveform sequence.
  3. Select the arrow for the Rising/Falling drop-down menu and choose the polarity of the sync out pulse.
  • If you want to immediately generate a sync out pulse, select Pulse Sync Out.

See Sync Out connector for specifications on the output signal.

From the remote interface:

:SOUTput:SOURce [OFF | WRAP | STEP | START | STOP];

:SOUTput:POLarity [RISing | FALLing]:

See :SOUTput commands for more information on using the sync out commands.

Connections for TRIG IN and SYNC OUT


Pulse Sync Out

  • If you want to immediately generate a sync out pulse, select Pulse Sync Out.


To set the trigger

From the front panel interface:

  1. Select Menu > Global Settings > Trigger > Trigger Mode down-arrow and choose what operation the trigger event will initiate:
    • Free Run continuously triggers the source RF output.
    • Trigger steps in sweep/list changes to the next step (frequency/power values) in a stepped sweep.
    • Trigger a sweep/list starts a stepped sweep or list sweep.
    • Trigger start of arb waveform starts the playback of an arbitrary waveform.
  2. Select Arb Sequence Trigger Mode down-arrow and choose what operation will be initiated by a trigger event when you are playing back a sequence of arbitrary waveforms:
    • Start and Step requires a trigger to initiate the start of a sequence and the transition to the next step in a sequence when specified in the sequence mode.
    • Stepping Only requires a trigger to transition to the next step in a sequence when specified in the sequence mode.
  3. Select Trigger Source down-arrow and choose the source of the trigger pulse that will be received by the instrument.
    • SCPI or Front Panel Trigger sets the instrument to receive a trigger from a program that sends the SCPI command (*TRG) or allows you to invoke a trigger from the instrument Trigger Now button.
    • Rising Edge of External TTL Input sets the instrument to receive a trigger from an external device that sends a TTL signal pulse with a rising edge.
    • Falling Edge of External TTL Input sets the instrument to receive a trigger from an external device that sends a TTL signal pulse with a falling edge.
  4. Select the Trigger Delay field and enter a delay value, if desired. After the instrument receives a trigger, it will wait the desired time before launching the trigger event. The delay applies to all trigger sources. There is a minimum trigger delay associated with each playback sample rate, even though the gui setting is set to zero. This minimum delay is needed to synchronize the digital upconverter to a known phase. The minimum delay is the greater of (1.28us, 8 sample periods). Or, if you prefer, another way to state it is 8 sample periods for Fs < 6.25MHz and 1.28us for Fs >= 6.25MHz
  5. Select the Trigger Now button or send the trigger as you have selected. Trigger Now is active only for SCPI or front panel trigger mode.

From the remote interface:

TRIGger:MODE [OFF | TUNE | START | ARB];

TRIGger:SOURce [RISing | FALLing | BUS]:

TRIGger:DELay [value];

*TRG

See TRIGger commands for more information on using the trigger commands.

Connections for TRIG IN and SYNC OUT


Example measurement applications

The following examples show how to use the trigger and synchronization capabilities to make fast measurements.

  • Basic remote synchronization
  • Fast measurements with arbitrary waveform synchronization
  • Fast measurements with list frequency mode


Example: Basic remote synchronization

When you are controlling the Series 2900 VSG with SCPI commands, you can send the *OPC query at the end of a programming message so the source indicates when it has finished executing the command by placing an ASCII '1' in the Output Queue. The '1' in the Output Queue will be sent to the computer in the form of a TTL pulse on the VSG Sync Out connector. This allows you to synchronize your device measurements with the source output. The syntax for the message is the same whether you are sending commands over GPIB, LAN or USB.

The computer sends the following message to the source:

FREQ 926.6 MHz; POW -2 dBm; *OPC?

The source goes to the new frequency and power. Then the source responds with a "1" when it is settled.

The source is settled at the current setting when the following conditions are met:

  • The frequency is within 100Hz of the value set.
  • The output power has settled according to the current ALC mode.
  • The modulation waveform has been calculated and is being played back, if applicable.

If you send a query at the end of a programming message that sets the trigger to start a sweep, *OPC will return as soon as the sweep launches.

One disadvantage to this approach is that the program is blocked until the source responds. This prevents the program from other SCPI communications until the source is settled. To avoid this delay, use the SCPI serial poll mechanism (SPOLL) to check the Message Available (MAV) bit on the source. This is a non-blocking call that allows the program to check the source many times. When the "1" is ready to be read back, MAV will be true. Refer to Serial polling and SRQ for details.


Example: Fast measurements with arbitrary waveform synchronization

The Series 2900 VSG allows you to optimize your measurement speed when your device testing requires switching between waveforms of various modulation types. You can add the waveforms to a modulation table that allows you to quickly switch from playing one waveform to another. For details, see Arbitrary Waveforms. You can add the following files to the arbitrary modulation table:

  • Existing waveforms from the instrument modulation menu.
  • Edited waveforms based on the existing instrument modulations.
  • Existing arbitrary files (.arb) created from an external application.

When the source plays back an arbitrary waveform, it continuously wraps back to the start of the waveform when it reaches the end. This creates a repetitive waveform. In some situations, you can make faster measurements if you synchronize device measurements with the event of the source returning to the start of the modulation waveform.

  • Measurement results settle faster because the signal analyzer receives the same modulation envelope on each measurement.
  • IQ data averaging allows you to reduce the noise floor because you don't have to average the envelope data.
  • Measurement-to-measurement variations are reduced by measuring at the same point in the arbitrary waveform.

The following configuration allows you to synchronize your device measurements with the modulation waveform playback.

Note: You can also playback a sequence of arbitrary waveforms and synchronize device measurements with the beginning of the sequence, the end of the sequence or the end of each step of the sequence. For details, refer to Arbitrary Waveforms.

From the instrument front panel interface

  1. Select Menu > Setup > Sync Out.
  2. From the Generate a Sync Pulse: drop-down menu, select On ARB waveform wrap.

From the remote interface

SOUT:MODE WRAP

For details, refer to Arbitrary Waveforms and Sync out description and uses.


Example: Fast measurements with frequency list mode

The source hardware is capable of switching speeds of 1ms under certain conditions. However, when you are controlling the source with SCPI commands over the communication bus, the switching speed is much longer than 1ms. To avoid the delay of the communication bus, you can set up the following conditions for your device measurements:

  • Load an arbitrary frequency list into the source.
  • Install a Digital I/O card in the controller.
  • Send a TTL trigger to step the source through the list values.

Example:

If a test requires a measurement at 3 frequency points in 4 different bands, you would perform the following steps:

  1. Load the 12 frequencies into the source by recalling a description file (*.csv) (see To set up a list mode for details).
  2. Configure the required modulation (see "Modulation types" for details).
  3. Set up the sync out:
    1. Select Menu > Setup > Sync Out....
    2. In the Generate a Sync Pulse: drop-down menu, select At end of sweep or list.
  4. Over SCPI: SOUTput:SOURce STOP
  5. Set up the trigger:
    1. Select Menu > Setup > Trigger....
    2. In the Trigger Mode drop-down menu, select Sweep/list.
  6. Over SCPI: TRIGger:MODE START
  7. Configure the equipment as shown in the following graphic.
    1. When the source receives a TTL trigger from the Digital I/O card, it moves to the first frequency, and responds when it is settled.
    2. The host controller triggers the device measurements.
    3. When the source receives another TTL trigger from the Digital I/O card, it moves to the next frequency in the list, and responds when it is settled.
    4. The process repeats, continuing through the remaining frequency list values.

For details, see Digital I/O.

Note: Although modulation can be on during an arbitrary list sequence, you will have to restart the sequence if you change modulation type or parameters.

If the device under test is able to manage triggers from instruments, you could use the following configuration. This allows the device under test to trigger the source and receive the source-settled sync out pulse. See Trigger and sync out operations for details.


Trigger procedures

Select from the following procedures to learn how to control the various sweeps and signals generated by the Series 2900:

  • To set the trigger
  • Example measurements:
    • Basic remote synchronization example
    • Arbitrary waveform synchronization example
    • Frequency list mode example


Trigger start of arb waveform

Caution: The "Trigger start of arb waveform" selection on the trigger mode menu is provided to allow the user to synchronize the modulation being generated on two different RF sources. In this mode, the instrument will tune to the desired frequency and power, and then wait for a trigger. When the trigger is received, the modulation waveform starts to play. The waveform will play in a continuous loop once started, not waiting for another trigger until the waveform is changed or turned off. For example, changing the frequency or power does not cause the waveform to restart. Changing a modulation parameter, on the other hand, will cause the waveform to restart, and the instrument will hold off until a trigger is received.

This trigger works with any of the Series 2900 modulations.

Do not use this trigger if a sweep or list is active. The instrument will behave incorrectly and will generate errors.

When using SCPI *OPC or the Sync Out function, the instrument will respond when the instrument is ready to receive the trigger, not when the trigger has been received and modulation is on.


Units (frequency)

This selection allows the user to choose the unit of frequency that is displayed in the Frequency: entry field. The choices are: Hz, kHz, MHz, and GHz. The selected frequency unit is immediately displayed in the Frequency: entry field. Upon Preset, the frequency unit returns to Hz. To change the frequency unit, select Menu > Settings > Units...


User flatness

With this feature, the user can create or open a user flatness data file to implement a level offset that compensates for path losses.

Access the user flatness dialog box from the front panel interface: select Menu > Global Settings > User Flatness....

When you open a data file or create a new one, the application checks for the following requirements:

  • The maximum of 10 rows is not exceeded.
  • The frequencies are listed in ascending order.
  • The frequencies listed are within the limits of 0Hz to 100GHz. See User flatness range
  • The minimum frequency spacing of 1KHz is maintained.
  • All offsets are within the limits of ±100dB.

    Note: An error message appears at the bottom of the screen if the instrument detects any of the conditions listed above with the user flatness file. Select Dismiss to remove the error message. Otherwise, the error message will stay on the screen and it may block any subsequent messages associated with other user flatness files that you attempt to load.

Example user flatness file:

FLATNESS Version 1.0,

Begin Table,

Frequency(Hz),Offset(dB)

9.980E+08,10

9.981E+08,10

9.982E+08,10

9.983E+08,10

9.984E+08,10

9.985E+08,10

9.986E+08,10

The following control buttons are on the top of the user flatness dialog box:

  • Data File allows manipulation of files with the following choices:
    • Open... opens a file browser window to enable you to select a file from the "user" folder, a USB memory stick, or a shared network folder. The name of the opened file appears (in brackets) in the title bar. If an open file is modified, an asterisk appears next to the file name. If you choose to create a new file or open another existing file, you are prompted to save the modified file. If you select "No," the new file table or the selected file is opened and your modifications to the last file are not saved.
    • New... opens a blank file table that you can modify by inserting and modifying rows. Once you have created a new frequency/offset table, you can save and name it.
    • Save... saves the current active file under the bracketed name displayed in the upper-left title bar (next to the label User Flatness). When no previously saved file is open, this choice is grayed out.
    • Save as... allows saving a new or modified file under a new name.
  • Insert Above creates the first row in a table, or if you first select an existing row, a new row is inserted above it with data in the Frequency(Hz) and Offset(dB) columns. By default the new row is 1 kHz lower in frequency than the row below it and has the same offset.
  • Insert Below creates the first row in a table or if you first select an existing row, a new row is inserted below it with data in the Frequency(Hz) and Offset(dB) columns. By default the new row is 1 kHz higher in frequency than the row above it and has the same offset.
  • Delete deletes an existing row. As rows are deleted, the row above the deleted one becomes the selected row. If the user flatness file is turned On, you can delete all but the last row while maintaining the User Flatness On. If the last row is deleted, the user flatness feature is turned Off.
  • On/Off toggles the amplitude offset On and Off.

You can use the standard controls (front panel knob, or puck) to modify the contents of any cell on the file table. If you double-click on any cell within the file table or press the center button on the puck, the number pad is called up to set the value of that cell. Refer to Changing a value for further details on editing values.

Once a file has been opened and modified, an asterisk appears next to the file name in the title bar and remains until the file is saved.

There are two SCPI commands related to user flatness:

  • [:SOURce]:UFLatness:LOAD selects and loads the user flatness data file. The default file extension is .csv and directory aliases are recognized.
  • [:SOURce]:UFLatness:STATe switches the user flatness on/off.

Under remote programming, no confirmation messages (for example, "Do you want to save changes before continuing?") are present if a new file is called up after changes have been made to the previous file.


User flatness range

The range of frequencies possible in a user flatness data file is 0Hz to 100GHz. Although this range of frequencies is outside the range of the instrument, it has been designed to accommodate customer calibration operations that may be outside the frequency range of the instrument.


Pulse Sync Out
  • If you want to immediately generate a sync out pulse, select Pulse Sync Out.
Connections for TRIG IN and SYNC OUT


External IQ Out

This control (when checked) switches the internally modulated IQ signal to the rear panel. The modulation is not applied to the RF out, and Internal IQ calibrations are disabled.

NOTE: This feature is not available on the Model 2910 VSG.


Advanced

The capabilities listed in the advanced hardware settings dialog box are new features that are best utilized with the assistance of a Keithley Instruments application engineer. Use of these features may effect other functions of the instrument.

  • Extend Freq
  • IQ Output Cal
  • Pulsed Arb Blanking
  • Reprogram DSP FW
  • Background Tasks


Pulsed Arb Blanking

This feature increases the on/off ratio of pulsed arb waveforms by setting the output attenuator to a high level when a sequence of zeros is detected in the arb waveform. Because the attenuator can take several microseconds to respond, it may not be desirable for all pulsed applications. If an arb waveform has brief off periods in the active part of the burst, the blanking can be triggered accidentally, turning off the output and corrupting the output waveform.


IQ Output Cal

This dialog box allows you to adjust factory default settings for:

  • IQ Gain.
  • I Gain
  • I Offset
  • Q Phase
  • Q Gain
  • Q Offset

Parameter | Description | Default | Minimum | Maximum
IQ Gain | Adjusts course IQ gain | 0 | 0 | 15
I Gain | Adjusts I gain | 0 | -128 | 127
I Offset | Adjusts I dc offset | 0 | -4096 | 4095
Q Phase | Adjusts phase relative to I | 0 | -10.00 | 10.00
Q Gain | Adjusts Q gain | 0 | -128 | 127
Q Offset | Adjusts Q dc offset | 0 | -4096 | 4095

Adjustments made using this dialog box take place immediately and persist through a saved setup. They are not persistent through a Preset or power cycle.

NOTE: This feature is not available on the Model 2910 VSG.


Reprogram DSP FW

The capabilities listed in the advanced hardware settings dialog box are new features that are best utilized with the assistance of a Keithley Instruments application engineer. Use of these features may effect other functions of the instrument. These features will evolve over time with new releases of firmware.


Background Tasks

Background tasks include checks on lock status, oven heater temperature and overall temperature.


Utilities

The items available from the Utilities menu choice help you adjust the instrument computer settings and configure connection settings. Select from the list to learn more:

  • Screen saver
  • GPIB address
  • Time and date
  • Ethernet settings
  • LAN config init
  • Software upgrade
  • Series 2900 Licensing
  • Calibrate touch screen
  • SCPI debug


Screen saver

You can set the screen to switch off after a specified time.

Access the Screen Saver dialog box by selecting Menu > Utilities > Screen Saver.

The selection range is 1 to 600 minutes. The default value is 60 minutes.

  1. Select the Screen Saver Delay to change the value.
  2. Select the Screen Saver On button to apply the change.

Notice the button background color changes to green.


GPIB Address

You can change the GPIB address of the instrument to any value within the range of numbers 0 to 30. The default GPIB address of the Series 2900 VSG is 12.

Access the GPIB Address dialog box by selecting Menu > Utilities > GPIB Address...

To change The value of the GPIB Address, select it and enter a different value.

When the power to this instrument is cycled, the address will remain as it was before the power cycling.

For details on connecting a GPIB system, see GPIB configuration.


Time and date

You can adjust the instrument computer time and date settings.

Access the Time and Date dialog box by selecting Menu > Utilities > Time and Date...

The current settings are shown. The value range for each field is as follows:

  • Hour (1 - 24)
  • Minute (1 - 60)
  • Second (1 - 60)
  • Month (1 - 12)
  • Day (Depends on the month)
  • Year (2005 - 9999)

To save changes, select the Set System Time and Date To Above Values button.


Ethernet settings

You can adjust the Ethernet (LAN) settings directly or automatically. Select a method to learn more:

  • Obtain an IP address by means of DHCP
  • Specify an IP address
  • Advanced tab

Access the dialog box by selecting Menu > Utilities > Ethernet Settings...


DHCP address assignment

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address:

  1. From the Series 2900, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.

    This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.

  5. Select Close to close the dialog box.


Specify an IP address

  1. Select Specify an IP address. The IP address and named server text fields are now available for modification.
  2. After modifying these text fields, select Apply to accept the changes, or Cancel to keep the Ethernet setting selection by way of DHCP.


Advanced tab 2900

Select the Ethernet settings Advanced tab to adjust the network speed or change sockets numbers.

Network speed:

The default mode is auto-negotiate. This mode is the recommended setting.

Selections for 10 Mbps and 100 Mbps are provided for troubleshooting when network difficulties are experienced.

To change a the network speed setting:

  1. Select one of the three radio buttons.
  2. Select Apply.
  3. Disconnect the LAN cable for 30 seconds or recycle power for the system to recognize the change.

SCPI listen port:

This is the socket port that an application can open to communicate with the instrument using SCPI commands.


LAN config init

You can restore the following default LAN configuration conditions:

  • The IP address is obtained by way of DHCP
  • The user name is the original value (admin)
  • The password is the original value (admin)

Access the LAN Config Init dialog box by selecting Menu > Utilities > LAN Config Init... Select Yes to restore the default conditions.


Series 2900 Licensing

The licensing options differ between the Model 2910 VSG (400MHz to 2.5GHz) and the Model 2920 VSG (10MHz to 6.0GHz). Choose from the two following links to view the licensing options for your instrument:

  • Model 2910 Licensing
  • Model 2920 Licensing


Model 2910 Licensing

The Model 2910 VSG requires a license file to access the standard signal formats and the modulations in the source. To view the current licenses select Menu > Utilities > Licensing. You can purchase the following licenses for your instrument.

License options:

  • 2900-ALG (flexible analog modulation signal generation)
  • 2900-ARB-20 (arbitrary waveform generator with 20 MHz bandwidth)
  • 2900-ARB-40 (arbitrary waveform generator with 40 MHz bandwidth)
  • 2900-CDMA-F (cdma2000® forward link signal generation)
  • 2900-DIG (flexible digital modulation signal generation)
  • 2900-GPS (GPS signal generation)
  • 2900-GSM (GSM, GPRS, and EDGE signal generation)
  • 2900-WCDMA-D (W-CDMA FDD downlink signal generation)
  • 2900-TDSCDMA-PC (SignalMeister™ license for TD-SCDMA signal generation)

Note: Each instrument must have an arbitrary waveform generator license (2910-ARB) for the other digital licenses to operate.

Version 2.0 firmware release

If you have a Model 2910 VSG with firmware version 1.0, you may choose to upgrade to version 2.0 to access the expanded licensed capability to generate signals that include ASK, FSK, PSK, QAM and GPS modulations along with the features of arbitrary waveform sequencing and more instrument control through the LXI web interface.

Note: The analog modulation capability requires an instrument option license for version 2.0. Therefore, before you upgrade the Model 2910 VSG firmware to version 2.0, contact Keithley Instruments to obtain the 2910-ALG (Analog Modulation Signal Generation Personality) license. There is no charge for this license to reinstate the analog modulation capability in the Model 2910 VSG.

Caution: If you have upgraded to version 2.0, you should not revert back to version 1.1 as damage to the instrument can occur.

Purchasing instrument option licenses

You can purchase option license files when you order your instrument, or at any time after you have received your instrument.

Contact your Keithley Instruments sales representative with the description of the licenses that you want to purchase.

See To open an option license for details on how to purchase and install a license.

See RF product software license agreement to view the instrument option licensing agreement.

Instrument option license ID

The option license identification (ID) contains information that describes the particular instrument and the current license status. The license ID is unique and therefore changes each time the license status is modified. For example, the license ID would change in the following situations:

  • When the instrument imports newly purchased licenses.
  • When the instrument imports existing licenses that were transferred from another instrument.
  • When the instrument exports licenses to another instrument.

See To view instrument option licenses for details on how to access the current modulation ID.

Transferring option licenses

You can move licenses between instruments. For example, if you do not require the GSM license in one instrument, you can move the license to another instrument that is in a test system that requires the GSM signal format capability.

You can also transfer option licenses from two separate instruments into a third instrument; however, you must perform the steps in a particular sequence.

You must use the LXI web interface to transfer licenses between instruments.

See To move instrument option license files for details on how to transfer existing license files between instruments.


Model 2920 Licensing

The Model 2920 VSG requires a license file to access the standard signal formats and the modulations in the source. To view the current licenses select Menu > Utilities > Licensing. You can purchase the following licenses for your instrument:

  • 2900-ALG (flexible analog modulation signal generation)
  • 2900-ARB-20 (25mega-sample arbitrary waveform generator with 20MHz bandwidth)
  • 2900-ARB-40 (48mega-sample arbitrary waveform generator with 40MHz bandwidth)
  • 2900-ARB-80 (100mega-sample arbitrary waveform generator with 80MHz bandwidth)
  • 2920-BBIQ-A (baseband analog I-Q inputs and outputs)
  • 2900-CDMA-F (cdma2000® forward link signal generation)
  • 2900-DIG (digital modulation signal generation)
  • 2900-GPS (GPS signal generation)
  • 2900-GSM (GSM,GPRS and EDGE signal generation personality)
  • 2900-WCDMA-D (W-CDMA FDD downlink signal generation
  • 2900-TDSCDMA-PC (SignalMeister™ license for TD-SCDMA signal generation)

Note: Each instrument must have an arbitrary waveform generator license (2920-ARB) for the other digital licenses to operate.

Purchasing instrument option licenses

You can purchase option license files when you order your instrument, or at any time after you have received your instrument.

Contact your Keithley Instruments sales representative with the description of the licenses that you want to purchase.

Refer to To open an option license for details on how to purchase and install a license.

Refer to RF product software license agreement to view the instrument option licensing agreement.

Instrument option license ID

The option license identification (ID) contains information that describes the particular instrument and the current license status. The license ID is unique and therefore changes each time the license status is modified. For example, the license ID would change in the following situations:

  • When the instrument imports newly purchased licenses.
  • When the instrument imports existing licenses that were transferred from another instrument.
  • When the instrument exports licenses to another instrument.

Refer to To view instrument option licenses for details on how to access the current modulation ID.

Transferring option licenses

You can move licenses between instruments. For example, if you do not require the GSM license in one instrument, you can move the license to another instrument that is in a test system that requires the GSM signal format capability.

You can also transfer option licenses from two separate instruments into a third instrument; however, you must perform the steps in a particular sequence.

You must use the LXI web interface to transfer licenses between instruments.

Refer to To move instrument option license files for details on how to transfer existing license files between instruments.


Software Upgrade

You can download the instrument software upgrade files from the www.keithley.com website and run the installation from the instrument screen or the LXI web interface.

Access the software upgrade dialog box by selecting Menu > Utilities > Upgrade Software...

See To open a software upgrade file for instructions.


Calibrate touch screen

You can calibrate the instrument touch screen by aligning the screen and displayed image at five locations.

Access the Calibrate Touch Screen panel by selecting Menu > Utilities > Calibrate Touch Screen.

  1. Select the center of each of the five cross cursors for the instrument to determine touch screen readings associated with each cursor position.
  2. Tap the screen to save the new readings.

    Note: If you do not tap the screen within 30 seconds the previous values will be restored.


SCPI Debug

You can switch on the SCPI Debug feature so that all remote commands received by the instrument are displayed on the instrument screen. This can be useful for troubleshooting purposes.

Enable and disable the SCPI Debug feature by selecting Menu > Utilities > SCPI Debug...

NOTE: Once this feature is enabled, a SCPI Debug window opens on the instrument screen. This window displays the SCPI commands sent to the instrument. Once you close this window (by selecting File > Close, or by selecting the "X" on the upper-right corner of the screen, you cannot open this screen again (by the SCPI Debug toggle switch) until you cycle power on the instrument.


Remote control

You can automate commonly recurring test procedures by sending remote control commands to the instrument over GPIB USB, or Ethernet (LAN). You can also access the instrument and control the operation using the LXI web interface. To learn about the configuration requirements and programming commands, see the following topics:

  • Remote and local operation differences
  • LXI web interface
  • Power meter command pass-through
  • System Setup for Remote Control
  • Programming messages
  • Status structure
  • Command locater
  • SCPI command tree
  • SCPI command error messages


Remote and local operation differences

In addition to controlling the instrument from the front panel, you can control the instrument remotely through the LXI web interface or by sending SCPI commands. When you send a command to the instrument, it goes from local operation to remote mode operation where the following conditions occur:

  • All front panel control keys except Local are disabled.
  • All menus and dialogs are exited.
  • All pending front panel operations are aborted.
  • An "In Remote" message is displayed in the upper-left of the instrument screen.

Press the Local key to return the instrument to the local mode. When the instrument switches from remote to local operation, the following conditions occur:

  • All front panel control keys are enabled.
  • If Preset is selected, the display is enabled (if it was previously disabled), see DISPlay:ENABle commands for details.
  • The "In Remote" message disappears.


LXI web interface

The Model Series 2900 has a web interface that complies with LXI class C requirements and offers a convenient way to communicate with the instrument from a PC browser. For more information on LXI compliance, refer to http://www.lxistandard.org/home. The LXI Class C compliance includes the following features:

  • Instrument Welcome page
  • IP configuration control
  • Status information: security, errors/warnings
  • Administration password control

The web interface also offers the following features:

  • Virtual instrument front panel access
  • Print screen capability from a web browser
  • Instrument help
  • Modulation license file management
  • Remote file browser

To access the web interface, launch a web browser and use the LAN-connected instrument IP address for the URL; for example, http://192.40.128.183.

  • If you do not know the instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
  • If you need details on configuring the Ethernet settings, refer to Ethernet Settings.

The web interface menu offers the following selections:

Welcome Page describes the instrument model and manufacturer, serial number, LXI class, host name, address, firmware revision, and VISA resource string.

IP Configuration lists the instrument Ethernet configuration and allows you to modify the Ethernet configuration, which includes enabling or disabling support for ping.

Status lists the status for the instrument security, and errors and warnings.

Instrument offers a virtual front panel interface to the Series 2900. This interface is a subset of the functionality that is available with the actual instrument front panel. Here are a few differences between the true instrument front panel interface and the virtual interface:

  • All editable fields are highlighted on the virtual interface so you can make multiple setting modifications and then select Submit to send the modifications to the instrument.
  • Changes made to the settings from the true instrument front panel will not be indicated on the virtual interface until you select Refresh.

Administration offers a dialog box that allows administration password control. The default user/password is admin/admin. The user/password authorization is required to modify the Ethernet configuration, use the remote file browser, upgrade the instrument software, or export an instrument option license over the web. Once you enter the correct user/password, the browser caches the login to enable you to use other password-dependent features without additional password inputs.

Licensing shows the current licenses in the instrument and allows you to export or import license files. See To move instrument option license files or To open an option license file for details. For general licensing information, see Series 2900 Licensing. License files cannot be exported from the instrument front panel. You can only export license files from the web interface through a password controlled page that has the same password used in the Administration page, described above.

Screen Capture allows you to capture an image of the current instrument screen. Select Screen Capture each time you want to update the image.

NOTE: If you are using Microsoft® Internet Explorer browser, and you are experiencing a failure to update screen captures: First, from the instrument front panel, select: Menu > Utilities > Time and Date... and verify that the time and date are correct. Then, change the browser caching policy by following these steps: In the browser window, click Tools > Internet Options. In the General tab, click Settings. In the Check for newer version of stored pages: section, select Every visit to the page. Click OK.

Print offers the standard Windows Print dialog so you can print the screen image.

Help offers the same Help topics that are available when you select Menu > Help > Help System.

ID button when selected, visually indicates that a particular Series 2900 VSG is connected through the LXI web interface by displaying a blinking green light on the lower-left corner of the front panel of the connected instrument. This can be helpful when more than one instrument is connected to the LAN. This green indicator is always lit when the instrument is connected to an operational LAN. If there is a LAN error, this indicator changes from green to red. A LAN disconnection indicator is also shown at the lower-right portion of the instrument front panel.

LXI web interface feature | Link for more information
Help about: serial number, options, software version, calibration data | About Keithley 2910
File manager to move files to, and managing files on, the instrument | Remote file browser
Save/Recall setups | Save setup
Preset instrument | Preset
Software Upgrade | Software Upgrade
Turn RF On/Off | RF On button
Turn Modulation On/Off | Modulation On button
Set Frequency value | Frequency value
Set Amplitude value | Amplitude value
GPS modulation window | GPS Modulation window
General purpose digital modulation | Digital modulation
Open, load/unload a modulation waveform file | To open a modulation file
Add a waveform | To add an internally-generated modulation to the waveform table
Add/Delete an Arb file to the waveform table | To add an existing arbitrary waveform file to the table
Load/Unload an Arb file | Playback an arbitrary waveform
Specify Arb file sample rate in arbitrary waveform table | Arbitrary waveform playback table
Adjust parameters - analog modulations | Analog modulation
Set ALC for CW or modulated waveforms | ALC
Set Frequency reference Source | Frequency reference source
Set up the Trigger | Trigger
Set up Sync Out | Sync Out
To set up a frequency or power sweep | To set up a frequency or power sweep
Turn Display On/Off | Turn Display On/Off
Enable/Disable Extend Freq (extended frequency range) | Extend Freq
Enable/Disable SCPI Debug | SCPI Debug
Set List mode | List Mode
Enable User Flatness | User flatness
Select External IQ | External IQ

Related topics:

To view the current licenses select Menu > Utilities > Licensing from the instrument screen.

  • To open an option license file
  • To move instrument option license files
  • Series 2900 Licensing


Remote file browser

The LXI web interface offers a generic file manager for moving PC files to the instrument and for managing files on the instrument. You will find that this feature is similar to Microsoft® Windows Explorer®. The following functions are supported:

  • Up moves the current directory up one level in the directory structure
  • Cut removes a highlighted (selected) file from the directory and allows you to place it (paste) in a different location that you specify
  • Copy duplicates a highlighted (selected) to the location that you specify
  • Paste places a file in a location that you have specified
  • New folder creates a new folder that you name in the current directory
  • Delete removes a highlighted file from the directory
  • Rename changes the name of a highlighted file
  • Folder options allows you to Select All, Select None, or Invert Selection of the folders selected
  • Upload allows you to upload waveform files to the instrument
  • Sorting allows you to sort files or folders by name, size, type or date modified

Ctrl-left click allows you to select multiple files from a list for manipulation. Drag and drop operation is not supported.

From the Welcome page, select Instrument > Menu > File > Remote File Browser...

You are then presented with a dialog box to enter a user name and password. The user name/password are admin/admin.

Insert a USB memory stick into any of the standard USB ports on the instrument, and the remote file browser can access the device for file manipulation or uploading of waveform files contained in the USB memory stick.


Turn Display On/Off

From the LXI Web Interface, Select Menu > Utilities > Display Enable.

This toggle control turns the instrument display On and Off. Disabling the display can shorten measurement times.


Power meter SCPI command pass-through

The Keithley Instruments Model 3500 Portable RF PowerMeter® (power meter) can be programmed through a Keithley Instruments VSA or VSG. SCPI programming commands sent from the PC through the instrument on the GPIB, LAN or USB bus pass-through the instrument to the power meter by way of a USB cable between the instrument and the power meter. This capability is useful when calibrating the test equipment.

The following SCPI command is used to pass-through the commands to the power meter.

:PMETer:COMMand <command><LF>

To read data back from the power meter use the following syntax:

:PMETer:COMMand? <query><LF>

Examples:

:PMET:COMM* TRG<LF>

:PMET:COMM? PWR?<LF>

PWR? is a command that is specific to the power meter and is not covered in the list of SCPI commands.

Refer to the Keithley Instruments Model 3500 Portable RF PowerMeter® User's Guide (3500S-900-01) for details on programming commands.


System setup for remote control

  • Connecting system components
  • Configuring GPIB connections
  • Configuring USB connections
  • Configuring LAN (Ethernet) connections


Connecting system components

NOTE: The figure below represents a typical installation, with the Series 2900 connected to the system controller. This arrangement facilitates making screen captures of the Series 2900 display. The rear panel SCPI control connectors are the same on both instruments. Therefore, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

1. REF IN can accept an input frequency reference of 1MHz to 20MHz.


GPIB connections

  • Connect a GPIB bus cable equipped with standard IEEE-488 connectors to the instrument back panel IEEE-488 connector.

or

  • Connect many instruments to one instrument, using parallel connections that stack the connectors.

    CAUTION: To prevent physical damage, do not stack more than three connectors on any one unit.

    Two screws are located on each connector to ensure that connections remain secure. Present standards call for metric threads, which are identified with dark-colored screws. Earlier versions have different screws, which are silver-colored. Do not use these silver-colored types of screws on the instrument; it is designed for metric threads.

To minimize interference caused by electromagnetic radiation, use only shielded IEEE-488 cables. Available shielded cables from Keithley Instruments are Models 7007-1 and 7007-2.


LAN (Ethernet) connections

  • Connect a computer controller to the Series 2900 back panel USB (FROM HOST) connector.
  • Connect all other USB devices to the Series 2900 back panel USB (TO DEVICE) connector, or to the two USB connectors on the front panel.
  • Connect the Series 2900 back panel LAN connector to an existing site network through a router, switch, or hub. Use a standard patch cable for this connection.

or

  • Connect the Series 2900 back panel LAN connector directly to a computer. You must use a crossover cable for this connection to ensure that the computer transmit connections are input to the Series 2900 receive connections, and the other way around (Model CA-180-3A crossover cable can be ordered from Keithley Instruments).
  • NOTE: The Ethernet crossover cable can be up to 100 meters in length.
  • Connect a computer controller to the Series 2900 back panel USB (FROM HOST) connector.
  • Connect all other USB devices to the Series 2900 back panel USB (TO DEVICE) connector, or to the two USB connectors on the front panel.


USB connections

  • Connect a computer controller to the Series 2900 back panel USB (FROM HOST) connector.
  • Connect all other USB devices to the Series 2900 back panel USB (TO DEVICE) connector, or to the two USB connectors on the front panel.

GPIB interface configuration

To avoid communication conflicts over the GPIB bus, each device in a GPIB system must have a unique primary address. If you want to verify the GPIB address or change it, perform the following steps:

  1. Select Menu > Utilities > GPIB Address.
  2. Use the front panel knob to change the GPIB address, if necessary.
  3. Select Close.

NOTE: You may also want to install the Keithley Instruments IVI-COM/IVI-C Driver for the Series 2900 Vector Signal Generator. This instrument driver provides access to the functionality of the Series 2900 through a COM server or C API, which also complies with the IVI specifications. This driver works in any development environment that supports COM programming, including Microsoft® Visual Basic, Microsoft Visual C++, Microsoft .NET, Agilent VEE Pro, National Instruments LabView, National Instruments LabWindows, and others. The IVI-COM driver can be installed from the Keithley Instruments website at www.keithley.com.

Verify remote control over GPIB

If you want to verify communication between a computer and the Series 2900 instrument over the GPIB, install the KI RFI Communicator application (included on the Series 2900 Vector Signal Generator Product Information CD-ROM) that allows you to test SCPI communication of your instrument. Perform the following steps:

  1. Ensure you have a GPIB cable connected between the instrument back panel IEEE-488 connector and the computer GPIB board connector.
  2. Insert the Series 2900 Vector Signal Generator Product Information CD-ROM into the computer drive.
  3. After the CD-ROM launches, click Applications Info > KI RFI Communicator to download the application installation program.
  4. Click the downloaded setup.exe file to install the application on your computer.
  5. On your computer desktop, click the KI RFI Communicator icon to start the application.
  6. In the KI RFI Communicator home screen, click Setup Interface.
  7. In the Configure VISA Interface dialog box, select the GPIB tab.
  8. Set the values for the following GPIB settings:
    • GPIB board # (leave this set to zero, unless you have more than one GPIB interface board in your computer)
    • GPIB primary address
  9. Click OK.
  10. Click Send Command to send the command *IDN? that is shown in the Command: box.
  11. You will see the instrument identification information in the Response: field.
  12. Continue sending any other SCPI commands of interest.

LAN (Ethernet) interface configuration

It is necessary to assign an IP address to the Series 2900. The IP address is a persistent state, and is not affected by an instrument preset or a power cycle. Ensure that you have connected the equipment as instructed in "Connecting system components" before proceeding with the LAN configuration.

The appropriate procedure depends on the Series 2900 connection configuration. Refer to the procedure that applies to your system configuration:

  • Existing site network configuration

or

  • Direct connection configuration

    NOTE: Ensure that the instrument is connected to the LAN using a CAT 5e or better patch cable before performing this procedure.

You may also want to install the Keithley Instruments IVI-COM/IVI-C Driver for the Series 2900. This instrument driver provides access to the functionality of the Series 2900 through a COM server or C API, which also complies with the IVI specifications. This driver works in any development environment that supports COM programming, including Microsoft® Visual Basic®, Microsoft® Visual C++, Microsoft® .NET, Agilent VEE Pro, National Instruments LabView, National Instruments LabWindows, and others. The IVI-COM driver can be installed from the Keithley Instruments website at www.keithley.com.


Existing site network configuration

Contact your I.T. administrator to determine the preferred method of assigning IP addresses. Refer to the procedure that applies to your system:

  • Static IP address assignment

DHCP address assignment

Static IP address assignment

Perform the following steps to assign a static IP address for an instrument in an existing site network:

  1. From the Series 2900, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Enter an IP address:
    1. Select Specify an IP address.
    2. Select the IP Address field or the keyboard button next to it.
    3. Repeatedly select the ¬?(backspace) button to clear the current IP address.
    4. Select the desired IP address and then select Enter.
  4. Enter a subnet mask:
    1. Select the Subnet Mask field or the keyboard button next to it.
    2. Repeatedly select the ¬ (backspace) button to clear the current subnet mask.
    3. Select the desired subnet mask and then select Enter.
  5. Set the following values per your I.T. administrator's recommendations (you can leave the values blank if there are no recommendations):
    • Default gateway
    • Primary DNS
    • Primary WINS
  6. Select the Apply button.
  7. Select Close to close the dialog.

    NOTE: Ensure that the combination of Series 2900 IP address and subnet mask is within the range of directly-addressable IP addresses of the computer.

For example:

Computer IP address: 192.168.1.50
Computer subnet mask: 255.255.255.0
Series 2900 IP address: 192.168.1.51
Series 2900 subnet mask: 255.255.255.0


Direct connection configuration

Assigning a static IP address is the preferred method of assigning an IP address for a configuration that has the Series 2900 directly connected to the computer. Optionally, you can use the DHCP method, which results in a Link Local Address (LLA) being assigned to the Series 2900. Refer to the procedure that applies to your system:

  • Static IP address assignment

DHCP address assignment

Static IP address assignment

Perform the following steps to assign a static IP address for an instrument that has a direct connection to a computer:

  1. From the Series 2900, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Enter an IP address:
    1. Select Specify an IP address.
    2. Select the IP Address field or the keyboard button next to it.
    3. Repeatedly select the ¬ (backspace) button to clear the current IP address.
    4. Select the desired IP address and then select Enter.
  4. Enter a subnet mask:
    1. Select the Subnet Mask field or the keyboard button next to it.
    2. Repeatedly select the ¬ (backspace) button to clear the current subnet mask.
    3. Select the desired subnet mask and then select Enter.
  5. Set the following values per your I.T. administrator's recommendations (you can leave the values blank if there are no recommendations):
    • Default gateway under the IP Address tab
    • Primary DNS under the Name Servers tab
    • Primary WINS under the Name Servers tab
  6. Select the Apply button.
  7. Select Close to close the dialog box.

    NOTE: Ensure that the combination of Series 2900 IP address and subnet mask is within the range of directly-addressable IP addresses of the computer.

For example:

Computer IP address: 192.168.1.50
Computer subnet mask: 255.255.255.0
Series 2900 IP address: 192.168.1.51
Series 2900 subnet mask: 255.255.255.0

DHCP address assignment

Optionally, you can use the DHCP method to assign an IP address. Since there is no DHCP server in a configuration that directly connects the Series 2900 to a computer, the instrument will timeout and then automatically assign itself a Link Local Address (LLA). This process takes 60-90 seconds.

  1. From the Series 2900, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button. This attempts to configure the signal generator as a DHCP client.
  5. Select Close to close the dialog box.
  6. When the LAN error indicator disappears (60-90 seconds), select Menu > Utilities > Ethernet Settings. The LLA that was automatically assigned appears in the IP Address field.
  7. Select Close to close the dialog box.


Verify remote control over LAN

If you want to verify communication between a computer and the Series 2900 Vector Signal Generator over the LAN, install the KI RFI Communicator application that allows you to test SCPI communication of your instrument. Perform the following steps:

  1. Set up the equipment as shown in "Connecting system components."
  2. Assign an IP address for the Series 2900 by following a procedure for one of the configurations described in "LAN Interface configuration."
  3. Insert the Series 2900 Vector Signal Generator CD-ROM in the computer drive.
  4. When the CD-ROM launches, click Applications Info > KI RFI Communicator to download the application installation program.
  5. Click the downloaded setup.exe file to install the application on your computer.
  6. On your computer desktop, click the KI RFI Communicator icon to start the application.
  7. In the KI RFI Communicator home screen, click Setup Interface.
  8. In the Configure VISA Interface dialog, select the LAN/TCPIP tab.
  9. Set the values for the following settings, or the values displayed in the Ethernet dialog if DHCP is used:
    • NIC # (Leave this set to zero, unless you have more than one NIC card installed in your computer.)
    • TCPIP port # = 5025
    • TCPIP address = IP address that you assigned to the Series 2900
  10. Click OK.
  11. Click Send Command to send the *IDN? command that is in the Command: box.
  12. You should see the instrument identification information in the Response: field.
  13. Continue sending any other SCPI commands of interest.


LAN Troubleshooting

The Series 2900 Vector Signal Generator defaults to an Ethernet setting of "Auto-negotiation On" to detect the speed of the network and set the instrument operation speed to match the network speed. If the autonegotiation process fails, the operation speed must be set manually.

NOTE: If the instrument speed does not match the network speed, Auto-negotiation On is the recommended setting.

  1. Select Menu > Utilities > Ethernet Settings.
  2. Select the Advanced tab.
  3. Select the appropriate speed:
    • 10 Mbps
    • 100 Mbps
  4. Select Apply.

To ensure that both the instrument and the network recognize the speed change, you may need to disconnect and then reconnect the LAN cable.


USB configuration

A USB driver must be loaded onto the computer that will be running the remote control program. For convenience, the USB driver can be installed from the Series 2900 Vector Signal Generator Product Information CD-ROM. Updates for the USB driver can be downloaded from the Keithley Instruments website at www.keithley.com.

Installing USB driver from the CD-ROM

Perform the following steps to install the USB driver to your computer:

  1. Insert the Series 2900 Vector Signal Generator Product Information CD-ROM into the disk drive of the computer.
  2. With the Series 2900 powered on, connect a USB cable between the PC and the USB (FROM HOST) connector on the Series 2900 rear panel.

Follow the operating system instructions to load the USB driver.

Installing USB driver from the Keithley Website

Perform the following steps to look for updates of the USB driver to install on your computer:

  1. With the computer connected to the Internet, insert the Series 2900 Vector Signal Generator Product Information CD-ROM into the computer disk drive.
  2. After the CD-ROM launches, click Online Updates to get to the Keithley Instruments website, http://www.keithley.com.
  3. From the left pane select: RF Spectrum Analysis, Signal Generation and Switching.
  4. From the SELECT ONE dialog box in the center pane select: Vector Signal Analyzers (Spectrum Analyzers).
  5. From the VECTOR SIGNAL ANALYZERS list select: any one of the Series 2900 analyzers.
  6. From the DOWNLOADS menu in the left pane select: software driver.
  7. Scroll to and select: the USB driver for the Series 2900.
  8. Download the Series 2900 USB driver from the website

Click the driver setup file that you just downloaded.

Verify remote control over USB

If you want to verify communication between a computer and the Series 2900 over the USB, install the KI RFI Communicator application that allows you to test SCPI communication of your instrument. Perform the following steps:

  1. Set up the equipment as shown in "Connecting system components."
  2. Insert the Series 2900 Vector Signal Generator CD-ROM in the computer drive and click Install KI RFI Communicator to download the application installation program.
  3. Select Run to install the program on your computer.
  4. Select the KI RFI Communicator icon that has been placed on the desktop.
  5. In the KI RFI Communicator home screen, click Setup Interface.
  6. In the Configure VISA Interface dialog box, select the USB tab and click Find USB Devices. This will display a list of all instruments connected through USB.
  7. Select the list item that corresponds with the serial number of the instrument that you want to communicate with, and then click OK.
  8. Click Send Command to send the *IDN? command that is in the Command: box.
  9. You will see the instrument identification information in the Response: field.
  10. Continue sending any other SCPI commands of interest.


Programming messages

Programming messages are made up of one or more command words sent by the computer to the instrument. These SCPI commands show how command words are structured to formulate program messages.

:SYSTem (path)

:SYSTem:DATE <NRf> (command and parameter)

:SYSTem:DATE? ( query command)

:SYSTem:PRESet (command)

Select from the following categories of programming message information.

  • Types of commands
  • Types of messages
  • Programming syntax

    Tips for fastest operation: Use all upper case, use the short form, do not send optional data, do not use a colon at the beginning of a programming message, and disable the display circuitry.

    Note: SCPI remote error messages are in English, they are not localized.


Types of commands

  • SCPI commands
  • Common commands
  • Query commands

SCPI commands

SCPI commands are used to control most instrument operations of the instrument. For details on these commands, see SCPI commands.

Common commands

Common commands are device commands that are common to all devices on the bus. These commands are designated and defined by the IEEE-488.2 standard.

For details on these commands, see Common commands.

Query commands

This type of command requests (queries) the current instrument state. It is identified by the question mark (?) at the end of the fundamental form of the command.

Most commands have a query form.

Example:

:IDN? Queries the identification code of the instrument that includes the manufacturer, model number, serial number, and firmware revision.

Most commands that require a numeric parameter (no) can also use the DEFault, MINimum, and MAXimum parameters for the query form. These query forms are used to determine the *RST default value and the upper and lower limits for the fundamental command.


Types of messages

  • Single command messages
  • Multiple command messages
  • SCPI/Common command messages
  • Response messages

Single command messages

The single-command examples below have a structure with three levels:

  • The first level is made up of the root command (STATus) and serves as a path.
  • The second level is made up of another path (:OPERation).
  • The third level is a command (:ENABle).

Example:

STAT:OPER:ENAB <NRf>

STAT:OPER:ENAB?

The commands in this example can be executed by sending two separate program messages.

In each of the above program messages, the path pointer starts at the root command (stat) and moves down the command levels until the command is executed.

The next command example is made up of one command for the :STATus path.

Example:

:STAT:PRES

Multiple command messages

You can send multiple command messages in the same program message as long as you separate them by semicolons (;). The following example shows two commands in one program message.

Example:

STAT:OPER?; :STAT:OPER:ENAB <NRf>

When the above message is sent, the first command word is recognized as the root command (STAT). When the next colon is detected, the path pointer moves down to the text command level and executes the command. When the path pointer sees the colon after the semicolon (;), it resets back to the root level and starts over.

Commands that are on the same command level can be executed without having to retype the entire command path.

Example:

STAT:OPER:ENAB <NRf>; ENAB?

After the first command (:ENAB) is executed, the path pointer is at the third command level in the structure. Since :ENAB? is also on the third level, it can be typed in without repeating the entire path name. Notice that the leading colon for :ENAB? is not included in the program message. If a colon were included, the path pointer would reset to the root level and expect a root command. Since :ENAB? is not a root command, an error would occur.

SCPI and common commands in the same message

Both SCPI and common commands can be used in the same message, as long as you separate them by semicolons (;). A common command can be executed at any command level and will not affect the path pointer.

Example:

STAT:OPER:ENAB <NRf>; *ESE <NRf>

Response messages

A response message is the message sent by the instrument to the computer in response to a query command. The following sequence takes place:

  1. A query message is sent to the instrument.
  2. The instrument responds to the query by placing a response message in the output queue.
  3. The instrument is addressed to talk.
  4. The response message is sent from the output queue to the computer.

    Note: The complete response message must be received by the computer before another program message can be sent to the instrument. Also, remember to read the trailing line feed.

Multiple response messages

If you send more than one query command in the same program message, the following happens:

  • The multiple response messages for all the queries are sent to the computer when the instrument is addressed to talk.
  • The responses are sent in the order the query commands were sent and are separated by semicolons (;).
  • Items within the same query are separated by commas (,).

The following example shows the response message for a program message that contains four single item query commands.

Example:

0; 1; 1; 0

Response message terminator (RMT)

Each response is terminated with an LF (line feed) and EOI (end or identify). The following example shows how a multiple response message is terminated.

Example:

0; 1; 1; 0 <RMT>


Programming syntax

The following information explains syntax for both common commands and SCPI commands. For additional information on commands, refer to Command tree. Select from the following categories to learn about message syntax.

  • Case sensitivity
  • Long-form and short-form versions
  • Short-form rules
  • Command path rules
  • Program message terminator
  • Command execution rules

Case sensitivity

Common commands and SCPI commands are not case sensitive. You can use upper or lower case and any case combination.

Example:

*RST = *rst

:OUTPut? = :output?

:SYSTem:PRESet = :system:preset

Note: Using all upper case will result in slightly faster command response times.

Long-form and short-form versions

A SCPI command word can be sent in its long-form or short-form version. The commands are listed in the long-form version in SCPI Commands. However, the short-form version is indicated by upper case characters. Examples:

:SYSTem:PRESet (long-form)

:SYST:PRES (short-form)

:SYSTem:PRES (long-form and short-form combination)

Note: Each command word must be in long-form or short-form, and not something in between. For example, :SYSTe:PRESe is illegal and will generate an error. The command will not be executed.

Short-form rules

Use the following rules to determine the short-form version of any SCPI command:

  • If the length of the command word is four letters or less, no short-form version exists.

    Example:

    :data? = :data?

  • If the fourth letter of the command word is a vowel (including "y"), delete it and all the letters after it.

    Example:

    immediate = imm

  • If the fourth letter of the command word is a consonant, retain it but drop all the letters after it.

    Example:

    format = form

  • If the command contains a question mark (?; query) or a non-optional number included in the command word, you must include it in the short-form version.

    Example:

    :output? = :outp?

  • Command words or characters that are enclosed in brackets ([ ]) are optional in the program message.

    Note: For fastest response to commands, always use short forms.

Command path rules

Each new program message must begin with the root command, unless it is optional (for example, [SOURce]). If the root is optional, treat a command word on the next level as the root.

Note: For fastest operation, do not send optional data.

A colon (:) can be used at the beginning of a program message. However, using the colon slows down execution time.

Example:

STAT:PRES = :STAT:PRES

When the path pointer detects a colon (:) it moves down to the next command level. An exception is when the path pointer detects a semicolon (;), which is used to separate commands within the program message.

When the path pointer detects a colon (:) that immediately follows a semicolon (;), it resets back to the root level.

The path pointer can only move down. It cannot be moved up a level. Executing a command at a higher level requires that you start over at the root command.

Program message terminator (PMT)

Each program message must be terminated with an LF (line feed), EOI (end or identify), or an LF+EOI. The following command shows how a program message must be terminated.

Example:

inp:prot:stat on <PMT>

Command execution rules

  • Commands execute in the order that they are presented in the program message.
  • An invalid command generates an error and is not executed.
  • Valid commands that precede an invalid command in a multiple-command program message are executed.
  • Valid commands that follow an invalid command in a multiple-command program message are ignored.


Status structure

The center of the status structure is the status byte register. This register can be read by a test program to determine if a service request (SRQ) has occurred and what event caused it. To learn more about the status structure, select from the following topics:

  • Status byte and service request (SRQ)
  • Status register sets
  • Queues

The instrument allows the operator to monitor and manipulate the various instrument events through the status register structure:

  • Status byte register
  • Four status register sets
    • Standard event register
    • Operation event register
    • Measurement event register
    • Questionable event register
  • Two queues
    • Output queue
    • Error queue

Each of the four status register sets contain the following:

  • Condition register (read-only)
  • Event register (read-only)
  • Event enable register (programmable)

A condition register is a read-only register that constantly updates to reflect the present operating conditions of the instrument.

An event register bit sets to 1 when an event occurs. The bit remains latched to 1 until the register is reset.

When an event register bit is set and its corresponding enable bit is set (as programmed by the user), the output (summary) of the register will set to 1. This sets the summary bit of the status byte register.

Click the image to see more information.


Status byte and service request (SRQ)

Service request is controlled by two 8-bit registers:

  • Status Byte Register
  • Service Request Enable Register

The graphic below shows the structure of these registers.

The following sequence happens with this part of the status structure:

  1. Register sets and queues monitor the various instrument events.
  2. An enabled event occurs.
  3. A summary bit is set in the Status Byte Register.
  4. The corresponding enable bit is set in the Status Byte (as programmed by the user).
  5. The RQS/MSS bit is set to indicate that an SRQ has occurred.
    • The following graphic shows the status byte and service request portion of the overall status structure.
    • Click on the graphic to see the overall status structure graphic.
Status byte and service request diagram

1 = Service request generation
2 = Status summary message
3 = Read by serial poll
4 = Status byte register
5 = Read by *STB?
6 = Service request enable register

Status byte register

The summary messages from the status registers and queues are used to set or clear the appropriate bits (B0, B2, B3, B4, B5, and B7) of the Status Byte Register. These summary bits do not latch and their states (0 or 1) are solely dependent on the summary messages (0 or 1).

Example:

The Standard Event Register is read; its register then clears. As a result, its summary message resets to 0, which then resets the ESB bit in the Status Byte Register.

The bits of the Status Byte Register are described as follows:

  • Bit B0, Measurement Summary Bit (MSB) -- set summary bit indicates that an enabled measurement event has occurred.
  • Bit B1 -- not used.
  • Bit B2, Error Available (EAV) -- set summary bit indicates that an error or status message is present in the Error Queue.
  • Bit B3, Questionable Summary Bit (QSB) -- set summary bit indicates that an enabled questionable event has occurred.
  • Bit B4, Message Available (MAV) -- set summary bit indicates that a response message is present in the Output Queue.
  • Bit B5, Event Summary Bit (ESB) -- set summary bit indicates that an enabled standard event has occurred.
  • Bit B6, Request Service (RQS)/Master Summary Status (MSS) -- set bit indicates that an enabled summary bit of the Status Byte Register is set.
  • Bit B7, Operation Summary Bit (OSB) -- set summary bit indicates that an enabled operation event has occurred.

Depending on how it is used, bit B6 of the status byte register is either the Request for Service (RQS) bit or the Master Summary Status (MSS) bit:

  • When using the serial poll sequence of the instrument to obtain the status byte (serial poll byte), B6 is the RQS bit. See Serial polling and SRQ for details on using the serial poll sequence.
  • When using the *STB? command to read the status byte, B6 is the MSS bit.

Service request enable register

The generation of a service request is controlled by the service request enable register. You program this register to enable or disable the setting of bit B6 (RQS/MSS) by the status summary message bits (B0, B2, B3, B4, B5, and B7) of the status byte register.

As shown in the status byte and service request diagram, the summary bits are logically ANDed (&) with the corresponding enable bits of the service request enable register. When a set (1) summary bit is ANDed with an enabled (1) bit of the enable register, the logic "1" output is applied to the input of the OR gate and, therefore, sets the MSS bit in the status byte register.

  • To set or clear the individual bits of the service request enable register, use the *SRE common command.
  • To read the service request enable register, use the *SRE? query command.
  • To clear the service request enable register, cycle the power or send a parameter value of 0 with the *SRE command (*SRE 0).

The commands to program and read the SRQ enable register are listed in Status byte and service request commands.


Serial polling and SRQ

Any enabled event summary bit that goes from 0 to 1 will set bit B6 and generate an SRQ (service request). In your test program, you can periodically monitor (poll) the status byte to check if an SRQ has occurred and what caused it.

For example:

If an SRQ occurs, the program can branch to an appropriate subroutine that will service the request.

Typically, SRQs are managed by the serial poll sequence of the instrument.

  • If an SRQ does not occur, bit B6 (RQS) of the status byte register will remain cleared and the program will proceed normally after the serial poll is performed.
  • If an SRQ does occur, bit B6 of the status byte register is set and the program can branch to a service subroutine when an SRQ is detected by the serial poll.

The serial poll automatically resets RQS of the status byte register. This allows subsequent serial polls to monitor bit B6 for an SRQ occurrence generated by other event types. After a serial poll, the same event can cause another SRQ, even if the event register that caused the first SRQ has not been cleared.

The serial poll does not clear MSS. The MSS bit stays set until all status byte summary bits are reset.

SPE, SPD (serial polling)

The SPE, SPD General Bus Command sequence is used to serial poll the instrument. Serial polling obtains the serial poll byte (status byte). Typically, serial polling is used by the controller to determine which of several instruments has requested service with the SRQ line.


Status byte and service request commands

The commands to program and read the status byte register and service request enable register are listed in the following table. For details on programming and reading registers, see Programming enable registers and Reading registers.

Note: To reset the bits of the service request enable register to 0, use 0 as the parameter value for the *SRE command (*SRE 0).

Status Byte and Service Request Enable Register commands

Command | Description
*STB? | Read status byte register.
*SRE <NDN> <NRf> | Program the service request enable register:
 | <NDN> | = #Bxx...x | Binary format (each x = 1 or 0)
 |  | = #Hx | Hexadecimal format (x = 0 to 377)
 |  | = #Qx | Octal format (x = 0 to 377)
 | <NRf> | = 0 to 255 | Decimal format
*SRE? | Read the service request enable register

Note: *CLS and :STATus:PRESet have no effect on the service request enable register.

Programming Example

Set MSS (B6) when error occurs

The second command in the following sequence enables EAV (error available). When an invalid command is sent (line 4), bits B2 (EAV) and B6 (MSS) of the status byte register set to 1. The last command reads the status byte register using the binary format (which directly indicates which bits are set). The command to select format (:FORMat:SREGister) is documented in the table in Reading registers.

To determine the exact nature of the error, you will have to read the error queue (see Error queue).

*CLS | ' Clear error queue.
*SRE 4 | ' Enable EAV.
:FORM:SREG BIN | ' Select binary format.
*XYZ | ' Generate error.
*STB? | ' Read status byte register.


Status structure diagram

Click the image to see more information.


Status register sets

As shown in the status structure diagram, there are four status register sets in the status structure of the instrument:

  • Standard event register
  • Operation event register
  • Measurement event register
  • Questionable event register


Standard event register

The used bits of the standard event register (see following diagram) are described as follows:

  • Bit B0, Operation Complete (OPC) -- set bit indicates that all pending selected device operations are completed and the instrument is ready to accept new commands. This bit only sets in response to the *OPC? query command. See Common commands for details on *OPC and *OPC?.
  • Bit B1 -- not used.
  • Bit B2, Query Error (QYE) -- set bit indicates that you attempted to read data from an empty output queue.
Standard event status register diagram

  • Bit B3, Device-Specific Error (DSE) -- set bit indicates that an instrument operation did not execute properly due to some internal condition.
  • Bit B4, Execution Error (EXE) -- set bit indicates that the instrument detected an error while trying to execute a command. Places error message -200 in the error queue.
  • Bit B5, Command Error (CME) -- set bit indicates that a command error has occurred. Places error message -100 in the error queue. Command errors include:
    • IEEE-488.2 syntax error -- instrument received a message that does not follow the defined syntax of the IEEE-488.2 standard.
    • Semantic error -- instrument received a command that was misspelled or received an optional IEEE-488.2 command that is not implemented.
    • The instrument received a group execute trigger (GET) inside a program message.
  • Bit B6, User Request (URQ) -- set bit indicates that the LOCAL key on the instrument front panel was pressed.
  • Bit B7, Power On (PON) -- set bit indicates that the instrument has been turned off and turned back on since the last time this register has been read.
  • 1 -- standard event status register.
  • 2 -- standard event status enable register.


Operation event register

The bits of the operation event register (see following diagram) are described as follows:

  • Bits B0, Calibrating (Cal) -- set bit indicates that the instrument is calibrating.
  • Bits B1 through B4 -- not used.
  • Bit B5, Waiting for Trigger (Trig) -- set bit indicates that the instrument is in the trigger layer waiting for a trigger event to occur.
  • Bits B6 through B9 -- not used.
  • Bit B10, Idle State (Idle) -- set bit indicates the instrument is in the idle state.
  • Bits B11 through B15 -- not used.
Operation event status register diagram

1 = Operation condition register
2 = Operation event register
3 = Operation event enable register


Measurement event register

The used bits of the Measurement Event Register (following graphic) are described as follows:

  • Bit B0, External Reference Detected (ERD) -- Set bit indicates that an external reference is connected and has been detected. See next bit to determine if the external reference is locked in.
  • Bit B1, External Reference Lock (ERL) -- Set bit indicates that the external reference has been locked.
  • Bits B2 through B9 -- Not used.
  • Bit B10, Overload (OL) -- Set bit indicates an input overload.
  • Bits B11 through B15 -- Not used.
Measurement event status register diagram

1 = Measurement condition register
2= Measurement event register
3 = Measurement event enable register


Questionable event register

The used bits of the questionable event register (see following diagram) are described as follows:

  • Bits B0 through B7 -- not used.
  • Bit B8, Calibration Summary (Cal) -- set bit indicates that an invalid calibration constant was detected during the power-up sequence. The instrument will instead use a default calibration constant. This error will clear after successful calibration of the instrument.
  • Bits B9 through B13 -- not used.
  • Bit B14, Command Warning (Warn) -- set bit indicates that a signal-oriented measurement command parameter has been ignored. Places status message +414 in the status queue.
  • Bit B15 -- not used.

    Note: Whenever a questionable event occurs, the ERR annunciator turns on. The annunciator turns off when the questionable event clears.

Questionable event status register diagram

1 = Questionable condition register
2 = Questionable event register
3 = Questionable event enable register


Condition registers

As the status structure diagram shows, each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. For example, while the instrument is in the idle state, bit B10 (Idle) of the operation condition register will be set. When the instrument is taken out of idle, bit B10 clears.

The commands to read the condition registers are listed in the following table. For details on reading registers, see Reading registers.

Condition register commands

Command | Description
:STATus:OPERation:CONDition? | Reads operation condition register.
:STATus:MEASurement:CONDition? | Reads measurement condition register.
:STATus:QUEStionable:CONDition? | Reads questionable condition register.

Note: The format of the response messages for the above queries is set by the :FORMat:SREGister commands.


Event registers

Each status register set has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register.

*CLS resets all four event registers.

The commands to read the event registers are listed in the following table. For details on reading registers, see Reading registers.

Event register commands

Command | Description
*ESR? | Reads standard event status register.
:STATus:OPERation[:EVENt]? | Reads operation event register.
:STATus:MEASurement[:EVENt]? | Reads measurement event register.
:STATus:QUEStionable [:EVENt]? |

Note: The format of the response messages for the above queries is set by the :FORMat:SREGister commands. Power-up and *CLS reset all bits of all event registers to 0. The :STATus:PRESet command has no effect.


Event enable registers

As the status structure diagram shows, each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. Therefore, this sequence takes place:

  1. An event bit is set.
  2. The corresponding enable bit is set (as programmed by the user).
  3. The output (summary) of the register is set to 1.
  4. The Status Byte Register summary bit is set.

The commands to program and read the event enable registers are listed in the following table. For details on programming and reading registers, see Programming enable registers and Reading registers.

Note: The bits of any enable register can be reset to 0 by sending the 0 parameter value using STATus:OPERation:ENABle 0.

Event enable register commands

Command |  |  | Description
*ESE <NDN> or <NRf> |  |  | Programs standard event enable register.
*ESE? |  |  | Reads standard event enable register.
STATus:OPERation:ENABle <NDN> or <NRf> |  |  | Programs operation event enable register.
STATus:OPERation:ENABle? |  |  | Reads enable register.
STATus:MEASurement:ENABle<NDN> or <NRf> |  |  | Programs measurement event enable register.
STATus:MEASurement:ENABle? |  |  | Reads enable register.
STATus:QUEStionable:ENABle <NDN> or <NRf> |  |  | Programs questionable event enable register.
STATus:QUEStionable:ENABle? |  |  | Reads enable register.
Parameters: |  |
<NDN> | = #Bxx...x | Binary format (each x = 1 or 0)
 | = #Hx | Hexadecimal format (x = 0 to 7FFF)
 | = #Qx | Octal format (x = 0 to 77777)
<NRf> | = 0 to 32767 | Decimal format

Note: The format of the response messages for the above queries is set by the :FORMat:SREGister commands. Power-up and :STATus:PRESet reset all bits of all event registers to 0. *CLS has no effect.

Programming example

Program and read a register set

The following command sequence programs and reads the measurement register set:

:FORM:SREG BIN | ' Select binary format to read registers.
:STAT:MEAS:ENAB 512 | ' Enable BFL (buffer full).
:STAT:MEAS:COND? | ' Read measurement condition register.
:STAT:MEAS? | ' Read measurement event register.

Programming example

Read RAV bit of measurement event register

The following command sequence demonstrates the proper method to read the RAV bit of the measurement event register. In general, the state of an event register bit is determined by enabling the event bit, then reading the status byte (*STB?).

*RST | ' Put instrument in one-shot mode.
*CLS | ' Clear measurement event register.
:STAT:PRES | ' Clear measurement event enable register.
:STAT:MEAS:ENAB 32 | ' Enable RAV bit (B5) of the measurement event register.
:INIT | ' Trigger one measurement.
*STB? | ' Read status byte register.

*CLS and :STAT:PRES reset the measurement register bits to zero. The :ENAB command enables the reading available bit B5 (RAV) of the measurement event register. When a reading is triggered and becomes available, bit B0 (MSB) of the status byte will set. INIT triggers a reading and *STB? reads the status byte.

Since you are only interested in bit B0 of the status byte, it is recommended that your program routing mask out the other bits, which may also be set. For example, *STB? may return decimal "17." The binary bit pattern for decimal 17 is as follows:

B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0 |
0 | 0 | 0 | 1 | 0 | 0 | 0 | 1 | *STB? returns decimal "17" (B4 and B0 set)

If, in your program, you logically AND the above returned binary value with 00000001, you will mask out bits B1 through B7:

B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0 |
0 | 0 | 0 | 1 | 0 | 0 | 0 | 1 | *STB? returns decimal "17" (B4 and B0 set)
0 | 0 | 0 | 0 | 0 | 0 | 0 | 1 | Mask to read B0 (decimal 1)
-------------------------------------------------- |  |  |  |  |  |  |  |
0 | 0 | 0 | 0 | 0 | 0 | 0 | 1 | Result of logic AND operation (decimal 1)

As shown in the above result for the AND operation, when B0 is set, your program routine will generate a "1" to indicate that RAV is set. If B0 is not set (0), the AND operation will result in "0" to indicate that RAV is not set.


Queues

The instrument uses two queues, which are first-in first-out (FIFO) registers:

  • Output queue -- holds query response messages.
  • Error queue -- holds error and status messages.

The status structure diagram shows how the two queues are structured with the other registers.

When a queue contains data, it sets the appropriate summary bit of the status byte register.

Note: While operating within the trigger model (not in idle), you cannot send a status model command (for example, *ESE?). These commands can only be executed when the instrument is in idle.

Output queue

The output queue holds data that pertains to the normal operation of the instrument.

Example sequence:

  1. A query command is sent.
  2. The response message is placed in the output queue.
  3. The message available (MAV) bit in the status byte register sets.
  4. A data message is cleared from the output queue when it is read.
  5. The output queue is considered cleared when it is empty.
  6. An empty output queue clears the MAV bit in the status byte register.
  7. A message is read from the output queue over that particular bus (GPIB, USB or LAN) after the appropriate query is sent.

Error queue

The error queue holds error and status messages.

Example sequence:

  1. An error or status event occurs.
  2. A message that defines the error/status is placed in the error queue.
  3. The error available (EAV) bit in the status byte register is set.
  4. An error/status message is cleared from the error queue when it is read.
  5. The error queue is considered cleared when it is empty.
  6. An empty error queue clears the EAV bit in the status byte register.

The error queue holds up to 10 error/status messages. The commands to read the error queue are listed in the following table. When you read a message in the error queue, the "oldest" message is read and then removed from the queue.

  • The message "350, 'Queue Overflow'" will occupy the last memory location, if the queue becomes full.
  • The message "0, No Error" is placed in the queue, when it is empty. On power-up, the error queue is empty.

Messages in the error queue are preceded by a code number. Negative (-) numbers are used for SCPI-defined messages and positive (+) numbers are used for Keithley Instruments-defined messages.

  • On power-up, all error messages are enabled and will go into the error queue as they occur.
  • Status messages are not enabled and will not go into the queue.

As listed in the following table, there are commands to enable and/or disable messages. For these commands, the <list> parameter is used to specify which messages to enable or disable. The messages are specified by their codes. The following examples show various forms for using the <list> parameter.

<list> | = (-110) | Single message
 | = (-110:-222) | Range of messages (-110 through -222)
 | = (-110:-220, -220) | Range entry and single entry (separated by a comma)
  • When you enable messages, messages not specified in the list are disabled.
  • When you disable messages, each listed message is removed from the enabled list.

    Note: To prevent all messages from entering the error queue, send the null list parameter as :STATus:QUEue:ENABle ().

Command | Description
:STATus:QUEue:CLEar | Clears message from error queue.
:SYSTem:ERRor? | Reads error queue.
:SYSTem:CLEar | Clears messages from error queue.
*CLS | Clears messages from error queue.

Note: Power-up and *CLS empties the error queue. The :STATus:PRESet command has no effect. Power-up enables error messages and disables status messages. *CLS and :STATus:PRESet have no effect.

Programming example

Read error queue

The following command reads the error queue:

:STAT:QUE?


Programming and reading registers

See Programming enable registers and Reading registers for detailed information on registers.

Programming enable registers

The enable registers are the only registers that you can program. All other registers in the status structure are read-only registers.

The following section explains how to ascertain the parameter values for the various commands used to program enable registers.

A command to program an event enable register is sent with a parameter value that determines the desired state (0 or 1) of each bit in the appropriate register. An enable register can be programmed using any of the following data formats for the parameter value:

  • binary
  • decimal
  • hexadecimal
  • octal

The bit positions of the register (see the following table) indicate the binary parameter value.

Example:

To set bits B4, B3 and B1, the binary value would be 11010 (where B4=1, B3=1, B1=1 and all other bits are 0).

When you use one of the other formats, convert the binary number to its decimal, hexadecimal, or octal equivalent.

Example:

Binary 11010 = Decimal 26 = Hexadecimal 1A = Octal 32

Note that the following tables include the decimal weight for each register bit. To set bits B4, B3, and B1, the decimal parameter value would be the sum of the decimal weights for those bits (16+8+2 = 26).

16-bit status register -- Bits 0 through 7

Bit Position | B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0
Binary Value | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1
Decimal | 128 | 64 | 32 | 16 | 8 | 4 | 2 | 1
Weights | (27) | (26) | (25) | (24) | (23) | (22) | (21) | (20)

16-bit status register -- Bits 8 through 15

Bit Position | B15 | B14 | B13 | B12 | B11 | B10 | B9 | B8
Binary Value | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1
Decimal | 32768 | 16384 | 8192 | 4096 | 2048 | 1024 | 512 | 256
Weights | (215) | (214) | (213) | (212) | (211) | (210) | (29) | (28)

The <NDN> (non-decimal numeric) parameter type is used to send non-decimal values. These values require a header (#B, #H, or #Q) to identify the data format being sent. The letter in the header can be upper or lower case. The <NRf> (numeric representation format) parameter type is used to send decimal values and does not use a header. The following examples show the proper parameter syntax for setting bits B5, B3, and B2:

#b101100 | Binary format (<NDN> parameter type)
#h2C | Hexadecimal format (<NDN> parameter type)
#q54 | Octal format (<NDN> parameter type)
44 | Decimal format (<NRf> parameter type)

Valid characters for the non-decimal parameter values are shown as follows:

<NDN> format | Valid characters
Binary | 1s and 0s
Hexadecimal | 0 through 9 and A through F
Octal | 0 through 7

Reading registers

Any register in the status structure can be read by using the appropriate query (?) command. The following explains how to interpret the returned value (response message).

The response message will be a value that indicates which bits in the register are set. That value (if not already binary) will have to be converted to its binary equivalent.

Example:

For a binary value of 100101, bits B5, B2, and B0 are set.

The returned value can be in the binary, decimal, hexadecimal, or octal format. The FORMat:SREGister command is used to select the data format for the returned value (see the following table).

For non-decimal formats, one of the following headers will accompany the returned value to indicate which format is selected:

#B = Header for binary values

#H = Header for hexadecimal values

#Q = Header for octal values

Data format command for reading status registers

Command | Description |  |  | Default
:FORMat:SREGister <name> | Select data format for reading status registers: |  |  | ASCii
 | <name> = | ASCii | Decimal format |
 |  | HEXadecimal | Hexadecimal format |
 |  | OCTal | Octal format |
 |  | BINary | Binary format |


Clearing registers and queues

When the instrument is turned on, the bits of all registers in the status structure are cleared (reset to 0) and the two queues are empty. Commands to reset the event registers, event enable registers, and the error queue are listed in the following table. In addition to these commands, any enable register can be reset by sending the 0 parameter value with the individual command to program the register.

Note: :SYSTem:PRESet and *RST have no effect on status structure registers and queues.

Commands |  | Description
To reset registers: |  |  |
 | *CLS | Reset all bits of the following event registers to 0:
 |  |  | Standard event register
 |  |  | Operation event register
 |  |  | Measurement event register
 |  |  | Questionable event register
 | :STATus:PRESet | Reset all bits of the following enable registers to 0:
 |  |  | Operation event enable register
 |  |  | Measurement event enable register
 |  |  | Questionable event enable register
To clear error queue: |  |  |
 | *CLS | Clear all messages from error queue
 | :STATus:QUEue:CLEar | Clear messages from error queue
 | :SYSTem:ERRor:CLEar | Clear messages from error queue
  • The standard event enable register is not reset by :STATus:PRESet or *CLS. Send the 0 parameter value with *ESE to reset all bits of that enable register to 0 (see Status byte and service request commands).
  • The :STATus:PRESet command has no effect on the error queue. Use either of the two clear commands to clear the error queue.


Command locater

Find commands in the category of instrument operation.

Sweep

OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

:SWEep:DWELl

:SWEep:SETTle?

:SWEep:STEP

:SWEep:STATe

:UFLatness:LOAD

:UFLatness:STATe

List mode

:LIST:LOAD

:LIST:SETTle

:LIST

:OUTPut

Trigger

*TRG

*WAI

:TRIGger:DELay

:TRIGger:MODE

:TRIGger:SOURce

:INITiate

Sync out

:SOUTput:IMMediate

:SOUTput:POLarity

:SOUTput:MODe

ALC

:POWer:ALC:CWAVe:TYPE

:POWer:ALC:CWAVE

:POWer:ALC:MODulation:TYPE

:POWer:ALC:MODulation

:POWer:ALC:SHOLd:REFResh

:POWer:ALC

Frequency reference

:IEVensecond:POLarity

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce

Modulations

Analog

:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FM[:DEViation]

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation

ASK Digital

:ASK:DENCoding

:ASK:FILTer

:ASK:FILTer:GAUSsian

:ASK:FILTer:RC

:ASK:FILTer:RCC

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation

FSK Digital

:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FILTer:GAUSsian

:FSK:FILTer:RC

:FSK:FILTer:RCC

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STYPe

:OUTPut

:OUTPut:MODulation

PSK Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:FILTer:GAUSsian

:PSK:FILTer:RC

:PSK:FILTer:RCC

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STYPe

QAM Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:FILTer:GAUSsian

:QAM:FILTer:RC

:QAM:FILTer:RCC

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STYPe

Standards

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD

Arbitrary waveforms

:OUTPut

:OUTPut:MODulation

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST?

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

MIMO

:MIMO:MODE

:MIMO:SYNC[:STATe]

[:SOURce]:INTernal:CLOCk

[:SOURce]:VCO[:STATe]

[:SOURce]:PHASe:ADJust

Digital I/O

:TTL:INPut?

:TTL

File management

*SAV

*RCL

:ASK:LOAD

:FSK:LOAD

:LIST:LOAD

:MMEMory:CATalog?

:MMEMory:DATA

:PSK:LOAD

:QAM:LOAD

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:OPEN

:RADio:ARB:PLAY

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:CDMa:LOAD

:RADio:GPS:PATTern:OPEN

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD

:UFLatness:LOAD

Display

:DISPlay:CAPTure

:DISPlay:ENABle

:SYSTem:SSAVer:DELay

:SYSTem:SSAVer

Status registers

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:OPERation?

:STATus:PRESet

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable?

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle

Time and date

:SYSTem:TIME

:SYSTem:DATE

Preset

*RST

:STATus:PRESet

:SYSTem:PRESet

Remote and local operation

*IDN?

:PMETer:COMMand

:SYSTem:COMMunicate:GPIB:ADDRess

:SYSTem:KLOCk

:SYSTem:LOCal

:SYSTem:PRESet

:SYSTem:REMote


Command tree

SCPI Commands

IEEE- 488.2 Common Commands


IEEE- 488.2 common commands

*CLS | *RST
*ESE | *SAV
*ESE? | *SRE
*ESR? | *SRE?
*IDN? | *STB?
*OPC | *TRG
*OPC? | *WAI
*RCL |

*CLS -- Clear status

Clears the instrument status byte by emptying the error queue and clearing all event registers. Also cancels any preceding *OPC command or query. The standard event enable register is not reset by :STATus:PRESet or *CLS. Send the 0 parameter value with *ESE to reset all bits of that enable register to 0.

Note: :SYSTem:PRESet and *RST have no effect on status structure registers and queues.

*ESE <NRf> -- Event status enable

Sets bits in the standard event status enable register. The parameter values to set the individual bits of the enable registers can be sent using the decimal format (NRf = 0 to 225). See Standard event register topic for more information.

*ESE? -- Event status enable query

Returns the results of the standard event enable register. The register is cleared after reading it. See Standard event register topic for more information.

*ESR? -- Event status register query

Reads the event status enable register. See [image] Status register commands and Reading Registers.

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:OPERation?

:STATus:PRESet

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable?

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle

*IDN? -- Identify

Returns a string that uniquely identifies the instrument. The identification code includes the manufacturer, model number, serial number, and firmware revision levels and is sent in the following format:

KEITHLEY INSTRUMENTS INC.,MODEL nnnn,nnnnnnnn,xxx Jan 27 2007 14:59:09

Where:

nnnn is the model number

nnnnnnn is the serial number

xxx is the firmware revision level

Jan 27 2007 14:59:09 is the date and time (24hr format, hr:min:sec) for the firmware release

*OPC -- Operation complete command

Sets the *OPC bit in the standard event register after all pending commands are complete.

Description

After the *OPC command is sent and the last pending command is completed, the operation complete bit (bit B0) of the standard event status register will be set. If the corresponding bit (bit B0) in the standard event enable register and Bit 5 (event summary bit) of the service request enable register are set, the MSS (master summary status) bit in the status byte register is set. See Event registers for more information.

When used with the immediate initiation command (:INITiate), the OPC bit in the standard event status register will not set until the instrument goes back into the idle state. See the description for *WAI for more information on command execution.

Programming example

The first group of commands sends the *OPC command after the :INITiate command and verifies that the OPC bit in the standard event status register does not set while the instrument continues to make measurements (not in idle). The second group of commands returns the instrument to the idle state and verifies that the OPC bit did get set.

:SYST:PRES | ' Returns the instrument to default setup.
:INIT:IMM;*OPC | ' Initiates one trigger cycle and sends the OPC command.
*ESR? | ' Reads the standard event status register.

The returned value of 0 denotes that the bit (bit 0) is not set indicating that the :INITiate operation is not complete.

*ESR?

' Reads the standard event status register.

The returned value of 1 denotes that the bit (bit 1 is set indicating that the :INITiate operation is now complete.

:SYST:PRES

' Returns the instrument to default setup.

Note: The following commands take a long time to process and may benefit from using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*OPC? -- Operation complete query

Places a "1" in the output queue after all pending operations are completed.

Description

When this common command is sent, an ASCII "1" will be placed in the output queue after the last pending operation is completed. The "1" in the output queue will be sent to the controller. See Output queue for more information.

The "1" in the output queue will set the MAV (message available) bit (B4) of the status byte register. If the corresponding bit (B4) in the service request enable register is set, the RQS/MSS (request for service/master summary status) bit in the status byte register will set.

When used with the Initiate Immediately command (:INITiate), a "1" will not be placed into the output queue until the instrument goes back into the idle state. The :INIT command operation is not considered finished until the instrument goes back into the idle state. See the description for *WAI for more information on command execution.

The execution of OPC? is not completed until it has placed the '1' in the output queue.

Programming example

This command sequence demonstrates how to use *OPC? to signal the end of a measurement process:

:SYST:PRES | ' Returns instrument to default setup.
:INIT;*OPC? | ' Starts measurement process and sends OPC? command.

After the measurement is performed and the instrument returns to the idle state, an ASCII "1" will be placed in the output queue. The "1" from the output queue is sent to the controller.

:SYST:PRES

' Returns the instrument to default setup.

Note: The following commands take a long time to process and may benefit from using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*RCL <NRf> -- Recall *SAV -- Save

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

Note: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

*SAV 2 | ' Save present setup in memory location 2.
*RST | ' Restore GPIB defaults.
*RCL 2 | ' Recall location 2 setup.

*RST -- Reset

Returns the instrument to RST defaults.

  1. Returns the instrument to the RST default conditions, which is exactly the same as a SYSTem:PRESet (see "Default" area in SCPI commands).
  2. Cancels all pending commands.
  3. Cancels response to any previously received *OPC and *OPC? commands.

    Note: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

Note: The frequency reference is not affected by Preset, *RST, or Save/Recall state.

*SAV -- Save*RCL <NRf> -- Recall

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled from the instrument. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

Note: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

*SAV 2 | ' Save present setup in memory location 2.
*RST | ' Restore GPIB defaults.
*RCL 2 | ' Recall location 2 setup.

*SRE -- Service request enable command

Before reading a status register, bits must be enabled. This command enables bits in the service request register. The current setting is saved in non-volatile memory. See Service request enable register for more information.

*SRE? -- Service request enable query

Reads the current state of the service request enable register. The register is cleared after reading it. The return value can be decoded using the table in Programming and reading registers. See also Reading Registers.

*STB? -- Status byte query

Reads the value of the instrument status byte. The register is cleared only when the registers feeding it are cleared. See Programming and reading registers and Clearing registers and queues.

*TRG -- Trigger

Issues a GPIB trigger to the Model 2910-VSG. Use the *TRG command as an event to control operation. The Model 2910-VSG reacts to this trigger if BUS is the programmed control source. See Triggering and Sync Out for more information.

Programming example

The following command sequence configures the Model 2910-VSG to be controlled by bus triggers. The last command, which sends a bus trigger, triggers one measurement. Each subsequent bus trigger will also trigger a single measurement.

Note: With TRIG:SOURce BUS selected, do not send any commands (except *TRG, GET, DCL, SDC, IFC, and ABORt) while performing measurements. Otherwise, erratic operation will occur.

*RST | ' Restore RST defaults.
TRIG:SOUR BUS | ' Select BUS control source.
INIT | ' Take 2910 VSG out of idle.
*TRG | ' Trigger one measurement.

*WAI -- Wait

Prevents execution of commands until previous commands are completed.

Description

The *WAI command can be used with the following commands:

  • INITiate
  • *TRG

The INITiate command removes the instrument from the idle state. The device operations of :INITiate are not considered complete until the instrument returns to idle. By sending the *WAI command after the INITiate command, all subsequent commands will not execute until the instrument goes back into idle.

The *TRG command issues a bus trigger that could be used to provide the arm, scan, and measure events for the Trigger Model. By sending the *WAI command after the *TRG command, subsequent commands will not be executed until the pointer for the Trigger Model has finished moving in response to *TRG and has settled at its next state.

Programming example

The following command sequence shows how to use the *WAI command to allow the instrument to wait for the programmed measurements to be completed before requesting a reading.

:SYST:PRES | Returns the instrument to default setup.
:INIT | Starts measurement process.
*WAI | Sends the WAI command. The program waits for the instrument to go into idle before executing the next command.


SCPI commands

:DISPlay
:FORMat
:INITiate
:MIMO
:MMEMory
:OUTPut
:PMETer:COMMand
:SOURce
 | :AM
 | :ASK
 | :EEVensecond:POLarity
 | :FM
 | :FREQuency
 | :FSK
 | :IEVensecond:POLarity
 | :INTernal:CLOCk
 | :LIST
 | :NOISe
 | :PHASe:ADJust
 | :PM
 | :POWer
 | :POWer:ALC
 | :PSK
 | :PULM
 | :QAM
 | :RADio:ARB
 | :RADio:CDMA
 | :RADio:GPS
 | :RADio:GSM
 | :RADio:WCDMa
 | :ROSCillator
 | :SWEep
 | :TTL
 | :TTONe
 | :UFLatness
 | :VCO[:STATe]
:SOUTput
:STATus
 | :MEASurement
 | :OPERation
 | :PRESet
 | :QUEStionable
 | :QUEue
:SYSTem
 | :CLEar
 | :COMMunicate
 | :DATE
 | :ERRor
 | :KLOCk
 | :LOCal
 | :PREset
 | :REMote
 | :SSAVer
 | :TIME
:TRIGger


:DIAGnostic:FREQuency:EXTend[:STATe]

Enables and disables the extended frequency mode. See Extend freq for details.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the extended frequency mode.
 | OFF (or 0) switches off the extended frequency mode.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | :DIAGnostic:FREQuency:EXTend[:STATe] DEFault
Examples | :DIAG:FREQ:EXT DEF
 | :diagnostic:frequency:extend default
HorizontalRuleSm
Query Syntax | :DIAGnostic:FREQuency:EXTend[:STATe]?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)


:DISPlay

Controls the screen display.

Select a blue link to view the command details:

  • :DISPlay:CAPTure
  • :DISPlay:ENABle

:DISPlay:CAPTure

Captures the contents shown on the display and puts them in the specified file. See LXI web interface.

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform.
HorizontalRuleSm
 | :DISPlay:CAPTure
Examples | :DISP:CAPT
 | :display:capture
HorizontalRuleSm

:DISPlay:ENABle

Enables and disables the instrument front panel display circuitry, which controls the backlight and all updating of the display. When the display is disabled, the instrument operates at a higher speed. This maximizes throughput when using the remote interface.

Normal display operation can be resumed by using the ENABle command to enable the display or by putting the instrument into local mode (press Local). All front panel controls (except Local) are disabled.

  • ON (or 1) enables the display backlight.
  • OFF (or 0) disables the display backlight.
Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none

:FORMat:SREGister

Sets the numeric format of query results for status registers and enable registers. See Status structure.

  • Decimal format = 0 to 32767
  • Binary format (each x = 1 or 0) = #Bxx...x
  • Hexadecimal format (x = 0 to 7FFF) = #Hx
  • Octal format (x = 77777) =#Qx
Query | Return | Set | Special | Units
yes | ASC| HEX| BIN| OCT| | ASCii| HEXidecimal| BINary| OCTal| | Default | none

:INITiate[:IMMediate]

Arms the trigger. See Trigger.

When using this command to trigger a single sweep (or list), the command must be used in a single-string programming message that includes *OPC?, followed by a newline character. When the source completes the sweep, the instrument responds with a "1."

Note: Sending INITiate while the instrument is performing measurements will cause error -213 (init ignored).

Query | Return | Set | Special | Units
no | n/a | n/a | none | none


:MMEMory

Controls the file system.

Select a blue link to view the command details:

  • :MMEMory:CATalog?
  • :MMEMory:DATA

:MMEMory:CATalog?

Queries for the contents of the file system, starting at the specified directory root. The parameter is an alias for the physical file path. The contents of all subdirectories are included in the response. The response is per SCPI standard for :MMEMory:CATalog?. The file type is left blank. See File management.

HorizontalRuleSm
Parameters |
no | SETUPS sets the query to return the contents of the file system, starting with the SETUPS directory.
 | USB sets the query to return the contents of the file system, starting with the USB directory.
 | USB2 sets the query to return the contents of the file system, starting with the USB2 directory.
 | USB3 sets the query to return the contents of the file system, starting with the USB3 directory.
 | USB4 sets the query to return the contents of the file system, starting with the USB4 directory.
 | CDMA2000 FORWARD LINK\REFERENCE sets the query to return the contents of the file system, starting with the CDMA2000 FORWARD LINK\REFERENCE directory.
 | CDMA2000 FORWARD LINK\USER sets the query to return the contents of the file system, starting with the CDMA2000 FORWARD LINK\USER directory.
 | W-CDMA 3GPP DOWNLINK\REFERENCE sets the query to return the contents of the file system, starting with the W-CDMA 3GPP DOWNLINK\REFERENCE directory.
 | W-CDMA 3GPP DOWNLINK\USER sets the query to return the contents of the file system, starting with the W-CDMA 3GPP DOWNLINK\USER directory.
 | GSM EDGE\REFERENCE sets the query to return the contents of the file system, starting with the GSM EDGE\REFERENCE directory.
 | GSM EDGE\USER sets the query to return the contents of the file system, starting with the GSM EDGE\USER directory.
 | GPS\USER sets the query to return the contents of the file system, starting with the GPS\USER directory.
 | ASK\USER sets the query to return the contents of the file system, starting with the ASK\USER directory.
 | FSK\USER sets the query to return the contents of the file system, starting with the FSK\USER directory.
 | PSK\USER sets the query to return the contents of the file system, starting with the PSK\USER directory.
 | QAM\USER sets the query to return the contents of the file system, starting with the QAM\USER directory.
 | ARB WAVEFORM\USER sets the query to return the contents of the file system, starting with the ARB WAVEFORM\USER directory.
 | ARB SEQUENCE\USER sets the query to return the contents of the file system, starting with the ARB SEQUENCE\USER directory.
 | LIST\USER sets the query to return the contents of the file system, starting with the LIST\USER directory.
 | USER FLATNESS\USER sets the query to return the contents of the file system, starting with the USER FLATNESS\USER directory.
HorizontalRuleSm
 | :MMEMory:CATalog? LIST\USER
Examples | :MMEM:CAT? LIST\USER
 | :mmemory:catalog? list\user
Return Type | String

:MMEMory:DATA

Creates a file in the location specified and copies the information in the programming message into the file.

HorizontalRuleSm
Para> |
no | "filename"
#NN | First number indicates the number of digits that specify the length of the transmission. Second number indicates the transmission in bytes.
<data> | Specifies the contents of the file being created.
HorizontalRuleSm
 | :MMEMory:DATA "filename.txt", #16Hello!
Examples | :MMEM:DATA "filename.txt", #16Hello!
 | :mmemory:data "filename.txt", #16Hello!
HorizontalRuleSm
Query Syntax | :MMEMory:DATA?
Return Type | string
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command MMEM:DATA to create a file (with specified contents) in a directory in the Series 2900 VSG or a USB memory stick inserted in the Series 2900 VSG. To copy a file to one of the available directories, use the following paths in the programming message.

2910 VSG Directory | Directory Path in Programming Message
cdma2000 User | \cdma2000 Forward Link\User
W-CDMA User | \W-CDMA 3GPP Downlink\User
GSM / EDGE User | \GSM EDGE\User
GPS User | \GPS\User
ASK User | \ASK\User
FSK User | \FSK\User
PSK User | \PSK\User
QAM User | \QAM\User
Arbitrary User | \ARB Waveform\User
Arbitrary Sequence User | \ARB Sequence\User
List User | \List\User
User Flatness User | \User Flatness\User
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4
Instrument Setups | \Setups

Note: All Standards modulation waveform Reference directories in the Series 2900 VSG are read-only.

The following command creates a file named "example1.txt" on a USB memory stick that is inserted in the 2910 VSG.

MMEM:DATA "\USB\example1.txt", #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the contents of the file "example1.txt."


:MIMO

Controls MIMO mode and synchronization state.

Select a blue link to view the command details:

  • :MIMO:MODE
  • :MIMO:SYNC[:STATe]
:MIMO:MODE

Set MIMO mode.

Query | Return | Set | Special | Units
yes | OFF | MAST | SLAV | MAN | OFF | MAST | SLAV | MAN | Default | none

:MIMO:SYNC[:STATe]

Set MIMO sync state.

Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none


:OUTPut

Controls the source output.

Select a blue link to view the command details:

  • :OUTPut[:STATe]
  • :OUTPut:MODulation[:STATe]

Also see RF Out connector.

:OUTPut[:STATe]

Switches RF output power on and off. See RF On button.

HorizontalRuleSm
>Para> | :OUTPut[:STATe]
<b> | ON (or 1) switches on the RF output power.
 | OFF (or 0) switches off the RF output power.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | :OUTPut[:STATe] DEFault
Examples | :OUTP:
 | :output:state on
HorizontalRuleSm
Query Syntax | :OUTPut[:STATe]?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)

:OUTPut:MODulation[:STATe]

Switches modulation output on and off. See Modulation On button.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the modulation output.
 | OFF (or 0) switches off the modulation output.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | :OUTPut:MODulation[:STATe] DEFault
Examples | :OUTP:MOD DEF
 | :output:modulation:state on
HorizontalRuleSm
Query Syntax | :OUTPut:MODulation[:STATe]?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)


:PMETer:COMMand

Passes through the specified Model 3500 power meter commands. See Power meter SCPI command pass-through.

HorizontalRuleSm
Parameters |
<string> | Power meter command specifies the Model 3500 power meter command to pass through.
HorizontalRuleSm
 | :PMETer:COMMand
Examples | :PMET:COMM
 | :pmeter:command
HorizontalRuleSm
Query Syntax | :PMETer:COMMand?
Return Type | String
HorizontalRuleSm
Default | n/a


[:SOURce]:AM

Controls the source amplitude modulation.

Select a blue link to view the command details:

  • [:SOURce]:AM:INTernal:FREQuency
  • [:SOURce]:AM:STATe
  • [:SOURce]:AM[:DEPTh]

Also see Amplitude modulation (AM).

[:SOURce]:AM:INTernal:FREQuency

Set the amplitude modulation frequency. See Amplitude modulation (AM).

HorizontalRuleSm
Units | Hz
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (100kHz). MINimum sets the minimum allowable value (1Hz). DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:AM:INTernal:FREQuency MAXimum
Examples | :AM:INT:FREQ MAX
 | [:source]:am:internal:frequency default
HorizontalRuleSm
Query Syntax | [:SOURce]:AM:INTernal:FREQuency?
Return Type | Integer
HorizontalRuleSm
Default | 1kHz

[:SOURce]:AM:INTernal:WAVeform

Sets the amplitude modulation (AM) waveform. See Amplitude modulation (AM).

HorizontalRuleSm
Parameters |
no | SINE sets the amplitude modulation signal to a sine wave.
 | DRAMp sets the amplitude modulation signal to a downward-going ramp.
 | URAMp sets the amplitude modulation signal to an upward-going ramp.
 | TRIangle sets the amplitude modulation signal to a triangle wave.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:AM:INTernal:WAVeform TRIangle
Examples | :AM:INT:WAV TRI
 | :am:internal:waveform triangle
HorizontalRuleSm
Query Syntax | [:SOURce]:AM:INTernal:WAVeform?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:AM:STATe

Switches the amplitude modulation on and off. See Amplitude modulation (AM).

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the amplitude modulation.
 | OFF (or 0) switches off the amplitude modulation.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:AM:STATe ON
Examples | :AM:STAT ON
 | [:source]:am:state 0
HorizontalRuleSm
Query Syntax | [:SOURce]:AM:STATe?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)

[:SOURce]:AM[:DEPTh]

Sets the amplitude modulation depth. See Amplitude modulation (AM).

HorizontalRuleSm
Units | Percent
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (100%). MINimum sets the minimum allowable value (0%). DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:AM[:DEPTh] MAXimum
Examples | :AM 15
 | [:source]:am[:depth] maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:AM[:DEPTh]?
Return Type | Integer
HorizontalRuleSm
Default | 50%


[:SOURce]:ASK

Controls the ASK (amplitude-shift-keying) digital modulation.

Select a blue link to view the command details:

  • [:SOURce]:ASK:DENCoding
  • [:SOURce]:ASK:FILTer
  • [:SOURce]:ASK:LOAD
  • [:SOURce]:ASK:PATTern
  • [:SOURce]:ASK:PATTern:INVert
  • [:SOURce]:ASK:SPS
  • [:SOURce]:ASK:STATe
  • [:SOURce]:ASK:STYPe

Also see ASK (amplitude-shift-keying).

[:SOURce]:ASK:FILTer

Sets the filter type for ASK (amplitude-shift-keying) modulation, and optionally the filter factor for ASK modulation. NRZ and WIDeband do not have a filter factors.

See ASK (amplitude-shift-keying).

HorizontalRuleSm
Parameters |
no | NRZ selects the non-return-to-zero filter shape.
 | RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
 | RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
 | GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
 | WIDeband applies no filter.
 | DEFault returns to the default (preset) mode. MINimum sets the minimum value for the filter factor. NRZ and WIDeband do not have a filter factors. MAXimum sets the maximum value for the filter factor. NRZ and WIDeband do not have a filter factors.
HorizontalRuleSm
 | [:SOURce]:ASK:FILTer
Examples | :ASK:FILT
 | :ask:filter
HorizontalRuleSm
Query Syntax | [:SOURce]:ASK:FILTer? returns the current filter type and filter factor, if applicable.
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:ASK:DENCoding

Enables and disables the ASK (amplitude-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See ASK (amplitude-shift-keying).

HorizontalRuleSm
Parameters |
no | ON enables the ASK modulation differential encoding.
 | OFF disables the ASK modulation differential encoding.
 | 0 disables the ASK modulation differential encoding.
 | 1 enables the ASK modulation differential encoding.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:ASK:DENCoding ON
Examples | :ASK:DEN 1
 | :ask:dencoding 1
HorizontalRuleSm
Query Syntax | [:SOURce]:ASK:DENCoding?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:ASK:LOAD

Selects the ASK (amplitude-shift-keying) modulation waveform that gets loaded in the instrument. If no filename is specified, the current ASK parameter settings are loaded. A query returns the filename, if the ASK modulation is enabled. See ASK (amplitude-shift-keying).

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform. You can optionally specify the file extension (*.csv).
HorizontalRuleSm
 | [:SOURce]:ASK:LOAD ASKmod1.csv
Examples | :ASK:LOAD ASKmod1
 | :ask:load askmod1
HorizontalRuleSm
Query Syntax | [:SOURce]:ASK:LOAD?
Return Type | String
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command [:SOURce]:ASK:LOAD to load a file from a directory in the Model 2910-VSG, a USB memory stick inserted in the Model 2910-VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
ASK User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:ASK:PATTern

Sets the data pattern for the ASK (amplitude-shift-keying) modulation bit sequence. See ASK (amplitude-shift-keying).

HorizontalRuleSm

Parameters

no

PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.

COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.

ALTernating [,<NRf>|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

DEFault returns to the default (preset) mode.

[:SOURce]:ASK:PATTern DEFault sets the pattern type to PRBS and keeps the current length setting.

[:SOURce]:ASK:PATTern DEFault,DEFault sets the pattern type to PRBS and the length to PN9.

[:SOURce]:ASK:PATTern COUNt sets the pattern type to count and the value is set to the number of symbols in the constellation diagram.

[:SOURce]:ASK:PATTern ALTernating,DEFault set the pattern type to alternating and the pattern length to 1 (101010...).

HorizontalRuleSm

[:SOURce]:ASK:PATTern

Examples

:ASK:PATT

:ask:pattern

HorizontalRuleSm

Query Syntax

[:SOURce]:ASK:PATTern? returns the current pattern type and the length for that pattern.

[:SOURce]:ASK:PATTern? DEFault returns the default pattern type and the current length for that type.

[:SOURce]:ASK:PATTern? DEFault,DEFault returns the default pattern and the default length for that type.

Return Type

String

HorizontalRuleSm

Default

[:SOURce]:ASK:PATTern:INVert

Controls the ASK (amplitude-shift-keying) modulation data pattern inversion. See ASK (amplitude-shift-keying).

HorizontalRuleSm
Parameters |
no | ON changes 0 to 1 and 1 to 0 in the data pattern.
 | OFF keeps the data pattern in the original state.
 | 0 keeps the data pattern in the original state.
 | 1 changes 0 to 1 and 1 to 0 in the data pattern.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:ASK:PATTern:INVert ON
Examples | :ASK:PATT:INV 1
 | :ask:pattern:invert 1
HorizontalRuleSm
Query Syntax | [:SOURce]:ASK:PATTern:INVert?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:ASK:SPS

Sets the speed at which data symbols are transmitted for ASK (amplitude-shift-keying) modulation. See ASK (amplitude-shift-keying).

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value.
 | MINimum sets the minimum allowable value.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:ASK:SPS MINimum
Examples | :ASK:SPS MIN
 | :ask:sps minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:ASK:SPS?
Return Type | Integer
HorizontalRuleSm
Default |

[:SOURce]:ASK:STATe

Turns ASK modulation on/off.

Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none

[:SOURce]:ASK:STYPe

Specifies the symbol type for ASK (amplitude-shift-keying) modulation. See ASK (amplitude-shift-keying).

HorizontalRuleSm
Parameters |
no | OOK is a special case of general ASK that operates as a switch, using the presence of a carrier wave to indicate a binary '1' and its absence to indicate a binary '0.'
 | ASK4 sets the symbol type to amplitude-shift-keying4 that represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.
 | SASK2 sets the symbol type to signed amplitude-shift-keying2 that uses an additional amplitude level to represent data.
 | SASK4 sets the symbol type to signed amplitude-shift-keying4 that represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:ASK:STYPe ASK2
Examples | :ASK:STYP DEF
 | :ask:stype ook
HorizontalRuleSm
Query Syntax | [:SOURce]:ASK:STYPe?
Return Type | String
HorizontalRuleSm
Default |


[:SOURce]:FM

Controls the source frequency modulation.

Select a blue link to view the command details:

  • [:SOURce]:FM:INTernal:FREQuency
  • [:SOURce]:FM:INTernal:WAVeform
  • [:SOURce]:FM:STATe
  • [:SOURce]:FM[:DEViation]

Also see Frequency modulation (FM).

[:SOURce]:FM:INTernal:FREQuency

Set the frequency modulation rate. See Frequency modulation (FM).

HorizontalRuleSm
Units | Hz
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (100kHz). MINimum sets the minimum allowable value (1Hz). DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:FM:INTernal:FREQuency MAXimum
Examples | :FM:INT:FREQ MAX
 | :fm:internal:frequency default
HorizontalRuleSm
Query Syntax | [:SOURce]:FM:INTernal:FREQuency?
Return Type | Integer
HorizontalRuleSm
Default | 1kHz

[:SOURce]:FM:INTernal:WAVeform

Sets the frequency modulation (FM) waveform. See Frequency modulation (FM).

HorizontalRuleSm
Parameters |
no | SINE sets the frequency modulation signal to a sine wave.
 | DRAMp sets the frequency modulation signal to a downward-going ramp.
 | URAMp sets the frequency modulation signal to an upward-going ramp.
 | TRIangle sets the frequency modulation signal to a triangle wave.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:FM:INTernal:WAVeform TRIangle
Examples | :FM:INT:WAV TRI
 | :fm:internal:waveform triangle
HorizontalRuleSm
Query Syntax | [:SOURce]:FM:INTernal:WAVeform?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:FM:STATe

Switches the frequency modulation on and off. See Frequency modulation (FM).

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the frequency modulation.
 | OFF (or 0) switches off the frequency modulation.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:FM:STATe ON
Examples | :FM:STAT ON
 | [:source]:fm:state 0
HorizontalRuleSm
Query Syntax | [:SOURce]:FM:STATe?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)

[:SOURce]:FM[:DEViation]

Sets the frequency modulation deviation. See Frequency modulation (FM).

HorizontalRuleSm
Units | Hz
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (1MHz). MINimum sets the minimum allowable value (0Hz). DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:FM[:DEViation] MAXimum
Examples | :FM DEF
 | [:source]:fm[:deviation] max
HorizontalRuleSm
Query Syntax | [:SOURce]:FM[:DEViation]?
Return Type | Integer
HorizontalRuleSm
Default | 10kHz


[:SOURce]:FREQuency

Controls the source frequency.

Select a blue link to view the command details:

  • [:SOURce]:FREQuency[:CW]|[:FIXed]
  • [:SOURce]:FREQuency:STARt
  • [:SOURce]:FREQuency:STOP

Also see Sweep and signal generation and Sweep and signal operations.

[:SOURce]:FREQuency[:CW]|[:FIXed]

Sets the carrier frequency value. See Sweep and signal generation and Sweep and signal operations.

HorizontalRuleSm
Units | Hz
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (6GHz). MINimum sets the minimum allowable value (10MHz). DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:FREQuency[:CW] 1000
Examples | :FREQ MAX
 | :frequency default
HorizontalRuleSm
Query Syntax | :FREQuency?
Return Type | Integer
HorizontalRuleSm
Default | 1GHz

[:SOURce]:FREQuency:STARt

Sets the start frequency for frequency sweep. See Sweep and signal generation and Sweep and signal operations.

HorizontalRuleSm
Units | Hz
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (6GHz). MINimum sets the minimum allowable value (10MHz). DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:FREQuency:STARt MINimum
Examples | :FREQ:STAR DEF
 | [:source]:frequency:start maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:FREQuency:STARt?
Return Type | Integer
HorizontalRuleSm
Default | 10MHz

[:SOURce]:FREQuency:STOP

Sets the stop frequency for frequency sweep. See Sweep and signal generation and Sweep and signal operations.

HorizontalRuleSm
Units | Hz
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (6GHz). MINimum sets the minimum allowable value (10MHz). DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:FREQuency:STOP MAXimum
Examples | :FREQ:STOP DEF
 | [:source]:frequency:stop maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:FREQuency:STOP?
Return Type | Integer
HorizontalRuleSm
Default | 6GHz


[:SOURce]:FSK

Controls the FSK (frequency-shift-keying) digital modulation.

Select a blue link to view the command details:

  • [:SOURce]:FSK:DENCoding
  • [:SOURce]:FSK:FILTer
  • [:SOURce]:FSK:FSEParation
  • [:SOURce]:FSK:LOAD
  • [:SOURce]:FSK:PATTern
  • [:SOURce]:FSK:PATTern:INVert
  • [:SOURce]:FSK:SPS
  • [:SOURce]:FSK:STATe
  • [:SOURce]:FSK:STYPe

Also see FSK (frequency-shift-keying).

[:SOURce]:FSK:DENCoding

Enables and disables the FSK (frequency-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See FSK (frequency-shift-keying).

HorizontalRuleSm
Parameters |
no | ON (or 1) enables the FSK modulation differential encoding.
 | OFF (or 0) disables the FSK modulation differential encoding.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:FSK:DENCoding ON
Examples | :FSK:DEN 1
 | :fsk:dencoding 1
HorizontalRuleSm
Query Syntax | [:SOURce]:FSK:DENCoding?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:FSK:FILTer

Sets the filter type for FSK (frequency-shift-keying) modulation, and optionally the filter factor for FSK modulation. RECTangular does not have a filter factor.

See FSK (frequency-shift-keying).

HorizontalRuleSm
Parameters |
no | RECTangular selects the non-return-to-zero filter shape.
 | RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
 | RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
 | FGAuss selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
 | DEFault returns to the default (preset) mode. MINimum sets the minimum value for the filter factor. NRZ and WIDeband do not have a filter factors. MAXimum sets the maximum value for the filter factor. NRZ and WIDeband do not have a filter factors.
HorizontalRuleSm
 | [:SOURce]:FSK:FILTer RC
Examples | :FSK:FILT FGAuss,MIN
 | :fsk:filter gaussian,minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:FSK:FILTer?
 | [:SOURce]:FSK:FILTer FGAuss,DEFault? returns the specified type, for example FGAUss, and its default BT product.
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:FSK:FSEParation

Sets the value for the frequency separation for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value.
 | MINimum sets the minimum allowable value.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:FSK:FSEParation MINimum
Examples | :FSK:FSEP MIN
 | :fsk:fseparation minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:FSK:FSEParation?
Return Type | Integer
HorizontalRuleSm
Default |

[:SOURce]:FSK:LOAD

Selects the FSK (frequency-shift-keying) modulation waveform that gets loaded in the instrument. If no filename is specified, the current FSK parameter settings are loaded. A query returns the filename, if the FSK modulation is enabled. See FSK (frequency-shift-keying).

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform. You can optionally specify the file extension (*.csv).
HorizontalRuleSm
 | [:SOURce]:FSK:LOAD FSKmod1.csv
Examples | :FSK:LOAD FSKmod1
 | :fsk:load fskmod1
HorizontalRuleSm
Query Syntax | [:SOURce]:FSK:LOAD?
Return Type | String
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command [:SOURce]:FSK:LOAD to load a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
FSK User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:FSK:PATTern

Sets the data pattern for the FSK (frequency-shift-keying) modulation bit sequence. See FSK (frequency-shift-keying).

HorizontalRuleSm

Parameters

no

PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.

COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.

ALTernating [,<NRf>|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

DEFault returns to the default (preset) mode.

[:SOURce]:FSK:PATTern DEFault sets the pattern type to PRBS and keeps the current length setting.

[:SOURce]:FSK:PATTern DEFault,DEFault sets the pattern type to PRBS and the length to PN9.

[:SOURce]:FSK:PATTern COUNt sets the pattern type to count and the value is set to the number of symbols in the constellation diagram.

[:SOURce]:FSK:PATTern ALTernating,DEFault set the pattern type to alternating and the pattern length to 1 (101010...).

HorizontalRuleSm

[:SOURce]:FSK:PATTern

Examples

:FSK:PATT

:fsk:pattern

HorizontalRuleSm

Query Syntax

[:SOURce]:FSK:PATTern? returns the current pattern type and the length for that pattern.

[:SOURce]:FSK:PATTern? DEFault returns the default pattern type and the current length for that type.

[:SOURce]:FSK:PATTern? DEFault,DEFault returns the default pattern and the default length for that type.

Return Type

String

HorizontalRuleSm

Default

[:SOURce]:FSK:PATTern:INVert

Controls the FSK (frequency-shift-keying) modulation data pattern inversion. See FSK (frequency-shift-keying).

HorizontalRuleSm
Parameters |
no | ON (or 1) changes 0 to 1 and 1 to 0 in the data pattern.
 | OFF (or 0) keeps the data pattern in the original state.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:FSK:PATTern:INVert ON
Examples | :FSK:PATT:INV 1
 | :fsk:pattern:invert 1
HorizontalRuleSm
Query Syntax | [:SOURce]:FSK:PATTern:INVert?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:FSK:SPS

Sets the speed at which data symbols are transmitted for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value.
 | MINimum sets the minimum allowable value.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:FSK:SPS MINimum
Examples | :FSK:SPS MIN
 | :fsk:sps minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:FSK:SPS?
Return Type | Integer
HorizontalRuleSm
Default |

[:SOURce]:FSK:STATe

Turns FSK modulation on/off.

Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none

[:SOURce]:FSK:STYPe

Specifies the symbol type for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

HorizontalRuleSm
Parameters |
no | FSK2 form of FSK where one frequency represents binary 1 and another frequency represents binary 0.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:FSK:STYPe FSK2
Examples | :FSK:STYP DEF
 | :fsk:stype fsk2
HorizontalRuleSm
Query Syntax | [:SOURce]:FSK:STYPe?
Return Type | String
HorizontalRuleSm
Default |


[:SOURce]:IEVensecond:POLarity

Sets the polarity of the internal even second reference.

HorizontalRuleSm
Parameters |
no | RISing sets the even second polarity to rising.
 | FALLing sets the even second polarity to falling.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:IEVensecond:POLarity RISing
Examples | :IEV:POL FALL
 | :ievensecond:polarity rising
HorizontalRuleSm
Query Syntax | [:SOURce]:IEVensecond:POLarity?
Return Type | String
HorizontalRuleSm
Default |


[:SOURce]:INTernal:CLOCk

Turns internal clock on/off.

Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none


[:SOURce]:LIST

Controls the list sweep. Select a blue link to view the command details:

  • [:SOURce]:LIST:LOAD
  • [:SOURce]:LIST:SETTle
  • [:SOURce]:LIST[:STATE]

Also see the following topics:

Sweep/list description and use

Sweep/list triggering description and use

Sweep/list dwell description and uses

To set up a list mode

[:SOURce]:LIST:LOAD

Loads the file that describes the list frequency, power, and dwell-time vectors for a list mode sweep. See the following topics:

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode
HorizontalRuleSm
Parameters |
<string> | Specifies a 2-D list file to load. Sets the filename and path for the selected list description file. You can optionally specify the file extension (*.csv).
 | The file is in the following form:
 | freq0, power0, dwell-time0
 | freq1, power1, dwell-time1
 | freq2, power2, dwell-time2
 | ...
 | freqN, powerN, dwell-timeN
HorizontalRuleSm
 | [:SOURce]:LIST:LOAD LIST_NAME.CSV
Examples | :LIST:LOAD LIST_NAME
 | [:source]:list:load list_name
HorizontalRuleSm
Query Syntax | [:SOURce]:LIST:LOAD LIST_NAME?
Return Type | Integer
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command LIST:LOAD to load a file from a directory in the Model 2910-VSG, a USB memory stick inserted in the Model 2910-VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
List User (default) | filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:LIST:SETTle

Queries all hardware settle times for each step in a list mode sweep. See the following topics:

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode
HorizontalRuleSm
 | [:SOURce]:LIST:SETTle?
Examples | :LIST:SETT?
 | [:source]:list:settle?
HorizontalRuleSm
Return Type | Integers, separated by commas, values in seconds.
HorizontalRuleSm
Default | n/a

[:SOURce]:LIST[:STATE]

Switches the list mode sweep on and off. See the following topics:

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode
HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the list mode.
 | OFF (or 0) switches off the list mode.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:LIST[:STATE] ON
Examples | :LIST ON
 | [:source]:list[:state] on
HorizontalRuleSm
Query Syntax | [:SOURce]:LIST[:STATE]?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)


:SOURce:MODulation

Controls source modulation IQ offset, gain and phase.

Select a blue link to view the command details:

  • :SOURce:MODulation:IGAin
  • :SOURce:MODulation:IOFFset
  • :SOURce:MODulation:IQGain
  • :SOURce:MODulation:QGAin
  • :SOURce:MODulation:QOFFset
  • :SOURce:MODulation:QPHase

:SOURce:MODulation:IGAin

Set the I channel Gain Adjustment (DAC value).

Query | Return | Set | Special | Units
yes | NRf | NRf | Max | Min | Def | none

:SOURce:MODulation:IOFFset

Set the I channel DC Offset Adjustment (DAC value).

Query | Return | Set | Special | Units
yes | NRf | NRf | Max | Min | Def | none

:SOURce:MODulation:IQGain

Set the I and Q Coarse channel Gain Adjustments (DAC value).

Query | Return | Set | Special | Units
yes | NRf | NRf | Max | Min | Def | none

:SOURce:MODulation:QGAin

Set the Q channel Gain Adjustment (DAC value).

Query | Return | Set | Special | Units
yes | NRf | NRf | Max | Min | Def | none

:SOURce:MODulation:QOFFset

Set the Q channel DC Offset Adjustment (DAC value).

Query | Return | Set | Special | Units
yes | NRf | NRf | Max | Min | Def | none

:SOURce:MODulation:QPHase

Set the IQ phase adjustment.

Query | Return | Set | Special | Units
yes | NRf | NRf | Max | Min | Def | degrees


[:SOURce]:NOISe

Controls the noise modulation.

Select a blue link to view the command details:

  • [:SOURce]:NOISe[:BWIDth]
  • [:SOURce]:NOISe:STATe

Also see Noise modulation.

[:SOURce]:NOISe[:BWIDth]

Sets the noise modulation bandwidth. See Noise modulation.

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (2 MHz).
 | MINimum sets the minimum allowable value (1 KHz).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:NOISe[:BWIDth] MAXimum
Examples | :NOIS MAX
 | [:source]:noise[:bwidth] maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:NOISe[:BWIDth]?
Return Type | Integer
HorizontalRuleSm
Default | 1 kHz

[:SOURce]:NOISe:STATe

Switches noise modulation on and off. See Noise modulation.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the noise modulation.
 | OFF (or 0) switches off the noise modulation.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:NOISe:STATe ON
Examples | :NOIS:STAT ON
 | [:source]:noise:state 1
HorizontalRuleSm
Query Syntax | [:SOURce]:NOISe:STATe?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)

[:SOURce]:PHASe:ADJust

Adjust carrier phase. Not valid for Model 2910 VSG.

Query | Return | Set | Special | Units
yes | NR2 | NRf | Max | Min | Def | degrees

For further information see: Carrier Phase


[:SOURce]:PM

Controls the source phase modulation. Also see Phase modulation (PM).

Select a blue link to view the command details:

  • [:SOURce]:PM[:DEViation]
  • [:SOURce]:PM:INTernal:FREQuency
  • [:SOURce]:PM:STATe

Also see Phase modulation (PM).

[:SOURce]:PM[:DEViation]

Sets the phase modulation deviation. See Phase modulation (PM).

HorizontalRuleSm
Units | Radians
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
no | MAXimum sets the maximum allowable value (100).
 | MINimum sets the minimum allowable value (0).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:PM[:DEViation] MAXimum
Examples | :PM MAX
 | [:source]:pm[:deviation] maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:PM[:DEViation]?
Return Type | Integer
HorizontalRuleSm
Default | 0.00

[:SOURce]:PM:INTernal:FREQuency

Sets the phase modulation rate (frequency). See Phase modulation (PM).

HorizontalRuleSm
Units | Hz
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
no | MAXimum sets the maximum allowable value (100 kHz).
 | MINimum sets the minimum allowable value (1 Hz).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:PM:INTernal:FREQuency MAXimum
Examples | :PM:INT:FREQ MAX
 | :pm:internal:frequency maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:PM:INTernal:FREQuency?
Return Type | Integer
HorizontalRuleSm
Default | 1000

[:SOURce]:PM:STATe

Switches the phase modulation on and off. See Phase modulation (PM).

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the phase modulation.
 | OFF (or 0) switches off the phase modulation.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:PM:STATe ON
Examples | :PM:STAT ON
 | [:source]:pm:state 0
HorizontalRuleSm
Query Syntax | [:SOURce]:PM:STATe?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)


[:SOURce]:POWer:ALC

Controls the source power automatic leveling control (ALC).

Select a blue link to view the command details:

  • [:SOURce]:POWer:ALC:CWAVe:TYPE
  • [:SOURce]:POWer:ALC:CWAVe[:STATe]
  • [:SOURce]:POWer:ALC:MODulation:TYPE
  • [:SOURce]:POWer:ALC:MODulation[:STATe]
  • [:SOURce]:POWer:ALC:SHOLd:REFResh

Also see ALC (automatic leveling control).

[:SOURce]:POWer:ALC:CWAVe:TYPE

Sets the automatic leveling control (ALC) type when the RF output is a CW signal (Modulation OFF). See ALC (automatic leveling control).

HorizontalRuleSm
Parameters |
no | SHOLd activates the sample-and-hold ALC. Whenever the frequency or amplitude changes, the level control is activated. The amplitude settles. Then the level control is deactivated.
 | FAST sets a wide bandwidth (1000Hz). A wider bandwidth creates a quicker response (10x faster than medium) to changes in amplitude, providing faster settling. Yet, this also creates a slightly higher output level variability.
 | MEDium set a medium bandwidth (100Hz). A medium bandwidth creates a response that is 10x faster than the slow setting.
 | SLOW sets a narrow bandwidth (10Hz).
 | AUTO sets the automatic mode, which is the Fast setting.
 | MPOWer sets the maximum power mode.
HorizontalRuleSm
 | [:SOURce]:POWer:ALC:CWAVe:TYPE MEDium
Examples | :POW:ALC:CWAV:TYPE DEF
 | [:source]:power:alc:cwave:type medium
HorizontalRuleSm
Query Syntax | [:SOURce]:POWer:ALC:CWAVe:TYPE?
Return Type | String
HorizontalRuleSm
Default | Auto

[:SOURce]:POWer:ALC:CWAVe[:STATe]

Switches the ALC on and off when the RF output is a CW signal (Modulation OFF). See ALC (automatic leveling control).

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches the ALC mode on.
 | OFF (or 0) switches the ALC mode off.
 | DEFault returns to the default (preset) mode, which is the ON setting.
HorizontalRuleSm
 | [:SOURce]:POWer:ALC:CWAVe ON
Examples | :POW:ALC:CWAVe DEF
 | [:source]:power:alc:cwave off
HorizontalRuleSm
Query Syntax | [:SOURce]:POWer:ALC:CWAVe?
Return Type | Boolean (1 or 0)
HorizontalRuleSm
Default | ON (or 1)

[:SOURce]:POWer:ALC:MODulation:TYPE

Sets the automatic leveling control (ALC) type when the RF output signal is a modulated waveform (Modulation ON). See ALC (automatic leveling control).

HorizontalRuleSm
Parameters |
no | SHOLd activates the sample-and-hold ALC. Whenever the frequency or amplitude changes, the modulation switches off momentarily and the level control is activated. The amplitude settles. Then the level control is deactivated and the modulation switches on again. The ALC should be set to sample-and-hold when modulation is enabled, especially when the modulation results in variable amplitude.
 | AUTO sets the automatic mode, which is the sample-and-hold setting.
 | DEFault sets the default mode, which is the AUTO (sample-and-hold) mode.
HorizontalRuleSm
 | [:SOURce]:POWer:ALC:MODulation:TYPE SHOLd
Examples | :POW:ALC:MOD:TYPE SHOL
 | [:source]:power:alc:modulation:type default
HorizontalRuleSm
Query Syntax | [:SOURce]:POWer:ALC:MODulation:TYPE?
Return Type | String
HorizontalRuleSm
Default | Auto

[:SOURce]:POWer:ALC:MODulation[:STATe]

Switches the ALC on and off when the RF output is a modulated waveform (Modulation ON). See ALC (automatic leveling control).

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches the ALC mode on.
 | OFF (or 0) switches the ALC mode off.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:POWer:ALC:MODulation ON
Examples | :POW:ALC:MOD DEF
 | [:source]:power:alc:modulation off
HorizontalRuleSm
Query Syntax | [:SOURce]:POWer:ALC:MODulation?
Return Type | Boolean (1 or 0)
HorizontalRuleSm
Default | ON (or 1)

[:SOURce]:POWer:ALC:SHOLd:REFResh

Refreshes the sample-and-hold mode, if enabled. See ALC (automatic leveling control).

HorizontalRuleSm
 | [:SOURce]:POWer:ALC:SHOLd:REFResh
Examples | :POW:ALC:SHOL:REFR
 | [:source]:power:alc:shold:refresh
HorizontalRuleSm
Default | n/a


[:SOURce]:POWer

Controls the source power.

Select a blue link to view the command details:

  • [:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]
  • [:SOURce]:POWer:STARt
  • [:SOURce]:POWer:STOP
  • [:SOURce]:POWer:ALC

Also see To set up a frequency or power sweep.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]

Sets the power value for non-swept power.

HorizontalRuleSm
Units | dBm
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (13 dBm).
 | MINimum sets the minimum allowable value (-130 dBm).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude] 3
Examples | :POW MAX
 | :power default
HorizontalRuleSm
Query Syntax | [:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]?
Return Type | Integer
HorizontalRuleSm
Default | -10.00 dBm

[:SOURce]:POWer:STARt

Sets the start power value for a power sweep. See To set up a frequency or power sweep.

HorizontalRuleSm
Units | dBm
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (13 dBm).
 | MINimum sets the minimum allowable value (-130 dBm).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:POWer:STARt MAXimum
Examples | :POW:STAR MIN
 | :power:start minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:POWer:STARt?
Return Type | Integer
HorizontalRuleSm
Default | 0.00 dBm

[:SOURce]:POWer:STOP

Sets the stop power value for a power sweep. See To set up a frequency or power sweep.

HorizontalRuleSm
Units | dBm
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (13 dBm).
 | MINimum sets the minimum allowable value (-130 dBm).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:POWer:STOP MAXimum
Examples | :POW:STOP MIN
 | :power:stop minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:POWer:STOP?
Return Type | Integer
HorizontalRuleSm
Default | 0.00 dBm


[:SOURce]:PSK

Controls the PSK (phase-shift-keying) digital modulation.

Select a blue link to view the command details:

  • [:SOURce]:PSK:DENCoding
  • [:SOURce]:PSK:FILTer
  • [:SOURce]:PSK:LOAD
  • [:SOURce]:PSK:PATTern
  • [:SOURce]:PSK:PATTern:INVert
  • [:SOURce]:PSK:SPS
  • [:SOURce]:PSK:STATe
  • [:SOURce]:PSK:STYPe

Also see PSK (phase-shift-keying).

[:SOURce]:PSK:DENCoding

Enables and disables the PSK (phase-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See PSK (phase-shift-keying).

HorizontalRuleSm
Parameters |
no | ON enables the PSK modulation differential encoding.
 | OFF disables the PSK modulation differential encoding.
 | 0 disables the PSK modulation differential encoding.
 | 1 enables the PSK modulation differential encoding..
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:PSK:DENCoding ON
Examples | :PSK:DEN 1
 | :psk:dencoding 1
HorizontalRuleSm
Query Syntax | [:SOURce]:PSK:DENCoding?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:PSK:FILTer

Sets the filter type for PSK (phase-shift-keying) modulation, and optionally the filter factor for PSK modulation. NRZ and WIDeband do not have a filter factors.

See PSK (phase-shift-keying).

HorizontalRuleSm
Parameters |
no | NRZ selects the non-return-to-zero filter shape.
 | RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
 | RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
 | GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
 | WIDeband applies no filter.
 | DEFault returns to the default (preset) mode. MINimum sets the minimum value for the filter factor. NRZ and WIDeband do not have a filter factors. MAXimum sets the maximum value for the filter factor. NRZ and WIDeband do not have a filter factors.
HorizontalRuleSm
 | [:SOURce]:PSK:FILTer RC
Examples | :PSK:FILT GAUS,MIN
 | :psk:filter gaussian,minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:PSK:FILTer?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:PSK:LOAD

Selects the PSK (phase-shift-keying) modulation waveform that gets loaded in the instrument. If no filename is specified, the current PSK parameter settings are loaded. A query returns the filename, if the PSK modulation is enabled. See PSK (phase-shift-keying).

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform. You can optionally specify the file extension (*.csv).
HorizontalRuleSm
 | [:SOURce]:PSK:LOAD FSKmod1.csv
Examples | :PSK:LOAD FSKmod1
 | :psk:load fskmod1
HorizontalRuleSm
Query Syntax | [:SOURce]:PSK:LOAD?
Return Type | String
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command [:SOURce]:PSK:LOAD to load a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
PSK User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:PSK:PATTern

Sets the data pattern for the PSK (phase-shift-keying) modulation bit sequence. See PSK (phase-shift-keying).

HorizontalRuleSm

Parameters

no

PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.

COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.

ALTernating [,<NRf>|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

DEFault returns to the default (preset) mode.

[:SOURce]:PSK:PATTern DEFault sets the pattern type to PRBS and keeps the current length setting.

[:SOURce]:PSK:PATTern DEFault,DEFault sets the pattern type to PRBS and the length to PN9.

[:SOURce]:PSK:PATTern COUNt sets the pattern type to count and the value is set to the number of symbols in the constellation diagram.

[:SOURce]:PSK:PATTern ALTernating,DEFault set the pattern type to alternating and the pattern length to 1 (101010...).

HorizontalRuleSm

[:SOURce]:PSK:PATTern

Examples

:PSK:PATT

:psk:pattern

HorizontalRuleSm

Query Syntax

[:SOURce]:PSK:PATTern? returns the current pattern type and the length for that pattern.

[:SOURce]:PSK:PATTern? DEFault returns the default pattern type and the current length for that type.

[:SOURce]:PSK:PATTern? DEFault,DEFault returns the default pattern and the default length for that type.

Return Type

String

HorizontalRuleSm

Default

[:SOURce]:PSK:PATTern:INVert

Controls the PSK (phase-shift-keying) modulation data pattern inversion. See PSK (phase-shift-keying).

HorizontalRuleSm
Parameters |
no | ON (or 1) changes 0 to 1 and 1 to 0 in the data pattern.
 | OFF (or 0) keeps the data pattern in the original state.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:PSK:PATTern:INVert ON
Examples | :PSK:PATT:INV 1
 | :psk:pattern:invert 1
HorizontalRuleSm
Query Syntax | [:SOURce]:PSK:PATTern:INVert?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:PSK:SPS

Sets the speed at which data symbols are transmitted for PSK (phase-shift-keying) modulation. See PSK (phase-shift-keying).

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value.
 | MINimum sets the minimum allowable value.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:PSK:SPS MINimum
Examples | :PSK:SPS MIN
 | :psk:sps minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:PSK:SPS?
Return Type | Integer
HorizontalRuleSm
Default |

[:SOURce]:PSK:STATe

Turns PSK modulation on/off.

Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none

[:SOURce]:PSK:STYPe

Specifies the symbol type for PSK (phase-shift-keying) modulation. See PSK (phase-shift-keying).

HorizontalRuleSm
Parameters |
no | BPSK sets the symbol type to binary phase-shift-keying (BPSK) that uses two phases which are separated by 180°.
 | QPSK sets the symbol type to quaternary or quadriphase phase-shift-keying (QPSK) that uses four phases or points on the constellation diagram, equally spaced around a circle.
 | OQPSK sets the symbol type to offset quaternary or quadriphase phase-shift-keying (OQPSK) that delays one of the two symbol components (in-phase and quadrature) by the duration of half a symbol (one bit).
 | PFQPsk sets the symbol type to a version of QPSK that uses two identical constellations which are rotated by 45° (? /4 radians) with respect to one another.
 | TPFQsk sets the symbol type to a version of QPSK that uses two identical constellations which are rotated by 135° (3? /4 radians) with respect to one another.
 | PSK8 sets the symbol type to eight phase-shift-keying (8PSK) that uses eight phases or points on the constellation diagram, equally spaced around a circle.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:PSK:STYPe PSK8
Examples | :PSK:STYP DEF
 | :psk:stype pfqpsk
HorizontalRuleSm
Query Syntax | [:SOURce]:PSK:STYPe?
Return Type | String
HorizontalRuleSm
Default |


[:SOURce]:PULM

Controls the pulse modulation.

Select a blue link to view the command details:

  • [:SOURce]:PULM[:DCYCle]
  • [:SOURce]:PULM:INTernal:FREQuency
  • [:SOURce]:PULM:STATe

Also see Pulse modulation.

[:SOURce]:PULM[:DCYCle]

Set the pulse modulation duty cycle. See Pulse modulation.

HorizontalRuleSm
Units | percent
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (100%).
 | MINimum sets the minimum allowable value (0%).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:PULM[:DCYCle] MINimum
Examples | :PULM MAX
 | :pulm default
HorizontalRuleSm
Query Syntax | [:SOURce]:PULM[:DCYCle]?
Return Type | Integer
HorizontalRuleSm
Default | 50%

[:SOURce]:PULM:INTernal:FREQuency

Sets the pulse modulation frequency (rate). See Pulse modulation.

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (100 kHz).
 | MINimum sets the minimum allowable value (0 Hz).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:PULM:INTernal:FREQuency DEFault
Examples | :PULM:INT:FREQ MAX
 | :pulm:internal:frequency default
HorizontalRuleSm
Query Syntax | [:SOURce]:PULM:INTernal:FREQuency DEFault?
Return Type | Integer
HorizontalRuleSm
Default | 1000

[:SOURce]:PULM:STATe

Switches the pulse modulation on and off. See Pulse modulation.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the phase modulation.
 | OFF (or 0) switches off the phase modulation.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:PULM:STATe MAXimum
Examples | :PULM:STAT DEF
 | :pulm:state minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:PULM:STATe MAXimum?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)


[:SOURce]:QAM

Controls the QAM (quadrature-amplitude-modulation) digital modulation. Select a blue link to view the command details:

  • [:SOURce]:QAM:DENCoding
  • [:SOURce]:QAM:FILTer
  • [:SOURce]:QAM:LOAD
  • [:SOURce]:QAM:PATTern
  • [:SOURce]:QAM:PATTern:INVert
  • [:SOURce]:QAM:SPS
  • [:SOURce]:QAM:STATe
  • [:SOURce]:QAM:STYPe

Also see QAM (quadrature-amplitude-modulation).

[:SOURce]:QAM:DENCoding

Enables and disables the QAM (quadrature-amplitude-modulation) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See QAM (quadrature-amplitude-modulation).

HorizontalRuleSm
Parameters |
no | ON (or 1) enables the QAM modulation differential encoding.
 | OFF (or 0) disables the QAM modulation differential encoding.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:QAM:DENCoding ON
Examples | :QAM:DEN 1
 | :qam:dencoding 1
HorizontalRuleSm
Query Syntax | [:SOURce]:QAM:DENCoding?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:QAM:FILTer

Sets the filter type for QAM (quadrature-amplitude-modulation) digital modulation, and optionally the filter factor for QAM modulation. NRZ and WIDeband do not have a filter factors.

See QAM (quadrature-amplitude-modulation).

HorizontalRuleSm
Parameters |
no | NRZ selects the non-return-to-zero filter shape.
 | RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
 | RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
 | GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
 | WIDeband applies no filter.
 | DEFault returns to the default (preset) mode. MINimum sets the minimum value for the filter factor. NRZ and WIDeband do not have a filter factors. MAXimum sets the maximum value for the filter factor. NRZ and WIDeband do not have a filter factors.
HorizontalRuleSm
 | [:SOURce]:QAM:FILTer RC
Examples | :QAM:FILT GAUS,MIN
 | :qam:filter gaussian,minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:QAM:FILTer?
 | [:SOURce]:QAM:FILTer RC,MINimum?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:QAM:LOAD

Selects the QAM (quadrature-amplitude-modulation) modulation waveform that gets loaded in the instrument. If no filename is specified, the current QAM parameter settings are loaded. A query returns the filename, if the QAM modulation is enabled. See QAM (quadrature-amplitude-modulation).

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform. You can optionally specify the file extension (*.csv).
HorizontalRuleSm
 | [:SOURce]:QAM:LOAD QAMmod1.csv
Examples | :QAM:LOAD QAMmod1
 | :qam:load qammod1
HorizontalRuleSm
Query Syntax | [:SOURce]:QAM:LOAD?
Return Type | String
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command [:SOURce]:QAM:LOAD to load a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
QAM User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:QAM:PATTern

Sets the data pattern for the QAM (quadrature-amplitude-modulation) modulation bit sequence. See QAM (quadrature-amplitude-modulation).

HorizontalRuleSm

Parameters

no

PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.

COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.

ALTernating [,<NRf>|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

DEFault returns to the default (preset) mode.

[:SOURce]:QAM:PATTern DEFault sets the pattern type to PRBS and keeps the current length setting.

[:SOURce]:QAM:PATTern DEFault,DEFault sets the pattern type to PRBS and the length to PN9.

[:SOURce]:QAM:PATTern COUNt sets the pattern type to count and the value is set to the number of symbols in the constellation diagram.

[:SOURce]:QAM:PATTern ALTernating,DEFault set the pattern type to alternating and the pattern length to 1 (101010...).

HorizontalRuleSm

[:SOURce]:QAM:PATTern PRBS

Examples

:QAM:PATT ALT

:qam:pattern count

HorizontalRuleSm

Query Syntax

[:SOURce]:QAM:PATTern? returns the current pattern type and the length for that pattern.

[:SOURce]:QAM:PATTern? DEFault returns the default pattern type and the current length for that type.

[:SOURce]:QAM:PATTern? DEFault,DEFault returns the default pattern and the default length for that type.

Return Type

String

HorizontalRuleSm

Default

[:SOURce]:QAM:PATTern:INVert

Controls the QAM (quadrature-amplitude-modulation) modulation data pattern inversion. See QAM (quadrature-amplitude-modulation).

HorizontalRuleSm
Parameters |
no | ON (or 1) changes 0 to 1 and 1 to 0 in the data pattern.
 | OFF (or 0) keeps the data pattern in the original state.
 | DEFault -- returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:QAM:PATTern:INVert ON
Examples | :QAM:PATT:INV 1
 | :qam:pattern:invert 1
HorizontalRuleSm
Query Syntax | [:SOURce]:QAM:PATTern:INVert?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:QAM:SPS

Sets the speed at which data symbols are transmitted for QAM (quadrature-amplitude-modulation) modulation. See QAM (quadrature-amplitude-modulation).

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value.
 | MINimum sets the minimum allowable value.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:QAM:SPS MINimum
Examples | :QAM:SPS MIN
 | :qam:sps minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:QAM:SPS?
Return Type | Integer
HorizontalRuleSm
Default |

[:SOURce]:QAM:STATe

Turns QAM modulation on/off.

Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none

[:SOURce]:QAM:STYPe

Specifies the symbol type for QAM (quadrature-amplitude-modulation) modulation. See QAM (quadrature-amplitude-modulation).

HorizontalRuleSm
Parameters |
no | QAM16 sets the symbol type to quadrature amplitude modulation (QAM) that uses 16 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.
 | QAM32 sets the symbol type to quadrature amplitude modulation (QAM) that uses 32 phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing.
 | QAM64 sets the symbol type to quadrature amplitude modulation (QAM) that uses 64 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.
 | QAM128 sets the symbol type to quadrature amplitude modulation (QAM) that uses 128 phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing.
 | QAM256 quadrature amplitude modulation (QAM) uses 256 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:QAM:STYPe QAM16
Examples | :QAM:STYP DEF
 | :qam:stype qam256
HorizontalRuleSm
Query Syntax | [:SOURce]:QAM:STYPe?
Return Type | String
HorizontalRuleSm
Default |


[:SOURce]:RADio:ARB

Controls the arbitrary waveform settings.

Select a blue link to view the command details:

  • [:SOURce]:RADio:ARB:COPY
  • [:SOURce]:RADio:ARB:DELete
  • [:SOURce]:RADio:ARB:EIQ
  • [:SOURce]:RADio:ARB:LIST?
  • [:SOURce]:RADio:ARB:MEM?
  • [:SOURce]:RADio:ARB:OPEN
  • [:SOURce]:RADio:ARB:PLAY
  • [:SOURce]:RADio:ARB:SEQuence:FREQuency
  • [:SOURce]:RADio:ARB:SEQuence:POWer
  • [:SOURce]:RADio:ARB:SEQuence:OPEN
  • [:SOURce]:RADio:ARB:SEQuence:STARt
  • [:SOURce]:RADio:ARB:SEQuence:STATe
  • [:SOURce]:RADio:ARB:SEQuence:STOP
  • [:SOURce]:RADio:ARB:SEQuence:SWEep
  • [:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE
  • [:SOURce]:RADio:ARB:ROW
  • [:SOURce]:RADio:ARB:SRATe
  • [:SOURce]:RADio:ARB:STATe

See a programming example.

Also see Arbitrary waveforms.

[:SOURce]:RADio:ARB:COPY

Copies the currently playing digital modulation to the arbitrary modulation table. See Arbitrary waveform procedures.

HorizontalRuleSm
 | [:SOURce]:RADio:ARB:COPY
Examples | :RAD:ARB:COPY
 | :radio:arb:copy
HorizontalRuleSm
Default | Not applicable

[:SOURce]:RADio:ARB:DELete

Specifies the arbitrary waveform to delete. When you delete a waveform from the table, all the remaining waveform files, below the deleted file, move up a row in the table to fill the empty row. See Arbitrary waveform procedures.

HorizontalRuleSm
Parameters |
<string> | Row number deletes the arbitrary waveform file in the modulation table row specified.
 | ALL deletes all files in the ARB directory, including all subdirectories.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:DELete 3
Examples | :RAD:ARB:DEL 3
 | :radio:arb:delete all
HorizontalRuleSm
Default | n/a

[:SOURce]:RADio:ARB:EIQ

Enables and disables the external IQ modulation.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the external IQ modulation.
 | OFF (or 0) switches off the external IQ modulation.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:EIQ 1
Examples | :RAD:ARB:EIQ ON
 | [:source]:radio:arb:eiq off
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:EIQ?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)

[:SOURce]:RADio:ARB:LIST?

Queries the arbitrary modulation table and returns a list of the entire table contents. See Arbitrary waveform procedures.

HorizontalRuleSm
 | [:SOURce]:RADio:ARB:LIST?
Examples | :RAD:ARB:LIST?
 | :radio:arb:list?
HorizontalRuleSm
Return Type | Each row, comma separated.
Default | n/a

[:SOURce]:RADio:ARB:MEM?

Queries how many arbitrary samples are currently available. See Arbitrary waveform procedures.

HorizontalRuleSm
 | [:SOURce]:RADio:ARB:MEM?
Examples | :RAD:ARB:MEM?
 | :radio:arb:mem?
HorizontalRuleSm
Return Type | Integer
HorizontalRuleSm
Default | n/a

[:SOURce]:RADio:ARB:OPEN

Copies the specified waveform file into arbitrary memory. However, this command does not playback the waveform. See Arbitrary waveform procedures.

HorizontalRuleSm
Units | Hz
Parameters |
<string> | "file path" selects the file to load for the arbitrary waveform.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:OPEN "file path"
Examples | :RAD:ARB:OPEN "file path"
 | :radio:arb:open "file path"
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command RADio:ARB:OPEN to open a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900VSG, or another computer directory. To open a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
Arbitrary User (default) | filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:RADio:ARB:PFACtor

Sets the power factor for the selected arbitrary waveform file. See Arbitrary waveform procedures.

HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value.
 | MINimum sets the minimum allowable value.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:PFACtor MAXimum
Examples | :RAD:ARB:PFAC MIN
 | :radio:arb:pfactor minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:PFACtor?
Return Type | Integer
HorizontalRuleSm
Default |

[:SOURce]:RADio:ARB:PLAY

Starts to playback the arbitrary waveform file. See Arbitrary waveform procedures.

HorizontalRuleSm
Parameters |
no | Name or row specifies the file name or the row number of the arbitrary waveform to playback.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:PLAY 4
Examples | :RAD:ARB:PLAY "file name"
 | :radio:arb:play 4
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:PLAY?
Return Type | string
HorizontalRuleSm
Default | Value of the last sample in the file.

[:SOURce]:RADio:ARB:SEQuence:POWer

Allows overriding current Arb Seq power.

Query | Return | Set | Special | Units
no | NRf | NRf | Max | Min | Def | Hz

See also: To playback a sequence of arbitrary waveforms

[:SOURce]:RADio:ARB:ROW

Makes the indicated row in the arbitrary modulation table active. This is useful for changing the sample rate after the waveform is loaded. See Arbitrary waveform procedures.

Note: Row numbering starts with 1, not 0. Row 1 is the top most row.

HorizontalRuleSm
Parameters |
no | row specifies the row to make active.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:ROW 4
Examples | :RAD:ARB:ROW 4
 | :radio:arb:row 4
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:ROW?
Return Type | Character: Returns current row, comma separated values. The order is the row number, the waveform name in quotes, the sample rate, then the number of samples.
HorizontalRuleSm
Default | n/a

[:SOURce]:RADio:ARB:SEQuence:FREQuency

Allows overriding current Arb Seq frequency

Query | Return | Set | Special | Units
no | NRf | NRf | Max | Min | Def | Hz

See also: To playback a sequence of arbitrary waveforms

[:SOURce]:RADio:ARB:SEQuence:OPEN

Opens the specified sequence file and loads it in the Series 2900 VSG arbitrary sequence memory. See Arbitrary waveform procedures.

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected sequence file. You can optionally specify the file extension (*.csv).
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:SEQuence:OPEN TRIALMOD1.CSV
Examples | :RAD:ARB:SEQ:OPEN TRIALMOD1
 | :radio:arb:sequence:open trialmod1
HorizontalRuleSm

Example:

You can use the programming command [:SOURce]:RADio:ARB:SEQuence:OPEN to open and load a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory Path in Programming Message
ARB User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:RADio:ARB:SEQuence:STARt

Starts to playback the sequence file that is loaded in the Series 2900 VSG arbitrary sequence memory. See Arbitrary waveform procedures.

HorizontalRuleSm
 | [:SOURce]:RADio:ARB:SEQuence:STARt
Examples | :RAD:ARB:SEQ:STAR
 | :radio:arb:sequence:start

[:SOURce]:RADio:ARB:SEQuence:STATe

Enables and disables the arbitrary sequence playback. See Arbitrary waveform procedures.

HorizontalRuleSm
Parameters |
no | ON enables the arbitrary sequence playback.
 | OFF disables the arbitrary sequence playback.
 | 0 disables the arbitrary sequence playback.
 | 1 enables the arbitrary sequence playback.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:SEQuence:STATe ON
Examples | :RAD:ARB:SEQ:STAT 1
 | :radio:arb:sequence:state 1
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:SEQuence:STATe?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:RADio:ARB:SEQuence:STOP

Stops the sequence file that is playing back. See Arbitrary waveform procedures.

HorizontalRuleSm
 | [:SOURce]:RADio:ARB:SEQuence:STOP
Examples | :RAD:ARB:SEQ:STOP
 | :radio:arb:sequence:stop

[:SOURce]:RADio:ARB:SEQuence:SWEep

Selects whether the arbitrary waveform sequence file plays once or continuously. See Arbitrary waveform procedures.

HorizontalRuleSm
Parameters |
no | SINGle sets the arbitrary waveform sequence file to play a single time.
 | CONTinuous sets the arbitrary waveform sequence file to play continuously.
 | AREStart sets the arbitrary waveform sequence to restart.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:SEQuence:SWEep SINGle
Examples | :RAD:ARB:SEQ:SWE CONT
 | :radio:arb:sequence:sweep continuous
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:SEQuence:SWEep?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE

Selects whether a trigger is required to start the arbitrary waveform sequence file and/or to proceed to the next step in the sequence. See Arbitrary waveform procedures.

HorizontalRuleSm
Parameters |
no | STEP requires a trigger to proceed to the next step in the sequence.
 | SSTep requires a trigger to start the sequence file and to proceed to the next step in the sequence.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE SSTep
Examples | :RAD:ARB:SEQ:TRIG:MODE DEF
 | :radio:arb:sequence:trigger:mode default
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:RADio:ARB:SRATe

Sets the sample rate for the arbitrary waveform file in the current row. Changes to the sample rate take effect immediately. See Arbitrary waveform procedures.

HorizontalRuleSm
Units | Hz
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (50 MHz).
 | MINimum sets the minimum allowable value (78.125 kHz).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:SRATe
Examples | :RAD:ARB:SRAT MAX
 | :radio:arb:srate default
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:SRATe?
Return Type | Integer
HorizontalRuleSm
Default | 5 MHz

[:SOURce]:RADio:ARB:STATe

Switches the arbitrary waveform playback on and off. See Arbitrary waveform procedures.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the automatic leveling control.
 | OFF (or 0) switches off the automatic leveling control.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:RADio:ARB:STATe 1
Examples | :RAD:ARB:STAT ON
 | [:source]:radio:arb:state off
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:ARB:STATe?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)

Examples: arbitrary waveform

This example shows how to select a waveform, play it, and then delete the waveform.

RAD:ARB:OPEN "waveform1.arb", 2.5e6; | Specify file name and sample rate. This copies the waveform into arb memory, but does not play it.
RAD:ARB:PLAY "waveform1"; | Tell instrument play the waveform back.
RAD:ARB:DEL "waveform1" | When you are finished, delete the waveform.

If there is a possibility that a waveform with the same name is already loaded, you can use integers to specify the waveform number. The integers start at 1.

Note: Integers become invalid when a record is deleted and the waveforms at the bottom of the table are rippled up.

This example shows how to specify a file name and sample rate and then copy it into arb memory for playback.

RAD:ARB:OPEN "waveform1.arb", 2.5e6; | Specifies file name and sample rate. Also copies the waveform into arb memory, but does not play it.
RAD:ARB:ROW? | This returns a comma separated string, for example: 1, "waveform1", 2500000, 1001 The first value is the row number.
RAD:ARB:PLAY 1 | Playback waveform 1.
RAD:ARB:DEL 1 | Delete waveform 1.


[:SOURce]:RADio:CDMA:LOAD

Selects the CDMA waveform that gets loaded in the instrument. See cdma2000 forward link.

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform.
HorizontalRuleSm
 | [:SOURce]:RADio:CDMA:LOAD
Examples | :RAD:CDMA:LOAD
 | :radio:cdma:load
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:CDMA:LOAD?
Return Type | String
HorizontalRuleSm
Default | Not applicable.

Example:

You can use the programming command RADio:CDMA:LOAD to load a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
cdma2000 Reference (default) | filename
cdma2000 User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

Note: All modulation waveform Reference directories in the Series 2900 VSG are read-only.


[:SOURce]:RADio:GPS

Controls the global positioning system (GPS) settings.

Select a blue link to view the command details:

  • [:SOURce]:RADio:GPS:CACode
  • [:SOURce]:RADio:GPS:DSHift
  • [:SOURce]:RADio:GPS:PATTern
  • [:SOURce]:RADio:GPS:PATTern:OPEN
  • [:SOURce]:RADio:GPS:STATe

Also see GPS Modulation.

[:SOURce]:RADio:GPS:CACode

Sets the GPS C/A code. The range is from 1 to 37. For details on GPS modulation, see GPS Modulation.

HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value.
 | MINimum sets the minimum allowable value.
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:RADio:GPS:CACode MAXimum
Examples | :RAD:GPS:CAD MAX
 | :radio:gps:cacode maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:GPS:CACode?
Return Type | Integer
HorizontalRuleSm
Default |

[:SOURce]:RADio:GPS:DSHift

Sets the value of the GPS Doppler shift. The range is ±10 kHz. For details on GPS modulation, see GPS Modulation.

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (+10 kHz).
 | MINimum sets the minimum allowable value (–10 kHz).
 | DEFault sets the default (or preset) value (0 kHz).
HorizontalRuleSm
 | [:SOURce]:RADio:GPS:DSHift MINimum
Examples | :RAD:GPS:DSH MIN
 | :radio:gps:dshift minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:GPS:DSHift?
Return Type | Integer
HorizontalRuleSm
Default |

[:SOURce]:RADio:GPS:PATTern

Sets the data pattern for the GPS (global positioning system) modulation. For details on GPS modulation, see GPS Modulation.

HorizontalRuleSm
Parameters |
no | AONes sets the data pattern to be all binary 1s.
 | ASERos sets the data pattern to be all binary 0s.
 | PN9 sets the data pattern to be a PN9 pseudorandom binary sequence.
 | PN15 sets the data pattern to be a PN15 pseudorandom binary sequence.
 | SQuare1 sets the data pattern to 01.
 | SQuare2 sets the data pattern to 0011.
 | SQuare4 sets the data pattern to 00001111.
 | SQuare8 sets the data pattern to 0000000011111111.
 | SQuare16 sets the data pattern to 0000000000000000111111111111.
 | USER sets the data pattern to the contents of a user-provided file.
 | DEFault returns to the default (preset) data pattern of PN9.
HorizontalRuleSm
 | [:SOURce]:RADio:GPS:PATTern AONes
Examples | :RAD:GPS:PATT SQ2
 | :radio:gps:pattern square16
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:GPS:PATTern?
Return Type | String
HorizontalRuleSm
Default | PN9

[:SOURce]:RADio:GPS:PATTern:OPEN

Selects the user-provided data pattern file for the GPS (global positioning system) modulation that gets loaded in the instrument. If no filename is specified, the current GPS parameter settings are loaded. A query returns the filename, if the GPS modulation is enabled. For details on GPS modulation, see GPS Modulation.

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform. You can optionally specify the file extension (*.csv).
HorizontalRuleSm
 | [:SOURce]:RADio:GPS:PATTern:OPEN GPSmod1.csv
Examples | :RAD:GPS:PATT:OPEN GPSmod1
 | :radio:gps:pattern:open gpsmod1
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:GPS:PATTern:OPEN?
Return Type | String
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command [:SOURce]:RADio:GPS:PATTern:OPEN to load a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
GPS User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:RADio:GPS:STATe

Enables and disables the global positioning system (GPS) modulation. For details on GPS modulation, see GPS Modulation.

HorizontalRuleSm
Parameters |
no | ON enables the GPS modulation.
 | OFF disables the GPS modulation.
 | 0 disables the GPS modulation.
 | 1 enables the GPS modulation.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:RADio:GPS:STATe ON
Examples | :RAD:GPS:STAT 1
 | :radio:gps:state 1
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:GPS:STATe?
Return Type | String
HorizontalRuleSm
Default |


[:SOURce]:RADio:GSM:LOAD

Selects the GSM waveform that gets loaded in the instrument. See GSM / EDGE.

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform. You can optionally specify the file extension (*.csv).
HorizontalRuleSm
 | [:SOURce]:RADio:GSM:LOAD GSM Data Timeslot 0.csv
Examples | :RAD:GSM:LOAD Timeslot 0
 | :radio:gsm:load timeslot 0
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:GSM:LOAD?
Return Type | String
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command RADio:GSM:LOAD to load a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
GSM / EDGE Reference (default) | filename
GSM / EDGE User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

Note: All modulation waveform Reference directories in the Series 2900 VSG are read-only.


[:SOURce]:RADio:WCDMa

Controls WCDMA waveforms and modulation.

Select a blue link to view the command details:

[:SOURce]:RADio:WCDMa:LOAD

[:SOURce]:RADio:WCDMa:STATe


[:SOURce]:RADio:WCDMa:LOAD

Selects the WCDMA waveform that gets loaded in the instrument. See W-CDMA / 3GPP downlink.

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform.
HorizontalRuleSm
 | [:SOURce]:RADio:WCDMa:LOAD
Examples | :RAD:WCDM:LOAD
 | :radio:wcdma:load
HorizontalRuleSm
Query Syntax | [:SOURce]:RADio:WCDMa:LOAD?
Return Type | String
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command RADio:WCDMa:LOAD to load a file from a directory in the Series 2900 VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
W-CDMA Reference (default) | filename
W-CDMA User | \User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

Note: All modulation waveform Reference directories in the Model 2910-VSG are read-only.

[:SOURce]:RADio:WCDMa:STATe

Turns WCDMA modulation on/off.

Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none


[:SOURce]:ROSCillator

Controls the reference oscillator settings.

Select a blue link to view the command details:

  • [:SOURce]:ROSCillator:EEVensecond:POLarity
  • [:SOURce]:ROSCillator:EXTernal:FREQuency
  • [:SOURce]:ROSCillator:SOURce

Also see REF IN and OUT connectors.

[:SOURce]:ROSCillator:EEVensecond:POLarity

Sets the polarity of the external even second reference.

HorizontalRuleSm
Parameters |
no | RISing sets the even second polarity to rising.
 | FALLing sets the even second polarity to falling.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:EEVensecond:POLarity RISing
Examples | :EEV:POL FALL
 | :eevensecond:polarity rising
HorizontalRuleSm
Query Syntax | [:SOURce]:EEVensecond:POLarity?
Return Type | String
HorizontalRuleSm
Default |

[:SOURce]:ROSCillator:EXTernal:FREQuency

Selects the external reference oscillator frequency. See REF IN and OUT connectors.

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (for example, 8), a real number (for example 28.6), or as an exponent (for example 2.3E6).
 | MAXimum sets the maximum allowable value (20 MHz).
 | MINimum sets the minimum allowable value (1 MHz).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:ROSCillator:EXTernal:FREQuency
Examples | :ROSC:EXT:FREQ MIN
 | :roscillator:external:frequency maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:ROSCillator:EXTernal:FREQuency?
Return Type | Integer
HorizontalRuleSm
Default | 10 MHz

[:SOURce]:ROSCillator:SOURce

Selects the source for the reference oscillator. See REF IN and OUT connectors.

HorizontalRuleSm
Parameters |
no | INTernal selects the internal oscillator for the reference oscillator.
 | EXTernal selects the External Reference Input as the reference oscillator.
 | EEVensecond selects the GPS clock input as the reference oscillator.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:ROSCillator:SOURce EXTernal
Examples | :ROSC:SOUR EXT
 | :roscillator:source external
HorizontalRuleSm
Query Syntax | [:SOURce]:ROSCillator:SOURce?
Return Type | String
HorizontalRuleSm
Default | INTernal


[:SOURce]:SWEep

Controls the stepped sweep settings.

Select a blue link to view the command details:

  • [:SOURce]:SWEep:DWELl
  • [:SOURce]:SWEep:SETTle?
  • [:SOURce]:SWEep:STEP
  • [:SOURce]:SWEep:STATe

Also see Sweep and signal generation and Sweep and signal operations.

[:SOURce]:SWEep:DWELl

Sets the dwell time for each step in a stepped sweep or list mode sweep. See Sweep and signal generation and Sweep and signal operations.

HorizontalRuleSm
Units | PS, NS, US, MS and S
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (1 second).
 | MINimum sets the minimum allowable value (0 second).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:SWEep:DWELl MAXimum
Examples | :SWE:DWEL MAX
 | :sweep:dwell maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:SWEep:DWELl?
Return Type | Integer
HorizontalRuleSm
Default | 0

[:SOURce]:SWEep:SETTle?

Queries for the longest settle time over the last sweep. See Sweep and signal generation and Sweep and signal operations.

HorizontalRuleSm
 | [:SOURce]:SWEep:SETTle?
Examples | :SWE:SETT?
 | [:source]:sweep:settle?
HorizontalRuleSm
Return Type | Integer
HorizontalRuleSm
Default | n/a

[:SOURce]:SWEep:STATe

Sets the source in a repetitive sweep mode, when on (or 1). When off (or 0), use a trigger to cause a single sweep. See Sweep and signal generation and Sweep and signal operations.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the repetitive sweep mode.
 | OFF (or 0) switches off the repetitive sweep mode.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:SWEep:STATe 1
Examples | :SWE:STAT ON
 | [:source]:sweep:state off
HorizontalRuleSm
Query Syntax | [:SOURce]:SWEep:STATe?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | ON (or 1)

[:SOURce]:SWEep:STEP

Sets the number of steps in a stepped sweep. See Sweep and signal generation and Sweep and signal operations.

HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (2000).
 | MINimum sets the minimum allowable value (2).
 | DEFault sets the default (or preset) value (201).
HorizontalRuleSm
 | [:SOURce]:SWEep:STEP MAXimum
Examples | :SWE:STEP MAX
 | :sweep:step maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:SWEep:STEP?
Return Type | Integer
HorizontalRuleSm
Default | 201


[:SOURce]:TTL

Controls the digital I/O settings.

Select a blue link to view the command details:

  • [:SOURce]:TTL:INPut?
  • [:SOURce]:TTL[:LEVel]

Also see Digital I/O.

[:SOURce]:TTL:INPut?

Reads the digital I/O input. See Digital I/O.

HorizontalRuleSm
 | [:SOURce]:TTL:INPut?
Examples | :TTL:INP?
 | [:source]:ttl:input?
HorizontalRuleSm
Return Type | Integer
HorizontalRuleSm
Default | n/a

[:SOURce]:TTL[:LEVel]

Sets the digital I/O output. See Digital I/O.

HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (15).
 | MINimum sets the minimum allowable value (0).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:TTL[:LEVel] MAXimum
Examples | :TTL MAX
 | :ttl maximum
HorizontalRuleSm
Query Syntax | [:SOURce]:TTL[:LEVel]?
Return Type | Integer
HorizontalRuleSm
Default | 0


[:SOURce]:TTONe

Controls the two-tone modulation settings.

Select a blue link to view the command details:

  • [:SOURce]:TTONe:FREQuency:SPAN
  • [:SOURce]:TTONe:STATe

Also see Two-Tone modulation.

[:SOURce]:TTONe:FREQuency:SPAN

Sets the span (or spacing) of the two CW tones in the two-tone application. See 2 Tone modulation.

HorizontalRuleSm
Units | Hz
HorizontalRuleSm
Parameters |
no | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
 | MAXimum sets the maximum allowable value (2 MHz).
 | MINimum sets the minimum allowable value (2 Hz).
 | DEFault sets the default (or preset) value.
HorizontalRuleSm
 | [:SOURce]:TTONe:FREQuency:SPAN MINimum
Examples | :TTON:FREQ:SPAN MIN
 | :ttone:frequency:span minimum
HorizontalRuleSm
Query Syntax | [:SOURce]:TTONe:FREQuency:SPAN?
Return Type | Integer
HorizontalRuleSm
Default | 1000

[:SOURce]:TTONe:STATe

Switches the two-tone application on and off. See 2 Tone modulation.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the two-tone application.
 | OFF (or 0) switches off the two-tone application.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:TTONe:STATe 1
Examples | :TTON:STAT 1
 | :ttone:state on
HorizontalRuleSm
Query Syntax | [:SOURce]:TTONe:STATe?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | OFF (or 0)


[:SOURce]:UFLatness

Controls the user-flatness settings.

Select a blue link to view the command details:

  • [:SOURce]:UFLatness:LOAD
  • [:SOURce]:UFLatness:STATe

Also see User flatness VSA.


[:SOURce]:UFLatness:LOAD

Selects the user flatness data file that gets loaded in the instrument. If no filename is specified, the current user flatness parameter settings are loaded. A query returns the filename, if the user flatness is enabled. See User flatness.

HorizontalRuleSm
Parameters |
<string> | Filename sets the filename and path for the selected waveform. You can optionally specify the file extension (*.csv).
HorizontalRuleSm
 | [:SOURce]:UFLatness:LOAD TUESDAY1.csv
Examples | :UFL:LOAD TUESDAY1
 | :uflatness:load tuesday1
HorizontalRuleSm
Query Syntax | [:SOURce]:UFLatness:LOAD?
Return Type | String
HorizontalRuleSm
Default | n/a

Example:

You can use the programming command [:SOURce]:UFLatness:LOAD to load a file from a directory in the Model 2910-VSG, a USB memory stick inserted in the Series 2900 VSG, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
User Flatness User | User flatness\User\filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

[:SOURce]:UFLatness[:STATe]

Enables and disables the user flatness operation. See User flatness.

HorizontalRuleSm
Parameters |
<b> | ON (or 1) switches on the user flatness mode.
 | OFF (or 0) switches off the user flatness mode.
 | DEFault returns to the default (preset) mode.
HorizontalRuleSm
 | [:SOURce]:UFLatness:STATe 1
Examples | :UFL:STAT ON
 | :uflatness:state off
HorizontalRuleSm
Query Syntax | [:SOURce]:UFLatness:STATe?
Return Type | Boolean (1 = On, 0 = Off)
HorizontalRuleSm
Default | Off (or 0)


[:SOURce]:VCO[:STATe]

Turns VCO on/off

Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | Default | none


SOUTput

Controls the sync output settings.

Select a blue link to view the command details:

  • :SOUTput:IMMediate
  • :SOUTput:POLarity
  • :SOUTput:MODe

Also see Sync out.

:SOUTput:IMMediate

Immediately generates a sync out pulse. See Sync out.

Query | Return | Set | Special | Units
no | n/a | n/a | none | none

:SOUTput:MODE

Sets when a sync output pulse is generated. See Sync out.

HorizontalRuleSm
Parameters |
no | OFF switches off the sync output.
 | WRAP sets the sync output at the wrap point of the arbitrary waveform playback.
 | STEP sets the sync output as each step in the sweep, list mode, or sequence settles.
 | START sets the sync output at the start of the sweep, list mode, or sequence.
 | STOP sets the sync output at the end of the sweep, list mode, or sequence.
 | DEFault sets the sync output to the default (preset) mode.
HorizontalRuleSm
 | :SOUTput:MODE WRAP
Examples | :SOUT:MODE OFF
 | :soutput:mode start
HorizontalRuleSm
Query Syntax | :SOUTput:MODE?
Return Type | String
HorizontalRuleSm
Default | WRAP

:SOUTput:POLarity

Sets the sync output TTL pulse polarity. See Sync out.

HorizontalRuleSm
Parameters |
no | RISing sets the sync output to a TTL low and the sync event as a rising edge pulse.
 | FALLing sets the sync output to a TTL high and the sync event as a falling edge pulse.
 | DEFault sets the sync output to the default (Preset) setting.
HorizontalRuleSm
 | :SOUTput:POLarity RISing
Examples | :SOUT:POL RIS
 | :soutput:polarity rising
HorizontalRuleSm
Query Syntax | :SOUTput:POLarity?
Return Type | String
HorizontalRuleSm
Default | RISing


:STATus:MEASurement

Controls the measurement event status.

Select a blue link to view the command details:

  • :STATus:MEASurement:CONDition?
  • :STATus:MEASurement:ENABle
  • :STATus:MEASurement[:EVENt]?

Also see Measurement event register.

:STATus:MEASurement:CONDition?

Reads the measurement condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Measurement event register.

Query | Return | Set | Special | Units
yes | NR1 | n/a | none | none

:STATus:MEASurement:ENABle

Programs the measurement event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Measurement event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. STATus:PRESet has no effect.

Query | Return | Set | Special | Units
yes | NR1 | NRf | none | none

:STATus:MEASurement[:EVENt]?

Reads the measurement event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Measurement event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. STATus:PRESet has no effect.

Query | Return | Set | Special | Units
yes | NR1 | n/a | none | none


:STATus:OPERation

Controls the operation event status.

Select a blue link to view the command details:

  • :STATus:OPERation:CONDition?
  • :STATus:OPERation:ENABle
  • :STATus:OPERation[:EVENt]?

Also see Operation event register.

:STATus:OPERation:CONDition?

Reads the operation condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. For example, while the instrument is in the idle state, bit B10 (Idle) of the operation condition register will be set. When the instrument is taken out of idle, bit B10 clears. See Operation event register.

Query | Return | Set | Special | Units
yes | NR1 | n/a | none | none

:STATus:OPERation:ENABle

Programs operation event enable register. When used as a query, it reads the enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. STATus:PRESet has no effect.

Query | Return | Set | Special | Units
yes | NR1 | NRf | none | none

:STATus:OPERation[:EVENt]?

Reads the operation event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. STATus:PRESet has no effect.

Query | Return | Set | Special | Units
yes | NR1 | n/a | none | none


:STATus:PRESet

Clears the following registers: operation event enable, measurement event enable, and questionable event enable. See Preset.

Query | Return | Set | Special | Units
no | n/a | n/a | none | none


:STATus:QUEStionable

Controls the questionable event status.

Select a blue link to view the command details:

  • :STATus:QUEStionable:CONDition?
  • :STATus:QUEStionable:ENABle
  • :STATus:QUEStionable[:EVENt]?

Also see Questionable event register.

:STATus:QUEStionable:CONDition?

Reads the questionable condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Questionable event register.

Query | Return | Set | Special | Units
yes | NR1 | n/a | none | none

:STATus:QUEStionable:ENABle

Programs questionable event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. STATus:PRESet has no effect.

Query | Return | Set | Special | Units
yes | NR1 | NRf | none | none

:STATus:QUEStionable[:EVENt]?

Reads the questionable event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. STATus:PRESet has no effect.

Query | Return | Set | Special | Units
yes | NR1 | n/a | none | none


:STATus:QUEue:CLEar

Clears the status (error) queue. See Error queue.

Query | Return | Set | Special | Units
no | n/a | n/a | none | none


:SYSTem:CLEar

Clears all codes and messages from the error queue. See Error queue.

Query | Return | Set | Special | Units
no | n/a | n/a | none | none


:SYSTem:COMMunicate:GPIB:ADDRess

Sets the GPIB address. See System Setup for Remote Control.

Query | Return | Set | Special | Units
yes | NR1 | NRf | none | none


:SYSTem:DATE

Sets the system clock date. See Time and date. Numeric representation format <yr, mo, day>; yr specified as 20xx.

Query | Return | Set | Special | Units
yes | NR1,NR1, NR1 | NRf,NRf, NRf | none | none


:SYSTem:ERRor

Controls the error queue.

Select a blue link to view the command details:

  • :SYSTem:ERRor:[NEXT]?
  • :SYSTem:ERRor:ALL?
  • :SYSTem:ERRor:CLEar
  • :SYSTem:ERRor:CODE:[NEXT]?
  • :SYSTem:ERRor:CODE:ALL?
  • :SYSTem:ERRor:COUNt
  • :SYSTem:ERRor:ENABle[:LIST]
  • :SYSTem:ERRor:ENABle:ADD
  • :SYSTem:ERRor:ENABle:DELete
  • :SYSTem:ERRor:ENABle[:List]
  • Also see Error queue.

:SYSTem:ERRor:[NEXT]?

Reads the next error in the queue. As error and status messages occur, they are placed in the error queue. The error queue is a first-in first-out (FIFO) register that can hold up to 10 messages. After sending this command and addressing the instrument to talk, the oldest code and message is sent to the computer and is then removed from the queue. See Error queue.

Query | Return | Set | Special | Units
yes | NR1, string | n/a | none | none

:SYSTem:ERRor:ALL?

Reads all errors in the error queue. This query command is similar to the [:NEXT]? command except that all messages in the error queue are sent to the computer when the instrument is addressed to talk. All codes and messages are removed from the queue. See Error queue.

Query | Return | Set | Special | Units
yes | string | no | none | none

:SYSTem:ERRor:CLEar

Clears the error queue. See Error queue.

Query | Return | Set | Special | Units
no | n/a | none | none | none

:SYSTem:ERRor:CODE:[NEXT]?

Reads the next error by error code in the error queue. See Error queue.

Query | Return | Set | Special | Units
yes | NR1 | n/a | none | none

:SYSTem:ERRor:CODE:ALL?

Reads all errors by error code in the error queue. See Error queue.

Query | Return | Set | Special | Units
yes | NR1 | n/a | none | none

:SYSTem:ERRor:COUNt

Reads the number of errors in the Error Queue. See Error queue.

HorizontalRuleSm
 | :SYSTem:ERRor:COUNt?
Examples | :SYST:ERR:COUN?
 | :system:error:count?
HorizontalRuleSm
Default | n/a

:SYSTem:ERRor:ENABle[:LIST]

Enables the specific errors in the error queue. See Error queue.

HorizontalRuleSm
Parameters |
<list> | Single message (-110)
 | Range of messages (-110:-222 = -110 through -222)
 | Range entry and single entry (separated by a comma -110:-222, -220)
 | When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.
HorizontalRuleSm
 | :SYSTem:ERRor:ENABle[:LIST]
Examples | :SYST:ERR:ENAB
 | :system:error:enable
HorizontalRuleSm
Query Syntax | :SYSTem:ERRor:ENABle?
Return Type | Integer
HorizontalRuleSm
Default | Not applicable.

:SYSTem:ERRor:ENABle:ADD

Adds the specific errors to enable in the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return | Set | Special | Units
no | n/a | <list> | none | none

:SYSTem:ERRor:ENABle:DELete

Deletes the specific errors to enable the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return | Set | Special | Units
no | n/a | <list> | none | none

:SYSTem:ERRor:ENABle[:List]

Enables specific errors in the error queue. See Error queue.

HorizontalRuleSm
Parameters |
<list> | Single message (-110)
 | Range of messages (-110:-222 = -110 through -222)
 | Range entry and single entry (separated by a Comma -110:-222, -220)
 | When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.
HorizontalRuleSm
 | :SYSTem:ERRor:ENABle[:LIST]
Examples | :SYST:ERR:ENAB[:LIST]
 | :system:error:enable[:list]
HorizontalRuleSm
Query Syntax | :SYSTem:ERRor:ENABle[:List]?
Return Type | Integer
HorizontalRuleSm
Default | n/a


:SYSTem:KLOCk

Locks out the instrument front panel Local and Preset key when in the Remote mode. Sending the command, *RST, switches off the lock. See Local button and Preset.

  • ON (or 1) switches on lock out of the front panel Local key.
  • OFF (or 0) switches off the lock out of the front panel Local key.
Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | none | none


:SYSTem:LOCal

Puts the instrument in the local mode. See local button.

Query | Return | Set | Special | Units
no | n/a | none | none | none


:SYSTem:PRESet

Restores the instrument settings to the preset state defaults. See Preset.

Query | Return | Set | Special | Units
no | n/a | none | none | none


:SYSTem:REMote

Puts the instrument in the remote mode. See Remote and local operation differences.

Query | Return | Set | Special | Units
no | n/a | none | none | none


:SYSTem:SSAVer

Controls the screen saver.

Select a blue link to view the command details:

  • :SYSTem:SSAVer:DELay
  • :SYSTem:SSAVer[:STATe]

Also see Screen saver.

:SYSTem:SSAVer:DELay

Sets the delay of the screen saver, in minutes. See Screen saver.

Query | Return | Set | Special | Units
yes | NR1 | NRf | none | Minutes

:SYSTem:SSAVer[:STATe]

Sets the state of the screen saver. See Screen saver.

  • ON (or 1) switches on the screen saver.
  • OFF (or 0) switches off the screen saver.
Query | Return | Set | Special | Units
yes | Boolean | ON | 1 | OFF | 0 | none | none


:SYSTem:TIME

Sets the system time. See Time and date. Hour, minute, second -- numeric representation format. This parameter is a number that can be expressed as an integer (for example, 8).

Query | Return | Set | Special | Units
yes | NR1,NR1, NR1 | NRf,NRf, NRf | none | none


:TRIGger

Controls the trigger functions.

Select a blue link to view the command details:

  • :TRIGger:DELay
  • :TRIGger:MODE
  • :TRIGger:SOURce

Also see Trigger .

:TRIGger:DELay

Sets a delay between a trigger event and the instrument response.

When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger. The trigger delay value is the point at the center of the data acquisition window. See Trigger.

Query | Return | Set | Special | Units
yes | NR2 | NRf | Max | Min | Def | Seconds

:TRIGger:MODE

Specifies the Input Trigger mode that only affects lists and sweeps. You can choose to start each step or start an entire list/sweep. See Trigger.

HorizontalRuleSm
Parameters |
no | OFF switches off the trigger mode.
 | TUNE changes to the next step (frequency/power values) in a stepped sweep.
 | STARt starts a stepped sweep or list sweep.
 | ARB starts an arbitrary waveform playback.
 | DEFault sets the trigger mode to the default.
HorizontalRuleSm
 | :TRIGger:MODE STARt
Examples | :TRIG:MODE STAR
 | :trigger:mode start
HorizontalRuleSm
Query Syntax | :TRIGger:MODE?
Return Type | String
HorizontalRuleSm
Default | n/a

:TRIGger:SOURce

Sets the source of the trigger signal. See Trigger.

HorizontalRuleSm
Parameters |
no | BUS sets the instrument to receive a software trigger from either the front panel Trigger Now button or the *TRG command.
 | RISing sets the instrument to receive a trigger event as a rising edge TTL input signal on the rear panel TRIG IN connector.
 | FALLing sets the instrument to receive a trigger event as a falling edge TTL input signal on the rear panel TRIG IN connector.
 | DEFault sets the default value.
HorizontalRuleSm
 | :TRIGger:SOURce BUS
Examples | :TRIG:SOUR RIS
 | :trigger:source falling
HorizontalRuleSm
Query Syntax | :TRIGger:SOURce?
Return Type | String
HorizontalRuleSm
Default | BUS


SCPI command error messages

SCPI error message strings
-350 | Queue overflow
-256 | File name not found
-253 | Corrupt media
-240 | Hardware error
-230 | Data corrupt or stale
-224 | Illegal parameter value
-222 | Data out of range
-221 | Settings conflict
-220 | Parameter error
-151 | Invalid string data
-138 | Suffix not allowed
-131 | Invalid suffix
-121 | Invalid character in number
-120 | Numeric data error
-115 | Unexpected number of parameters
-113 | Undefined header
-109 | Missing parameter
-102 | Syntax error
-101 | Invalid character
-100 | Command error
0 | No error
10 | USB error
11 | USB cable not connected
12 | Active measurement does not support the command
Shared DSP error messages
20 | Bad run checksum
21 | Run sector erased
22 | Bad FPGA checksum
23 | FPGA sector erased
24 | Bad parms checksum
25 | Bad XParms checksum
26 | Bad basicDsp command
27 | Bad DUC FS
28 | Task already on queue
29 | Bad cal table
30 | Flash not erasing
31 | Flash not programming
32 | Bad loader size
33 | Bad boot size
34 | Bad run size
35 | Checksum mismatch
36 | Bad USB command
37 | Reached breakpoint
38 | Resource not locked
39 | FATAL CRASH!
40 | Debug not available
41 | Unrecognized DSP error
42 | Missing task killed message
43 | Missing acknowledged message
Instrument specific DSP error messages
51 | Invalid change flag
52 | Invalid setting
53 | Amplitude set too high for this modulation waveform
54 | Missing source settled message
55 | Missing single sweep complete message
56 | Minimum power has been limited
User data pattern file error messages
90 | No user data pattern file open
92 | Channel power list is empty
93 | Channel power list file error
Sweep/List/Trigger error messages
200 | Sweep aborted
Arb error messages
220 | Operation failed because no digital modulation active
221 | Operation failed because no matching Arb record found
222 | Arb file header error: Invalid sample rate
223 | Arb file header error: Invalid power factor
224 | Arb file header error: Must contain an even number of 32 bit words, load aborted
225 | Arb file error: An error occurred while reading the file
226 | Arb file error: A write error occurred while while storing the data
227 | Arb file error: Out of arb memory
228 | Arb file error: License for arb file type not installed
229 | Arb file must be loaded with RF output on
List error messages
230 | At least one frequency in list limited
231 | At least one power in list limited
232 | At least one dwell in list limited
233 | Too many list points, list limited to 1000 points
234 | List file error
Arb sequence and additional arb messages
240 | Sequence file error
241 | Arb file has non-standard sample rate - cannot load while arb sequence is on
242 | Arb file error: sample rate exceeds maximum licensed rate, load aborted
GPS error messages
250 | Operation not allowed; pattern length is greater than 32
Digital mod error messages
260 | Data pattern is truncated, increase symbols/s or select shorter pattern
User flatness error messages
270 | User Flatness data file error
271 | User Flatness file frequency rounded
272 | Waveform file error for all waveforms (CDMA/WCDMA/GSM/ASK/FSK/PSK/QAM)


File management

The Series 2900 Vector Signal Generator allows you to manage various files that are used by the instrument. Select one of the following categories to learn more about file management for the Series 2900.

  • File information types
  • Directory types
  • External drives
  • File management window
  • File management operations
  • Remote file browser


File information types

The VSG allows you to save, open, and manage files with the following types of information:

  • Instrument setups
  • Arbitrary modulation file characteristics
  • List descriptions
  • Modulation waveforms
  • Option license files
  • Software upgrades


Model 2910 Instrument option license files

The Model 2910 VSG requires a license file to access the standard signal formats and the modulations in the source. To view the current licenses select Menu > Utilities > Licensing. You can purchase the following licenses for your instrument.

License options:

  • 2900-ALG (flexible analog modulation signal generation)
  • 2900-ARB-20 (arbitrary waveform generator with 20 MHz bandwidth)
  • 2900-ARB-40 (arbitrary waveform generator with 40 MHz bandwidth)
  • 2900-CDMA-F (cdma2000® forward link signal generation)
  • 2900-DIG (flexible digital modulation signal generation)
  • 2900-GPS (GPS signal generation)
  • 2900-GSM (GSM, GPRS, and EDGE signal generation)
  • 2900-WCDMA-D (W-CDMA FDD downlink signal generation)
  • 2900-TDSCDMA-PC (SignalMeister™ license for TD-SCDMA signal generation)

Note: Each instrument must have an arbitrary waveform generator license (2910-ARB) for the other digital licenses to operate.

Version 2.0 firmware release

If you have a Model 2910 VSG with firmware version 1.0, you may choose to upgrade to version 2.0 to access the expanded licensed capability to generate signals that include ASK, FSK, PSK, QAM and GPS modulations along with the features of arbitrary waveform sequencing and more instrument control through the LXI web interface.

Note: The analog modulation capability requires an instrument option license for version 2.0. Therefore, before you upgrade the Model 2910 VSG firmware to version 2.0, contact Keithley Instruments to obtain the 2910-ALG (Analog Modulation Signal Generation Personality) license. There is no charge for this license to reinstate the analog modulation capability in the Model 2910 VSG.

Caution: If you have upgraded to version 2.0, you should not revert back to version 1.1 as damage to the instrument can occur.

Purchasing instrument option licenses

You can purchase option license files when you order your instrument, or at any time after you have received your instrument.

Contact your Keithley Instruments sales representative with the description of the licenses that you want to purchase.

See To open an option license for details on how to purchase and install a license.

See RF product software license agreement to view the instrument option licensing agreement.

Instrument option license ID

The option license identification (ID) contains information that describes the particular instrument and the current license status. The license ID is unique and therefore changes each time the license status is modified. For example, the license ID would change in the following situations:

  • When the instrument imports newly purchased licenses.
  • When the instrument imports existing licenses that were transferred from another instrument.
  • When the instrument exports licenses to another instrument.

See To view instrument option licenses for details on how to access the current modulation ID.

Transferring option licenses

You can move licenses between instruments. For example, if you do not require the GSM license in one instrument, you can move the license to another instrument that is in a test system that requires the GSM signal format capability.

You can also transfer option licenses from two separate instruments into a third instrument; however, you must perform the steps in a particular sequence.

You must use the LXI web interface to transfer licenses between instruments.

See To move instrument option license files for details on how to transfer existing license files between instruments.


RF product software license agreement

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING RF PRODUCT SOFTWARE LICENSE AGREEMENT (THIS "AGREEMENT"). BY USING ALL OR ANY PORTION OF THE LICENSED PRODUCT (AS DEFINED BELOW), YOU ACCEPT ALL TERMS AND CONDITIONS OF THIS AGREEMENT. YOU AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN NEGOTIATED AGREEMENT SIGNED BY YOU. THIS AGREEMENT IS ENFORCEABLE AGAINST YOU AND ANY LEGAL ENTITY THAT OBTAINED THE LICENSED PRODUCT AND ON WHOSE BEHALF IT IS USED. IF YOU DO NOT AGREE, DO NOT USE THE LICENSED PRODUCT. IF YOU ACQUIRED THE LICENSED PRODUCT ON TANGIBLE MEDIA (E.G. CD) WITHOUT AN OPPORTUNITY TO REVIEW THIS LICENSE AND YOU DO NOT ACCEPT THIS AGREEMENT, YOU MAY OBTAIN A REFUND OF ANY AMOUNT YOU ORIGINALLY PAID IF YOU: (A) DO NOT USE THE LICENSED PRODUCT AND (B) RETURN IT, WITH PROOF OF PAYMENT, TO THE LOCATION FROM WHICH IT WAS OBTAINED WITHIN THIRTY (30) DAYS OF THE PURCHASE DATE.

"Licensed Product" means (a) all of the contents of the files, disk(s), CD-ROM(s) or other media with which this Agreement is provided, including but not limited to (i) software embedded in and/or provided with RF Product ("Software"); and (ii) related explanatory written materials and manuals pertaining to the Software provided by Keithley Instruments with the Software ("Documentation"); (b) upgrades, modified versions, updates, and additional features and functionality, if any, licensed to you by Keithley Instruments pursuant to the RF Product Software Option Certificate (collectively, "Option").

RF Product shall mean Model 2910 and/or 2920 Vector Signal Generator and/or Models 2810 and/or 2820 Vector Signal Analyzer and/or 290101 SignalMeister™ Waveform Creation Software.

"You" means the individual using the Licensed Product, as well as your employer ("Company").

Grant of license

In consideration of payment of the applicable fees to Keithley Instruments ("Keithley"), Keithley grants to you, subject to the terms and conditions of this Agreement, a non-exclusive license to use the portion of the Licensed Product only in connection with the RF Product in which the Licensed Product is embedded and for your own internal business use, and not for the benefit of any other person or entity. The Licensed Product is licensed for use by a single organization and may not be used for processing of third-party data as a service bureau. Any Options requested by you shall require purchase of a software key code from Keithley, and you acknowledge that the Options will not function without a certain, unique software key code provided by Keithley. The software key code will be furnished to you by Keithley with the RF Product Software Option Certificate; you agree that such software key code is to be used solely with the Options for which it is provided, and the Options shall be used only in connection with the Licensed Product and RF Product identified in the Certificate. While Keithley may (in its sole discretion) provide you with the applicable key prior to receipt from you of the applicable license fees, you will remain obligated to pay such fees to Keithley. You may have the right to transfer the Options from one RF Product identified in the Certificate for which the Options are licensed by Keithley ("Transferring RF Product") to another RF Product purchased by the Company from Keithley ("Transferred RF Product"). In the event of the transfer of Options from the Transferring RF Product to Transferred RF Product, the Options will be disabled on the Transferring RF Product by Keithley and you shall have the right to use the Options only on the Transferred RF Product. Floating, concurrent and shared use of the Licensed Product is not permitted under this Agreement.

Ownership

Keithley and its third-party suppliers own all right, title, and interest in and to the Licensed Product. You acknowledge that all right, title and interest in and to the Licensed Product will remain the exclusive property of Keithley and its suppliers, and you will not acquire any rights in or to the Licensed Product except as expressly set forth in this Agreement. The Licensed Product is protected by law, including without limitation the copyright laws of the United States and other countries, trade secret laws, and by international treaty provisions. Except as expressly stated herein, this Agreement does not grant you any intellectual property rights in the Licensed Product and all rights not expressly granted are reserved by Keithley and its third-party suppliers.

Limitations on use

You will not remove any copyright, trademark, or other proprietary notices from the Licensed Product or any media relating thereto. You agree that you will not (i) attempt to reverse compile, reverse engineer, modify, translate, adapt or disassemble the Licensed Product, nor attempt to discover, create the source code from the object code for the Licensed Product, in whole or in part, and (ii) rent, lease, sublicense, assign or transfer your rights in the Licensed Product, or authorize all or any portion of the Licensed Product to be copied onto any products or another user's computer, except as may be expressly permitted herein.

Termination

This Agreement is effective until terminated. Except in the event of your failure to comply with the section titled "Export Restriction," in which case, Keithley shall have the right to terminate this Agreement immediately. Either party shall have the right to terminate this Agreement if the other fails to perform or observe any provision, term, covenant, warranty, or condition of this Agreement (a "Default"), provided fifteen (15) days notice of termination (the "Notice") is provided to the defaulting party, and the defaulting party fails to cure the claimed Default within ten (10) days from the date of receipt of the Notice. Within three (3) days from the date of any termination of this Agreement, each and every embodiment of the Licensed Product in any form whatsoever, and all documentation, files and other materials in any form relating thereto, shall be destroyed, and all traces of the Licensed Product shall be permanently purged from the RF Product.

Export restrictions

You warrant, agree and give assurance to Keithley that you will not at any time (i) sell, transmit, export, re-export, release or otherwise disclose, either directly or indirectly, the Licensed Product and the RF Product, or any part thereof, including without limitation any source code or technology relating to the Licensed Product and the RF Product, (ii) permit Licensed Product and RF Product to be sold, transmitted, disclosed, released, exported, re-exported to countries or nationals of countries in Country Groups D:1 or E:2, as set forth in Supplement 1 to Part 740 of the United States Export Administration Regulation ("EAR"), or (iii) permit use of the Licensed Product and RF Product in any manner prohibited by the EAR or any other export laws, restrictions or regulations. All rights to use the Licensed Product are granted on condition that such rights shall be immediately forfeited if you fail to comply with the terms of this Section.

U.S. government restricted rights

The Licensed Product is "Commercial Items," as that term is defined at 48 C.F.R. §2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," as such terms are used in 48 C.F.R. §12.212 or 48 C.F.R. §227.7202, as applicable. Consistent with 48 C.F.R. §12.212 or 48 C.F.R. §§227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights as are granted to all other end users pursuant to the terms and conditions herein. Unpublished-rights reserved under the copyright laws of the United States to Keithley Instruments, Inc., 28775 Aurora Rd., Solon, Ohio 44139, USA.

Limited warranty

Keithley does not warrant that operation of the Licensed Product will be uninterrupted or error-free, or that the Licensed Product will be adequate for your intended application or use. Keithley warrants to you that the Software will substantially perform in accordance with the specifications set forth in the Documentation for a period of three (3) years after your receipt of the RF Product (the "Warranty Period"), provided the Software is used only in connection with the RF Product in which it is embedded and in accordance with the Documentation. If the Software is not performing as warranted herein during the Warranty Period, as determined by Keithley, in its sole discretion (a "Nonconformity"), your exclusive remedy under this limited warranty is either a correction of the Software or an explanation by Keithley of how to use the Software despite the Nonconformity, at Keithley's option. The foregoing limited warranty shall be null and void (i) upon any modification of the Licensed Product, unless approved in writing by Keithley; (ii) the use of the Licensed Products in combination with any other product or data than the RF Product in which the Software is embedded; (iii) if failure of the Licensed Product has resulted from accident, abuse, misapplication, improper calibration by you, third-party products (i.e., hardware or software) used by you which are not intended by Keithley for use with the Licensed Products; (iv) utilization of an improper hardware or software key (if applicable); and/or (v) unauthorized maintenance of the Licensed Product; The portions of the Licensed Product not developed and owned by Keithley shall not be covered by this limited warranty, and Keithley shall have no duty or obligation to enforce any thirdparty supplier's warranties on your behalf. The failure to notify Keithley of a Nonconformity during the Warranty Period shall relieve Keithley of its obligations and liabilities under this limited warranty.

EXCEPT FOR THE FOREGOING, THE LICENSED PRODUCT IS PROVIDED "AS IS" WITHOUT ANY WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE, INCLUDING BUT NOT LIMITED TO, THE WARRANTIES OF MERCHANTABILITY, NONINFRINGEMENT OF THIRDPARTY RIGHTS, INTEGRATION, ACCURACY, SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE.

THE LICENSED PRODUCT IS NOT FAULT TOLERANT AND IS NOT DESIGNED OR INTENDED FOR USE (i) IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE INCLUDING WITHOUT LIMITATION, IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, WEAPONS SYSTEMS, DIRECT LIFE-SUPPORT MACHINES, OR ANY OTHER APPLICATION IN WHICH THE FAILURE OF THE LICENSED PRODUCT COULD LEAD TO DEATH, PERSONAL INJURY OR SEVERE PHYSICAL OR PROPERTY DAMAGE (COLLECTIVELY "HAZARDOUS ACTIVITIES"); OR (ii) WITH COMPONENTS AND TESTING FOR A LEVEL OF RELIABILITY SUITABLE FOR USE IN OR IN CONNECTION WITH SURGICAL IMPLANTS, OR AS CRITICAL COMPONENTS IN ANY LIFE-SUPPORT SYSTEMS WHOSE FAILURE TO PERFORM CAN REASONABLY BE EXPECTED TO CAUSE SIGNIFICANT INJURY TO HUMANS ("SYSTEMS ACTIVITY"). KEITHLEY AND ITS THIRDPARTY SUPPLIERS EXPRESSLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HAZARDOUS ACTIVITIES AND/OR SYSTEMS ACTIVITY.

Limitation of liability

KEITHLEY'S SOLE LIABILITY OR OBLIGATION UNDER THIS AGREEMENT IS SET FORTH ABOVE IN THE LIMITED WARRANTY SECTION OF THIS AGREEMENT. IN NO EVENT SHALL KEITHLEY AND ITS THIRD-PARTY SUPPLIERS BE LIABLE FOR ANY DAMAGES RESULTING FROM USE OR INABILITY TO USE THE LICENSED PRODUCT, ANY TECHNICAL SUPPORT SERVICES RELATING TO THE LICENSED PRODUCT OR RELATED HARDWARE, INCLUDING WITHOUT ANY LIMITATION ANY LIABILITY FOR: (1) ECONOMIC, INCIDENTAL, CONSEQUENTIAL, LOST PROFITS, LOST SAVINGS, BUSINESS INTERRUPTION, INDIRECT, SPECIAL, PUNITIVE OR EXEMPLARY DAMAGES, WHETHER CLAIMED UNDER CONTRACT, TORT OR ANY OTHER LEGAL THEORY; (2) LOSS OF OR DAMAGE TO YOUR DATA OR PROGRAMMING; (3) PENALTIES OR PENALTY CLAUSES OF ANY DESCRIPTION; OR (4) INDEMNIFICATION OF YOU OR OTHERS FOR COSTS, DAMAGES, OR EXPENSES RELATED TO THE GOODS OR SERVICES PROVIDED UNDER THIS AGREEMENT. In no event shall Keithley's liability for any bodily injury, death and/or property damage exceed the greater of $500 (U.S.) or the amount of license fee actually paid by you to Keithley for the Licensed Product if the foregoing limitation of liability is not enforceable because the Licensed Product, the services, or the hardware is determined by a court of competent jurisdiction in a final, non-appealable judgment to be defective and to have directly caused bodily injury, death, or property damage. The foregoing limitations, exclusions and disclaimers shall apply to the maximum extent permitted by applicable law, even if any remedy fails its essential purpose.

Limitation of liability for users residing in Germany and Austria.

If you obtained the Licensed Product in Germany or Austria, and you usually reside in such country, then Section titled "Limitation of Liability" does not apply to you. Instead, subject to the provisions in this Section, Keithley's statutory liability for damages shall be limited as follows: (i) Keithley shall be liable only up to the amount of damages as typically foreseeable at the time of entering into the purchase agreement for an RF Product in respect of damages caused by a slightly negligent breach of a material contractual obligation, and (ii) Keithley shall not be liable for damages caused by a slightly negligent breach of a non-material contractual obligation. The aforesaid limitation of liability shall not apply to any mandatory statutory liability, in particular, to liability under the German Product Liability Act, liability for assuming a specific guarantee or liability for culpablycaused personal injuries. You are required to take all reasonable measures to avoid and reduce damages, specifically to make back-up copies of the Licensed Product and your computer data subject to the provisions of this Agreement.

Compliance with licenses

If you are a business or organization, you agree that upon request from Keithley or Keithley's authorized representative, you will within thirty (30) days after receiving notice from Keithley, fully document and certify that use of any and all Licensed Product at the time of the request is in conformity with your valid licenses from Keithley. You agree and your Company shall make all applicable records available for review by Keithley during your Company's normal business hours so as to permit Keithley (upon reasonable notice to you) to verify your and Company's compliance with the terms and conditions of this Agreement. Keithley may (upon written notice) inspect your use of the Licensed Products during your Company's normal business hours to ensure your compliance with this Agreement.

Miscellaneous

In the event of invalidity of any provision of this Agreement, the parties agree that such invalidity shall not affect the validity of the remaining portions of this Agreement. This Agreement shall be governed by and construed in accordance with the laws of the state of Ohio, exclusive of any provisions of the United Nations Convention on the International Sale of Goods, and without regard to any principle of conflicts of laws. This is the entire agreement between you and Keithley Instruments, Inc., and supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license. To the extent the terms of any purchase order, Certificate, or any Keithley policies or programs for providing any support services for the Software conflict with the terms of this Agreement, the terms of this Agreement shall control. Any waiver by either party of any provision of this Agreement shall not constitute or be deemed a subsequent waiver of that or any other provision. The provisions of the Sections titled Ownership, Limitation on Use, Export Restrictions, Limited Warranty, Limitation of Liability, Limitation of Liability for Users Residing in Germany and Austria, Compliance with Licenses, and Miscellaneous shall survive the termination of this Agreement.

Should you have any questions concerning this Agreement, or if you desire to contact Keithley Instruments for any reason, please call Keithley at 1-888-KEITHLEY (1-888-534-8453), or write to Keithley Instruments, 28775 Aurora Rd., Solon, Ohio, USA 44139.

Current worldwide phone numbers are available on the Keithley Instruments website at www.keithley.com.

KEITHLEY

A GREATER MEASURE OF CONFIDENCE

Keithley Instruments, Inc.


Software upgrade files

You can download the instrument software upgrade files from the www.keithley.com website and run the installation from the instrument screen or the LXI web interface.

Access the software upgrade dialog box by selecting Menu > Utilities > Upgrade Software...

See To open a software upgrade file for instructions.


Directory types

The VSG has default directories for saving and opening specific types of files.

  • Instrument setups user directory is for saving and opening setup files that describe the entire instrument state.
  • Software upgrade user directory is for uploading the latest software upgrade file so you can load it into the instrument. You can also upgrade the software directly from a USB flash drive or a networked directory.
  • List mode user directory is for saving list description files to open in list mode. Each list point includes a value for frequency, power, and dwell. You can sequence any modulated or unmodulated waveform through a list.
  • License import user directory is for saving modulation waveform license files.
  • cdma2000® reference directory is for opening read-only cdma2000® signal format files.
  • cdma2000® user directory is for saving and opening edited cdma2000® signal format files.
  • W-CDMA reference directory is for opening read-only W-CDMA signal format files.
  • W-CDMA user directory is for saving and opening edited W-CDMA signal format files.
  • GSM/EDGE reference directory is for opening read-only GSM/EDGE signal format files.
  • GSM/EDGE user directory is for saving and opening edited GSM/EDGE signal format files.
  • ASK user directory is for saving and opening edited ASK modulation files.
  • FSK user directory is for saving and opening edited FSK modulation files.
  • PSK user directory is for saving and opening edited PSK modulation files.
  • QAM user directory is for saving and opening edited QAM modulation files.
  • Arbitrary user directory is for modulation waveforms that you can play back through the arbitrary waveform generator.
  • Sequence user directory is for saving and opening arbitrary waveform sequence files.

    Note: The VSG has 2 Gb of combined memory storage available for the various User and Reference directories.


External drives (memory storage)

In addition to the instrument internal file storage directories, you have the following external drives available to help you manage your files.

  • USB memory sticks (up to four)
  • Networked drives (Windows OS)

See Share files or folders for details on managing files on networked drives.


File management window

All file management windows have the following buttons and information fields:

  • Refresh updates the directories and files to show the current structure.
  • Up moves the current directory up one level in the directory structure.
  • Copy duplicates a highlighted (selected) file to the location you specify.
  • Cut removes a highlighted (selected) file from the directory and allows you to place it (paste) in a different location that you specify.
  • Paste places a file in a location that you have specified.
  • Rename changes the name of a highlighted file.
  • Delete removes a highlighted file from the directory.
  • New Folder creates a new folder that you name in the current directory.
  • Look In: displays a menu of the available directories or drives.
  • Save or Open saves or opens a highlighted file, depending on the type of file operation.
  • File name: shows the name of the file currently highlighted (selected).
  • Files of type: shows the type of file currently highlighted (selected).


File management operations

Select from the following procedure categories to learn how to manage various types of files:

  • Save a file
  • Open or load a file
  • Copy or move a file
  • Rename a file or folder
  • Delete a file or folder
  • Share files or folders


Save a file

Select the following procedures to learn how to save the various types of files:

  • Instrument setups
  • Signal formats and digital modulations


To save a modulation file

You can save a signal format and modulation file in the following ways:

  • After you have opened a licensed signal format file from the Reference directory (standard signal formats, only) and modified it, you can save it with a different file name in the User directory.
  • After you have opened a modified signal format or modulation file from the User directory, you can either save it with the same name and location, or save it with a different name or location.

With the front panel interface:

  1. Choose Select Modulation and select the modulation type of the file you want to save.
  2. Select Waveform File.
    • If you want to save a licensed signal format file, select (highlight) the file in the Reference directory and select Copy. In the Look In field, select the User directory or another directory location. Select Paste.
    • If you want to save an opened file, select Save or Save As..., select the keyboard button, and enter a filename. In the Look In field, select a folder or drive location. Select Save.

With the remote programming interface:

See To copy or move a file for details on using the command MMEM:DATA to copy a signal format or digital modulation file to a User directory.


Open or load a file

Select the following procedures to learn how to open or load the various types of files:

  • Instrument setups
  • Playback an arbitrary waveform
  • Lists descriptions
  • Modulation files
  • Instrument option licenses
  • Instrument software upgrades


To open a software upgrade file

With the front panel interface:

  1. On a computer, launch a web browser and download the latest software upgrade file from the www.keithley.com website.
  2. Save the file to a location that you can access from the instrument. A USB memory stick is convenient for this purpose.
  3. Select Menu > Utilities > Upgrade Software.
  4. Navigate to the location of the upgrade file that you just downloaded and saved.
  5. Select (highlight) the file and select Open.

With the web interface:

Although you can upgrade the instrument software from the web interface, you will not be able to detect the progress of the upgrade from the remote interface. You may want to upload the upgrade file to the instrument, and then run the upgrade process locally.

  1. Connect the instrument to a web network that includes your computer.
  2. On the computer, launch a web browser and download the latest software upgrade file from the www.keithley.com website. Save it to a directory on the computer.
  3. In the web browser, use the instrument IP address as the URL.
    • If you do not know the instrument IP address, select Menu > Utilities > Ethernet Settings from the instrument front panel.
  4. Click Instrument on the web page. The virtual front panel is shown.
  5. Click Menu > Utilities > Upgrade Software.
  6. You may need to type the username / password (default is admin / admin) to proceed.
  7. Click Browse and navigate to the location of the file that you just downloaded from the Keithley Instruments website.
  8. Click Upload. This copies the file to the instrument software upgrade directory.
  9. Click Start Upgrade and then click the file that you uploaded to the instrument.
  10. Click Load.


To open an option license file

This procedure shows you how to open a newly purchased license file in the instrument. The first part of this procedure shows you how to obtain the necessary information for ordering additional licenses. You can purchase licenses at the time of ordering an instrument or any time after receiving the instrument shipment. Fill out the license certificate that was part of the instrument shipment and contact your Keithley Instruments sales representative to arrange the purchase of desired instrument option licenses.

The keyboard shortcuts (Ctrl+C, Ctrl+V) in this procedure are for Microsoft® Windows®.

  • See To move instrument option license files for instructions on how to transfer license files between instruments.
  • See Instrument option license files for details on option license files.

With the front panel interface:

  1. Locate the License Certificate that was part of the instrument shipment. Fill out the necessary information to purchase additional licenses. If you misplaced this document, contact Keithley Instruments for a replacement.
  2. To find the instrument license ID, select Menu > Utilities > Licensing.
  3. Select Save ID to save the instrument license ID to a *.txt file.
  4. In the Save License ID window, navigate to a location that you can access from your computer. A USB memory stick is convenient for this purpose.
  5. Name the file:
    • If you want to overwrite an existing file, select the file in the directory structure.
    • If you want to save the file as new, select the keyboard button and enter the filename.txt, then select Enter.
  6. Select Save.
  7. Contact your Keithley Instruments sales representative to arrange the purchase of the desired licenses.
  8. When you receive an e-mail message from Keithley Instruments, copy (Ctrl+C) the text of the message and paste (Ctrl+V) it in a newly created *.txt file.
  9. Save the file to a location that you can access from the instrument. A USB memory stick is convenient for this purpose.
  10. Select Menu > Utilities > Licensing > Import.
  11. Navigate to the location of the *.txt file that you just created and saved.
  12. Select (highlight) the *.txt file and select Open. The current license status of the instrument is displayed.

With the web interface:

  1. Locate the License Certificate that is part of the instrument shipment. Fill out the necessary information to purchase additional licenses. If you have misplaced this document, contact Keithley Instruments for a replacement.
  2. Connect the instrument to a web network that includes a computer.
  3. On the computer, launch a web browser and use the instrument IP address as the URL.
    • If you do not know what the instrument IP address is, you can find it from the front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see Ethernet Settings.
  4. Click Licensing > Import from the instrument web page.
  5. Find the Instrument License Identifier row of the displayed table, highlight the instrument ID, copy (Ctrl+C) it, and then paste it (Ctrl+V) into a new file. Save the file.

  6. Contact your Keithley Instruments representative to arrange for the purchase of the desired instrument option licenses.
  7. When you receive a return e-mail message from Keithley Instruments, submit the license information through the web page:
    • If you want to keep a copy of the license information, highlight the text of the received e-mail message, copy it (Ctrl+C), and then paste it (Ctrl+V) it in a newly created *.txt file. Save the file to a location that you can access from the instrument. In the instrument web page, click Licensing > Import > Browse. Navigate to the location of the license *.txt file that you just created and saved and click Open.
    • If you don't need to save a copy of the license information, highlight the text of the received e-mail message and copy it (Ctrl+C). On the instrument web page click Licensing > Import and then paste it (Ctrl+V) it in the appropriate field.

  8. Click Submit. The current license status of the instrument is displayed.


To open a digital modulation waveform file

You can save the following files to open and load into the Series 2900 to output from the instrument RF out:

  • Analog modulations:
    • AM
    • FM
    • Pulse
    • Phase
    • Noise
    • 2 Tone
  • Standard signal formats:
    • GSM / EDGE
    • cdma2000
    • W-CDMA
    • GPS
  • Digital modulations:
    • ASK
    • FSK
    • PSK
    • QAM

With the front panel interface, or with the LXI Web Interface:

  1. Choose Select Modulation and the type of modulation you want.
    • For standard signal formats, select Standard and then the signal format.
    • For digital modulations, select Digital and then the modulation.
    • For analog modulations, select Analog and then the modulation.
  2. Select Waveform File > Open.
    • If the file that you want is in the Reference directory (standard signal formats, only) select the file.
    • If the file is in the User directory or another location, in the Look in: select the directory where the file is located. Select the filename.
  3. Select Open > Load.
  4. Make sure that the following conditions exist:
    • Modulation checkbox is selected.
    • RF checkbox is selected.
    • Correct modulation file name appears under the Loaded: section of the main status area.

With the remote programming interface:

You can use the programming command RAD:CDMA|GSM|WCDMa:LOAD to load a file from a directory in the instrument, a USB memory stick inserted into the instrument, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory Path in Programming Message
CDMA Reference (default) | filename
CDMA User | \User\filename
GSM / EDGE Reference (default) | filename
GSM / EDGE User | \User\filename
W-CDMA Reference (default) | filename
W-CDMA User | \User\filename
Another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

Note: All modulation waveform Reference directories in the instrument are read-only.

Example:

Use the following to load a file from the appropriate User directory.

:RAD:CDMA:LOAD "\user\myFile.csv"

:RAD:GSM:LOAD "\user\myFile.csv"

:RAD:WCDMa:LOAD "\user\myFile.csv"


To load a list description file

You can load a list description file that has already been copied to the instrument list User directory. You must create the list description file in an external application, such as Excel or Notepad. You must make all modifications to the list file from the application that you used to create it.

Example list file:

LIST Version 0.1,,

Begin Table,,

Frequency(Hz),Power(dBm),Dwell(sec)

9.95E+08,0,0.1

9.97E+08,0,0.1

9.99E+08,0,0.1

1.00E+09,0,0.1

1.00E+09,0,0.1

1.01E+09,0,0.1

Note: If either the sweep mode or the arbitrary waveform sequence mode is active on the Series 2900, you must stop the signal generation for that mode before starting the list mode. The sweep, list, and waveform sequence modes must have exclusive operation of the Series 2900. Switch one mode off before attempting to switch another mode on.

With the front panel interface:

  1. Select Menu > Global Settings > List Mode > Open List File.
  2. If the file that you want is in the User directory, select (highlight) the file.
  3. If the file is in another location, in the Look in: field, select the directory where the file is located. Select the list filename.
  4. Select Load > Start List.
  5. Make sure that the following conditions exist:
    • Frequency and Amplitude fields show List.
    • RF checkbox is selected.

With the remote programming interface:

You can use the programming command LIST:LOAD to load a file from a directory in the instrument, a USB memory stick inserted into the instrument, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory Path in Programming Message
List User (default) | filename
Another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

To open a list file that is already in the instrument List User directory, use the SCPI command :LIST:LOAD "\user\listname.csv".


To rename a file or folder

  1. Open the directory that contains the file (folder) you want to rename (in Look In, select the drive or folder that contains the file (folder) you want to rename).
  2. Select (highlight) the file (folder) you want to rename.
  3. Select Rename.
  4. Type the new name and select Enter.


To copy or move a file

The first copy/move procedure is intended for the following file types:

  • Instrument setups
  • Arbitrary modulation waveforms
  • Lists descriptions
  • Modulation files

The last move procedure is intended only for the following file type:

  • Instrument option licenses

With the front panel interface:

  1. Open the directory that contains the file you want to copy (In Look In:, select the drive or folder that contains the file you want to copy).
    • For instrument setup files, choose Menu > Load Setup.
    • For arbitrary waveform files, choose Select Modulation > Arb > Add Arb > Add Arb File.
    • For list description files, select Menu > Global Settings > List Mode > Open List File.
    • For signal format or digital modulation files, choose Select Modulation > the desired modulation > Waveform File > Open.
  2. Select (highlight) the file you want to copy or move.
    • To copy the file, select Copy.
    • To move the file, select Cut.
  3. In Look in:, select the directory or drive where you want to place the file.
  4. Select Paste.

Refer to Remote File Browser for information on the browser built into the LXI web interface.

With the remote programming interface:

To copy the currently playing digital modulation to the User Arb directory.

:RAD:ARB:COPY

You can also use the programming command MMEM:DATA to copy a file to a directory in the instrument or a USB memory stick inserted into the instrument. To copy a file to one of the available directories, use the following paths in the programming message.

Model 2910 Directory | Directory Path in Programming Message
cdma2000® User | \cdma2000®\Forward Link\User
W-CDMA User | \W-CDMA\Down Link\User
GSM / EDGE User | \GSM EDGE\User
Arbitrary User | \ARB\User
List User | \List\User
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

Note: All modulation waveform Reference directories in the instrument are read-only.

Example:

The following command creates a file named "example1.txt" on a USB memory stick that is inserted in the instrument.

MMEM:DATA "\USB\example1.txt", #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the contents of the file "example1.txt."

To view instrument option licenses

You can view the current license ID and option licenses from the front panel interface or the web interface.

With the front panel interface:

  1. Select Menu > Utilities > Licensing.
  2. View the current list of instrument option licenses in the displayed table.
  3. View the license ID at the top of the displayed dialog.
  4. To save the license ID, select Save ID to save the instrument license ID to a *.txt file.
  5. In the Save License ID window, navigate to a location that you can access from your computer. A USB memory stick is convenient for this purpose.
  6. Name the file to save:
    • If you want to overwrite an existing file, select the file in the directory structure.
    • If you want to save the file as new, select the keyboard button and enter the filename.txt, then select Enter.

With the LXI web interface:

  1. Connect the instrument to a web network that includes a computer.
  2. On the computer, launch a web browser and use the instrument IP address as the URL.
    • If you do not know what the instrument IP address is, you can find it from the instrument screen interface by selecting Menu > Utilities > Ethernet Settings.
  3. From the LXI web interface, click Licensing.
  4. The current list of instrument option licenses is shown in the displayed table.
  5. Click Import. The license ID is shown in the Instrument License Identifier row of the displayed table.

Related topics:

  • To open an option license file
  • To move instrument option license files
  • Instrument option license files
  • RF Product Software License Agreement

To move instrument option license files

This procedure shows you how to transfer existing option license files between instruments. The license file transfer can only be done from the LXI web interface. The keyboard short cuts (Ctrl+C, Ctrl+V) in this procedure are for Microsoft® Windows. For information on saving a newly purchased modulation license, see To open an option license file.

Throughout this procedure, these terms will be used to designate a particular instrument:

  • "Source instrument" designates the instrument that has the existing option licenses that will be transferred or exported.
  • "Destination instrument" designates the instrument that will receive or import the existing option licenses.

    Note: An instrument must have an Arb license to import other license files. (This can be accomplished by importing an Arb license along with any other license files). You can only export an Arb license file if you export all license files.

If you are transferring (exporting) licenses from more than one instrument, you must perform the steps in a particular sequence because the instrument license identifier changes as licenses are transferred. For example, if Instrument A is going to import licenses that are exported from both Instrument B and Instrument C, follow this sequence of steps:

  • Export licenses from instrument B.
  • Instrument A imports licenses from instrument B.
  • Export licenses from instrument C.
  • Instrument A imports licenses from instrument C.
  1. Connect both the source instrument and the destination instrument to a web network that includes a computer.
  2. On the computer, launch a web browser and use the source instrument IP address as the URL.
    • If you do not know an instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see Ethernet Settings.
  3. Launch another web browser and use the destination instrument IP address as the URL.
  4. In the destination instrument web page, click Licensing > Import.
  5. In the Instrument License Identifier row of the displayed table, highlight the instrument ID and copy it (Ctrl+C).

  6. In the source instrument web page, click Licensing > Export. This brings up the dialog box that requires you to enter a password. This is the same password that is used for the Administration selection on the instrument web page. The default username/password is admin/admin.
  7. In the Target Instrument License Identifier field, paste (Ctrl+V) the destination instrument license ID.

  8. In the Export column, select the check boxes for the licenses that you want to transfer to the destination instrument. Click Submit.
  9. Highlight the text in the license file and copy it (Ctrl+C).

  10. In the destination instrument web page, paste (Ctrl+V) the license file contents in the appropriate field. Click Submit.

    Note: If the power should fail during the license transfer, you can recover the license file by clicking View last exported license.


To delete a file or folder

With the front panel interface:

  1. Open the directory that contains the file (folder) you want to copy.
  2. In the Look In box, select the drive or folder that contains the file (folder) you want to delete.
  3. Select (highlight) the file (folder) you want to delete.
  4. Select Delete.

Refer to Remote File Browser for information on the browser built into the LXI web interface.

With the remote programming interface:

[:SOURce]:RADio:ARB:DELete "row" | ALL

[:SOURce]:LIST:DELete ALL | LIST_NAME


Folder or drive sharing

You can make a connection between the instrument and any Windows computer drive to share or manage files across the multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

Note: You can only establish a shared folder from the front panel interface and if a password is required, you will need a USB keyboard attached to the instrument.

Note: When the power is cycled on the instrument, the drive sharing path must be re-established.

To share a drive or folder on the network

You can make a connection between the instrument and any Microsoft® Windows computer drive to share or manage files across multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

Note: You can only establish a shared folder from the front panel interface, and if a password is required, you will need a USB keyboard attached to the instrument.

Note: When the power is cycled on the instrument, the drive sharing path must be re-established.

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

After setting up the shared folder, all file dialogs will include the shared folder as a selection under Look In. If the shared path has multiple directories, only the last directory is displayed in Look In.

For example:

\\mycomputer\public shows as "public"

\\mycomputer\public\example shows as "example"

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address.

  1. From the instrument screen, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.
  5. This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.

Select Close to close the dialog.


Glossary of Terms

Access point

Wireless devices can connect to a wired LAN through a hardware device called an access point. See Hot spot...

Advanced mobile phone service (AMPS)

AMPS is an analog cellular radio standard that represents the first generation of wireless networks.

Air interface

This is the wireless network's operating system that enables communication between a cellular phone and its carrier. Examples are CDMA, TDMA, GSM, and OFDM. See Carrier.

Amplitude modulation (AM)

AM is a transmission technique where the amplitude of a carrier signal is modulated by the amplitude of a base band signal.

Analog

Analog is a technology which utilizes a continuous "wave" of signal to carry information over radio channels. Analog is an inefficient use of system bandwidth.

Antenna

An antenna is a physical device for sending or receiving radio signals. Antennas come in a variety of shapes and sizes. The size and shape of an antenna is carefully designed and tuned to the type of radio wave being transmitted and received.

Antenna gain

This describes an antenna's transmission power as a ratio of its output signal strength to its input signal strength. It is usually expressed in dBi; a higher dBi means a stronger antenna.

Attenuation

Attenuation is the loss or weakening of a signal through a transmission line, transmission component, or signal path. This loss is typically measured in decibels.

Attenuator

An attenuator is a component that reduces the magnitude of current, voltage, or power of a signal in transmission between points.

Bandpass filter

This is a signal filter designed to pass a particular range of frequencies, while attenuating frequencies that are outside that range.

Bandwidth

Bandwidth is the width or capacity of a communications channel or transmission path. It can apply to any analog and digital circuit or system through which data flows.

  • Analog bandwidth is measured in Hertz (Hz) or cycles per second. The actual bandwidth size is the difference between the lowest and highest frequency which can be transmitted at once.
  • Digital bandwidth is the amount or volume of data that may be sent through a channel, without distortion, measured in bits per second. An example of a low-bandwidth connection would be a 56 Kbps dial-up modem. High-bandwidth (broadband) connections deliver more information at a much faster speed, capable of delivering full-screen, full-motion video.

Base station (BS or tower)

A fixed station used for communicating with mobile stations (phones). It often consists of a cabinet or small building containing electronic equipment and associated antennas. See Cell site.

Baseband

Is the original band of frequencies produced by a transducer, such as a microphone, or other signal-initiating device, prior to modulation. In wireless voice, it is the sound frequencies of the voice, before it is encoded and transmitted.

Baud

The number of signal level changes per second. Each signal level contains one or more bits of information.

BER

Bit error rate.

Bias-T

This is an in-line device that couples DC power onto an RF circuit.

Binary

Is a number system that is base-two, meaning each position must be either "0" or "1." In digital communications systems, it is important to realize that "0" and "1" are states and not necessarily 0 volts and another voltage.

Bit

Bit is an abbreviation for binary digit. A bit is a binary unit, represented by either a "0" or a "1." In digital communications, more than one state can be described by using more than one bit. For example two bits are capable of describing four states: 00, 01, 10 and 11.

Bluetooth

This is a wireless personal area network specification that connects phones, computers, and other devices over short distances by using low-power radio frequencies.

Bps

Bits per second, a measure of how fast binary digits can be sent through a channel.

BPSK

Binary phase shift keying.

Broadband

A broadband system can transmit more data at a higher speed than narrowband systems. In analog systems, broadband can be described as having a bandwidth of more than 3MHz. In digital systems broadband is associated with high-speed data transmission. Examples are high-speed Internet access and streaming video.

BS

Base station.

Byte

A byte is a sequence of 8 adjacent bits. A byte can describe 256 unique states, ranging from 00000000 (0) to 11111111 (255).

Carrier

Wireless carriers, also called service providers or operators, are the companies that operate the wireless networks and sell use of those networks (the service). However, carrier is also a technical radio term for the radio wave that carries voice or data.

CDMA -code division multiple access

CDMA is a digital spread-spectrum modulation technique. Signals are digitized and associated with a unique frequency code. The data is then scattered across the frequency band in a pseudorandom pattern. The receiving device is instructed to decipher only the data corresponding to a particular code to reconstruct the signal.

CDMA has no hard limit for the number of users who may share one base station (tower). Instead, additional users can connect until the base station determines that call quality would suffer beyond a set limit.

CDMA systems are sometimes referred to as cdmaOne. The next evolutionary step for CDMA to 3G services is cdma2000.

cdma2000®

cdma2000® defines the third-generation (3G) version of CDMA technology. It supports high-speed data transmission, always-on data service and improved voice network capacity over CDMA. cdma2000® is in competition with WCDMA and will be deployed in at least three phases - 1xRTT, 1xEV-DO and 1xEV-DV.

  • cdma2000® 1xRTT, supports up to 144 Kbps packet data speeds. It also doubles voice capacity over previous CDMA networks (IS-95).
  • cdma2000® 1xEV-DO, stands for 1x Evolution Data Only and will support data rates up to 2.4Mbps.
  • cdma2000® 1xEV-DV stands for 1x Evolution Data Voice and supports circuit and packet data rates up to 3-5Mbps. It fully integrates with 1xRTT voice networks and supports wireless Voice over IP (VoIP) services.
Cell

The cell is the basic geographic unit of a cellular system. A geographic area is divided into smaller "cells," each of which is equipped with a low-powered radio transmitter/receiver.

Cell phone

A cell phone is a wireless telephone that sends and receives messages using the radio frequency (RF) spectrum.

Cell site

This is the location where the wireless antenna and network communications equipment is placed. A cell site consists of a transmitter/receiver, antenna tower, transmission radios and radio controllers. A cell site is operated by a wireless service provider (WSP).

Cellular

Cellular is the name given to wireless communications network architecture that employs cells or modular coverage areas. The area is normally serviced by a cell site and usually provides hand-off capability between cells for roaming devices.

Cellular base station

This is the transmission and reception equipment, including the base station antenna that connects a cellular phone to the network. This is also called a cell site.

Channel

A channel is an electrical, electromagnetic, or optical path for communication between two points.

Chip

In spread spectrum, a chip is the time it takes to transmit a bit or single symbol of a PN code.

Coaxial cable, coax

A coaxial cable is a concentric two-conductor cable in which a central conductor is surrounded and shielded by another. The two conductors are separated by dielectric material.

Code

Code is a digital bit stream that has noise-like characteristics. In spread spectrum, code refers to the pseudo-random code used in the modulation technique to spread the carrier.

Codec

(acronym for coder-decoder)

This is an electronic device, circuit, or software that converts analog signals, such as video and voice into digital form, and vice-versa. It usually also includes digital compression technology for added efficiency.

Compression

In RF amplification, an amplifier is said to be "in compression" (distorting) when the output is no longer a linear representation of the input signal. This is typically at the operational limits of the amplifier.

Continuous wave (CW)

This signal is always "on"; the un-modulated carrier signal is often referred to as CW.

Coverage area

Is the name given to a geographic area within which a carrier provides service. It is the area within which a phone will complete calls using a specific carrier's network or partner networks.

Crest factor (CF)

Crest factor (peak to average power ratio of the RF envelope)

Crosstalk

Interference caused by the electric or magnetic fields of one signal affecting a signal in another circuit or channel. On wireless networks, crosstalk can sometimes result in your hearing part of a voice conversation from another circuit or channel.

CTIA

Cellular Telecommunications Industry Association.

DAB

Digital audio broadcasting.

dB

Decibel is a unit of measure used to express the relative difference in power or intensity of sound (ratio in log scale).

dBc

Decibels relative to the main signal power.

dBm

Decibel relative to one milliwatt.

DC

Direct current (0Hz).

DDS

Direct digital synthesizer.

De-spreading

De-spreading is the process used to recover narrowband information from a spread spectrum signal.

Demodulate

To demodulate is to convert a modulated carrier signal back to the original modulating base band signal.

DFT

Discrete Fourier transform.

Digital

Digital (as used in digital modulation)

Once converted, information can be very well described as binary data. In digital wireless phone systems, voice sounds are converted (encoded) to a binary stream of data at the transmit end. At the receive end, the digital signal is decoded and used to reconstruct the original sounds. This is in contrast to analog wireless phone systems, which convert the sound directly into variations in the radio signal. If that radio signal is degraded through any of numerous causes, the original signal can be impaired.

Digital modulation

Digital modulation is a method of encoding information using a binary code of 0s and 1s from electrical pulses. The nature of this encoding allows increased data security and system capacity compared to analog modulation.

Digital signal processor (DSP)

A DSP is a specialized microprocessor containing hardware features specifically for processing analog signals.

Dipole antenna

A type of antenna commonly used with wireless networking devices. It has a signal range of 360 degrees horizontally and 75 degrees vertically.

Direct sequence (DS)

A technique used in spread spectrum modulation where a pseudo-random code directly modulates the phase of a carrier. This increases the bandwidth of the transmission and results in a signal with a noise-like spectrum. The signal is de-spread by reversing the process using the same pseudo-random code.

Directional antenna

There are many different types of directional antenna. They commonly redirect the signal received from a transmitter to enhance its strength in a certain direction. This is unlike the omni-directional antenna.

Diversity

Describes a receiver's ability to select between two receive antennas, often one horizontal and one vertical. Diversity is useful for operating in areas susceptible to the effects of multi-path interference.

DMT

Discrete multi-tone.

Downlink

The portion of a telecommunications path from a base station or satellite to the ground; also referred to as the forward link.

DPSK

Differential phase shift keying.

DS-CDMA

Direct sequence code division multiple access.

DSBSC

Double side band suppressed carrier.

DSSS

Direct sequence spread spectrum.

Dual mode

A dual-mode phone can have different meanings around the globe. Common descriptions are:

  • A phone that supports both analog (i.e. AMPS) and a digital technology (CDMA or TDMA). In addition, the digital mode could be dual band, operating in either the 800/850MHz frequency band or the 1900MHz band.
  • A phone that supports both 2G and 3G technologies, for instance, a GSM/UMTS phone.

Dual-band

A dual-band digital phone will work in two frequency bands, for example, North American TDMA and CDMA phones. Dual-band indicates that the phone will work in both the 800/850MHz band and the 1900MHz band. Note: dual-band phones can also be dual mode, working in both analog and digital modes.

Duplexer

A device allowing simultaneous reception and transmission on one transmission line.

Duty cycle

The percentage of the "on time" (transmitting) versus "off time" (not transmitting). Continuous transmission is referred to as 100% duty cycle.

DVB

Direct video broadcasting.

DVB-C

Direct video broadcasting - cable.

DVB-S

Direct video broadcasting - satellite.

DVB-T

Direct video broadcasting - terrestrial.

Dwell time

A settable value that dictates the minimum time between the Series 2900 starting to change frequency for point N-1 and starting to change frequency for point N. The actual time between the start points can never be less than the hardware settling time.

EBNR

Energy per bit to noise ratio.

EDGE

See also the following GSM measurement definitions:

  • Channel power
  • Droop
  • Frequency error
  • EVM
  • IQ gain error
  • IQ origin offset
  • Output RF spectrum
  • Time mask

Effective radiated power (ERP)

The product of the transmitter peak envelope power delivered to the antenna and the relative gain of the antenna over that of a half wave dipole antenna.

EMI/RFI

Electromagnetic interference/radio frequency interference.

Encryption

The process of encoding a message (that is, a digital phone signal) to prevent it from being deciphered.

Enhanced data rates for global evolution (EDGE)

The standard is based on the GSM standard and uses TDMA multiplexing technology. EDGE provides a smooth upgrade for GSM/GPRS networks that triples data speeds over standard GPRS.

Ethernet

A standard for connecting computers into a local-area network (LAN). It is also called 10/100BaseT, which denotes a peak transmission speed of 10Mbps using copper twisted-pair cable.

FEC

Forward error correction.

Federal Communications Commission (FCC)

The FCC is the government agency responsible for regulating telecommunications in the United States.

FFT

Fast Fourier transform.

Filter

A device used to separate signals at certain frequencies. Common filters are low pass, high pass and band pass. These respectively allow transmission of low, high and a band of frequencies to pass through them.

FIR

Finite impulse response.

Forward link

The forward link is the wireless connection over which information is sent from a cellular base station (tower) to a mobile phone. It is also referred to as the downlink.

Frequency

The number of oscillations of radio waves per unit of time, usually expressed in either cycles-per-second or Hertz (Hz).

Frequency division multiplexing (FDM)

FDM is a form of analog modulation. It is a very simple method for accommodating multiple, simultaneous users in a radio band of frequency.

Frequency hopping (FH)

FH is a spread spectrum modulation technique where the transmitter frequency hops from channel to channel in a predetermined but pseudo-random manner. The same is done in reverse at the receiver to recover the original signal.

Frequency hopping spread spectrum (FHSS)

FHSS is a type of spread spectrum radio technology where the sender and receiver hop together from one frequency to another to avoid detection or jamming.

Frequency modulation (FM)

FM is an analog modulation technique that varies the carrier frequency in proportion to the amplitude of the modulating signal.

Frequency reuse

Frequency reuse is the ability to use the same frequencies repeatedly across a cellular system. Each cell is designed to use radio frequencies only within its boundaries. By design, the same frequencies can be reused in other cells not far away with little potential for interference.

FSK

Frequency shift keying.

Full-duplex transmission

A channel that allows transmission in two directions at the same time, for example, talking and listening.

Gain

The relative increase in power or magnitude of a signal, normally measured in decibels.

GHz

Gigahertz - 1 * 1,000,000,000Hz.

Global positioning system (GPS)

A GPS is a system of satellites for identifying earth locations. By triangulation of signals from three satellites, a receiving unit can pinpoint its current location anywhere on earth to within a few meters.

GMSK

Gaussian minimum shift keying.

Ground

A ground is a connection between a device or circuit and the earth, or some device serving as the earth.

GSM (global system for mobile communications)

GSM is based on time division multiple access (TDMA). TDMA works by dividing the frequency band up into individual time slots. Each time slot corresponds to an individual communications channel. There are eight time slots in GSM: a cell phone transmits during one time slot, receives in another and stays silent for the remaining six time slots. The GSM signal, therefore, appears as a signal burst in the time domain.

See also the following GSM measurement definitions:

  • Channel power
  • Frequency error
  • Output RF spectrum
  • Peak phase error
  • Phase error
  • RMS phase error
  • Time mask
Half-duplex transmission (HDX)

An HDX channel allows transmission in only one direction at a time: transmission and receiving cannot occur simultaneously.

Handoff

In wireless mobile phone systems, a "handoff" is the process of transferring a phone call in progress from one base station (tower) to another base station, without interruption (dropping) of the call.

Many phones and networks are also capable of performing handoffs between different technologies. A digital (CDMA or TDMA) call might be handed off to an analog (AMPS) tower in the middle of the call if the digital signal becomes too weak.

HDTV

High definition television.

High speed downlink packet access (HSDPA)

HSDPA is an upgrade for WCDMA (UMTS) networks. It doubles network capacity and increases download data speeds five-fold.

High-pass filter

This is a signal filter which passes frequencies above a certain frequency, and attenuates frequencies below that frequency.

Hot spot

In wireless networking, a hot spot is a specific part of an access point's range in which the general public can walk up and use the network. The service may be available for a fee, the range short to control the physical proximity of the user.

Hz

Hertz (cycles per second) is the unit of frequency measurement which equates to one cycle per second. It is abbreviated Hz and named after Heinrich R. Hertz.

ICI

Inter-carrier interference.

IF

Intermediate frequency.

IFFT

Inverse fast Fourier transform.

IMD

Inter-modulation distortion.

Impedance

Impedance is made up of a resistive component and a frequency variable component. One common measure of impedance with frequency is the voltage standing wave ratio (VSWR).

Insertion loss

This is the loss in signal strength due to the insertion of a device in the signal path.

Intermodulation (intermod)

The distortion product of an amplifier, caused by the interaction of different signal products within the amplifier.

IQ signals

In-phase quadrature signals. Orthogonal components of a signal. In-phase and quadrature phase are two components of a signal that are 90degrees out of phase with each other.

IS-95

This is a mobile phone standard using CDMA transmission methods.

ISI

Inter-symbol interference.

Isotropic antenna

This is a theoretical, ideal antenna whose signal range is 360degrees in all directions. It is used as a baseline for measuring a real antenna's signal strength in dBi, where the "i" stands for isotropic antenna.

Jamming

This is typically the intentional interference with another radio signal.

Land line

Traditional, wired phone service providing voice, video and data transmission technology over wires.

Linear amplifier

This is a device that accurately reproduces a radio wave in magnified form. The output signal has a linear relationship to the input signal.

List

An ordered list of frequency, power, and dwell triplets that the instrument plays back in an infinite loop. The sync is available point-by-point or sweep-by-sweep.

LO

Local oscillator.

Local-area network (LAN)

A LAN is a short-distance network used to link a group of computers together, usually within a building. Ethernet is the most commonly used type of LAN. A hub serves as the common wiring point, enabling data to be sent from one machine to another over the network.

Low-noise amplifier (LNA)

This is typically a precision, small-signal amplifier used in receiver applications.

Low-pass filter

This signal filter passes all frequencies below a certain frequency, and attenuates all higher frequencies.

MAC filtering

A network checks a device's MAC address against a database to see if it's authorized to access the network.

Mbps

Mega bits per second (1 * 1,000,000 bps). A megabit is approximately a million bits of data.

MHz

Megahertz - 1 * 1,000,000Hz.

Microwave

Usually refers to the band of frequencies above the radio frequency band and below the millimeter frequency band.

Mobile phone

A term often used interchangeably with "cellular phone" or "wireless phone."

Modulate

The characteristics of a base band signal are used to modify the amplitude, frequency or phase of an RF carrier signal. The carrier signal can then be transmitted with the base band signals incorporated in it.

Multi-path

The phenomenon of a radio device receiving the same signal multiple times, slightly offset in time. This often happens when a radio signal is received directly from the transmitter, and also reflected off of one or more nearby objects. Because a reflected signal takes a longer path, it is slightly delayed compared to the direct signal. Although many standard formats are degraded by multi-path, CDMA signals can actually benefit from multi-path.

Multi-path interference

Signal reflections and delayed signal images interfere with the desired signal. These situations are typically associated with high-rise city buildings and indoor wireless LAN applications.

Multiple access

A system technique for accommodating many users in the same frequency band.

Multiplexing

Multiple signals are carried in the same frequency band at the same time. In wireless applications, common multiplexing methods include TDMA, FDMA, and CDMA.

Narrowband

A signal where the transmission bandwidth is on the order of its information bandwidth.

Network

A system designed to provide access paths for communication between users at different geographic locations. Networks may be designed for voice, text, data, fax and video. They may feature limited access (private networks) or open access (public networks). The analog or digital switching and transmission technologies used can vary greatly between networks.

Network address

A unique number associated with a host that identifies it to other hosts during network transactions.

NF

Noise figure.

OFDM

Orthogonal frequency division multiplexing is a wireless transmission technique that assigns different frequencies for different digital states. Orthogonal here means that the individual frequencies chosen do not interfere with each other. WiMAX is the communication standard that implements OFDM.

Omni-directional antenna

This is like a dipole antenna because it radiates its signal 360 degrees horizontally; however because its signal is flatter than a dipole's, it has a higher gain.

Oscillator

This is a device which produces a "vibration," or variation in amplitude level at a given frequency.

Packet

In data communication, a packet is a sequence of binary digits, including control signals and a small amount of data, which is transmitted and switched as a unit. In network applications a large file can be broken into many packets, which can be sent to the same destination over different network paths and reassembled at the destination.

Packet switching

The process of routing and transferring data by means of addressed packets. A channel is occupied during the transmission of the packet only. Upon completion of the transmission, the channel is made available for the transfer of other packets or traffic. Due to its nature, packet-switched data is generally faster than circuit-switched data.

PAN

Personal-area network.

PAPR

Peak to average power ratio.

Path loss

Path loss is the weakening of a signal over its path of travel due to various factors, such as terrain and environmental conditions.

PCS

Personal communication system.

PLL

Phase locked loop.

PM

Phase modulation.

PN

Pseudo noise - a digital signal with noise-like properties.

Point-to-multipoint

A communications channel that transmits between one point and several other points is referred to as "point-to-multipoint."

Point-to-point

A communications channel that transmits between one point and another point is referred to as "point-to-point."

Power meter

A device used to measure radio energy; this is often a broadband instrument.

PRC

Peak reduction carriers.

Propagation

Propagation is the travel of a signal through a medium such as air or free space.

PRS

Pseudo random sequence.

PSK

Phase shift keying.

QAM

Quadrature amplitude modulation.

QoS

Quality of service can be used to describe how a network provider guarantees a service's performance.

QPSK

Quadrature phase shift keying.

Radiation

Electromagnetic energy, such as radio waves projected from a transmitter.

Radio frequency (RF)

RF can refer to radio waves themselves, or systems that handle radio signals directly, such as the circuits connected directly to the antenna.

Radio wave

A radio wave is a combination of electric and magnetic fields varying at a radio frequency and traveling through space. Radio waves are often described as electromagnetic energy with frequencies in the kHz to 300GHz portion of the electromagnetic spectrum.

RC

Raised cosine.

Receive gain

A measure of receive signal boost contributed by an amplifier or antenna system.

Receiver sensitivity

This is the ability of a receiver to differentiate a signal from the background noise.

Reverse link

The wireless connection over which information is sent from a mobile phone to a cellular base station. It is also referred to as the uplink.

RF

Radio frequency.

RMS

Root mean square.

Roaming

The ability to use a cellular phone outside its usual service area when traveling outside of the home service area (as defined by a service provider).

Safety ground

This is the local earth ground that grounds the neutral return.

Saturation

A term that describes the point at which the amplifier is in an over-driven situation. A device driven to saturation is no longer performing in a linear or distortion-free manner.

Settled (source)

The frequency is within 100Hz, and the output power has settled according to the current ALC mode. The modulation waveform has been calculated and is being played back.

SHARC

Super Harvard architecture, digital signal processor by Analog Devices.

Signal-to-noise ratio (SNR)

SNR is the measure of the magnitude of a desired signal relative to the magnitude of an undesired signal or noise.

SIR

Signal to interference ratio.

Smart antenna

A smart antenna system is one that focuses on a desired signal to reduce interference. A wireless network employs smart antennas in an effort to improve call quality and improve channel capacity.

SNR

Signal to noise ratio.

Soft handoff

In wireless mobile phone systems, a "soft handoff" is the process of transferring a phone call in progress from one base station (tower) to another base station. Both base stations hold on to the call until the handoff is completed (the first cell site does not cut off the conversation until it receives information that the second is maintaining the call).

Spectrum

Spectrum is the range of electromagnetic radio frequencies.

Spectrum analyzer

This is an instrument which can be used to view signals across a range of frequencies. Some spectrum analyzers can measure a vector, giving amplitude and phase information and decoding complex digital modulation formats.

Spectrum assignment

Spectrum is assigned or authorized by the Federal Communications Commission (FCC). It specifies the frequencies that can be used at specific geographic locations.

Splitter/combiner

This is a transmission component that divides or sums power between two or more ports.

Spread spectrum (SS)

This is a wireless communications technology that scatters data transmissions across the allocated frequency band in a pseudorandom pattern. Spreading the data across the frequency spectrum greatly increases the bandwidth and it also makes the signal resistant to noise, interference, and eavesdropping. At the receive end, the signal is de-spread to recover the original signal.

Spurious emissions (spurs)

Spurs are unwanted frequency signals that can cause interference in receiver systems.

SSB

Single side band.

Sweep

A stepped frequency and power sweep. A user specifies start/stop frequency, start/stop power, a dwell and number of points. A sweep can be free running, triggered sweep by sweep, or triggered point by point. A hardware sweep is available at start of sweep, end of sweep, or each point in sweep.

Switch

A switch is a mechanical, electrical or electronic device that opens or closes circuits or paths.

Sync output

An output from the Model 2910 that tells the outside world that it has completed some task, such as settling to a specific value, started an ARB playback frame, or completed a list sequence. This is a single TTL-level sync output, whose meaning is software configuration.

TDM

Time division multiplexing.

TDMA

Time division multiple access. TDMA is a digital multiplexing technique whereby each signal is sent and received at a fixed time slot in a series of time slots. The transmitter and receiver must be time-synchronized so as to demodulate the signal at the receive end.

Telecommunications

The transmission of words, sounds, or images (usually over great distances) in the form of electromagnetic energy (for example, by telephone, radio, or television).

Throughput

This describes the volume of data which can be transmitted through a communications system.

Transceiver

A combination of a transmitter and a receiver.

Trigger

An input to the instrument that causes it to do something. Series 2900 has a single analog, TTL level input for hardware triggers, and will accept a SCPI trigger.

TWTA

Traveling wave tube amplifier.

UHF (ultra high frequency)

Ultra high frequency radio waves are in the 300MHz to 3,000MHz frequency range.

UMTS (universal mobile telecommunications system)

This is a new-generation technology for rapidly moving data and multimedia over wireless devices. The goal of UMTS is to enable networks that offer true global roaming that can support a wide range of voice, data, and multimedia services.

Uplink

The uplink portion of a telecommunications path is from the ground to the base station or satellite. It is also referred to as the reverse link.

VHF (very high frequency)

VHF is in the 30MHz to 300MHz frequency range.

VPN

Virtual private network.

VSB

Vestigial side band.

VSWR (voltage standing wave ratio)

VSWR is the amount of reflected signal due to impedance mismatch.

W (Watt)

The watt is a measure of energy per unit time, which is one joule per second.

W-CDMA (wide-band code division multiple access)

W-CDMA has been designed for high-speed data services, and more particularly, internet-based packet-data offering up to 2Mbps in stationary or office environments, and up to 384Kbps in wide area or mobile environments. It also increases data transmission rates in GSM systems by using CDMA instead of TDMA.

See also the following GSM measurement definitions:

  • Adjacent channel power
  • Channel power
  • Code domain power
  • EVM

    The error vector magnitude is a measure of the difference between the reference waveform and the measured waveform.

  • Frequency error

    The difference between actual measured carrier frequency and specified carrier frequency.

  • IQ offset

    This is the DC offset of the signal in % or dB.

  • Occupied bandwidth
  • Peak code domain error

    Peak code domain error (PCDE) is a measure of how much cross-talk exists between different channels within the WCDMA signal. In other words, it is an indication of how well the orthogonality between different code channels is maintained.

    From 3GPP standard:

    The code domain error is computed by projecting the error vector power onto the code domain at a specific spreading factor. The error power for each code is defined as the ratio to the mean power of the reference waveform expressed in dB. The Peak Code Domain Error is defined as the maximum value for Code Domain Error.

  • Spectrum emissions mask
  • Total power

    The total power of the signal in a certain bandwidth at a carrier frequency; see Channel power.

WAN (wide area network)

If two local-area networks (LANs) are connected, a wide-area network results. The Internet can be considered to be a WAN.

WAP (wireless application protocol)

WAP is an open standard for communication between handsets and the Internet. WAP is a wireless communications environment for delivering web data to wireless terminals with minimal screen display.

Wavelength

The wavelength is the distance covered by one cycle of a wave.

Wi-Fi (wireless fidelity)

Originally referred to the 802.11b specification for wireless LANs, but it is now used to describe any of the 802.11 wireless networking specifications.

Wireless local area network (WLAN)

A WLAN is a short-range computer-to-computer wireless data communications network.

Wireline

Traditional telephone technology that relies upon wires is called a wire line or land line.

WLAN (wireless local-area network)

WLAN is a wirelessly connected LAN, such as an IEEE 802.11 network.

WLL

Wireless local loop.

WPA (wi-fi protected access)

Wi-Fi protected access. WPA is a specification for improving the security of Wi-Fi networks. It replaces the weaker WEP (wired equivalent privacy) specification for current and future 802.11 standards.

WPAN (wireless personal area network)

A WPAN is a PAN that uses wireless connections. However, because all current PAN technologies (such as Bluetooth) are wireless, the terms WPAN and PAN are synonymous.


*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:OPERation?

:STATus:PRESet

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable?

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle


OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

:SWEep:DWELl

:SWEep:SETTle?

:SWEep:STEP

:SWEep:STATe

:UFLatness:LOAD

:UFLatness:STATe


:LIST:LOAD

:LIST:SETTle

:LIST

:OUTPut


*TRG

*WAI

:TRIGger:DELay

:TRIGger:MODE

:TRIGger:SOURce

:INITiate


:SOUTput:IMMediate

:SOUTput:POLarity

:SOUTput:MODe


:POWer:ALC:CWAVe:TYPE

:POWer:ALC:CWAVE

:POWer:ALC:MODulation:TYPE

:POWer:ALC:MODulation

:POWer:ALC:SHOLd:REFResh

:POWer:ALC


:IEVensecond:POLarity

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce


Analog

:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FM[:DEViation]

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation

ASK Digital

:ASK:DENCoding

:ASK:FILTer

:ASK:FILTer:GAUSsian

:ASK:FILTer:RC

:ASK:FILTer:RCC

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation

FSK Digital

:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FILTer:GAUSsian

:FSK:FILTer:RC

:FSK:FILTer:RCC

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STYPe

:OUTPut

:OUTPut:MODulation

PSK Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:FILTer:GAUSsian

:PSK:FILTer:RC

:PSK:FILTer:RCC

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STYPe

QAM Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:FILTer:GAUSsian

:QAM:FILTer:RC

:QAM:FILTer:RCC

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STYPe

Standards

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD


:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FM[:DEViation]

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation


:OUTPut

:OUTPut:MODulation

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST?

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe


:TTL:INPut?

:TTL


*SAV

*RCL

:ASK:LOAD

:FSK:LOAD

:LIST:LOAD

:MMEMory:CATalog?

:MMEMory:DATA

:PSK:LOAD

:QAM:LOAD

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:OPEN

:RADio:ARB:PLAY

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:CDMa:LOAD

:RADio:GPS:PATTern:OPEN

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD

:UFLatness:LOAD


:DISPlay:CAPTure

:DISPlay:ENABle

:SYSTem:SSAVer:DELay

:SYSTem:SSAVer


*RST

:STATus:PRESet

:SYSTem:PRESet


*IDN?

:PMETer:COMMand

:SYSTem:COMMunicate:GPIB:ADDRess

:SYSTem:KLOCk

:SYSTem:LOCal

:SYSTem:PRESet

:SYSTem:REMote


:EEVensecond:POLarity

:IEVensecond:POLarity

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce


Each available digital modulation has a choice of modulation symbols. For details on the symbol type for each digital modulation, refer to the following topics:

  • ASK symbol type
  • FSK symbol type
  • PSK symbol type
  • QAM symbol type


ASK related commands:

[:SOURce]:ASK:DENCoding

[:SOURce]:ASK:FILTer

[:SOURce]:ASK:LOAD

[:SOURce]:ASK:PATTern

[:SOURce]:ASK:PATTern:INVert

[:SOURce]:ASK:SPS

[:SOURce]:ASK:STYPe


FSK related commands:

[:SOURce]:FSK:DENCoding

[:SOURce]:FSK:FILTer

[:SOURce]:FSK:FSEParation

[:SOURce]:FSK:LOAD

[:SOURce]:FSK:PATTern

[:SOURce]:FSK:PATTern:INVert

[:SOURce]:FSK:SPS

Note: The ARB file based methodology of our Series 2900 VSGs, makes FSK wrap points a theoretical problem. The phase must taper down towards the end of the ARB file, to minimize value discontinuity. The taper time, if too long, affects receiver data acquisitions.


PSK related commands:

[:SOURce]:PSK:DENCoding

[:SOURce]:PSK:FILTer

[:SOURce]:PSK:LOAD

[:SOURce]:PSK:PATTern

[:SOURce]:PSK:PATTern:INVert

[:SOURce]:PSK:SPS

[:SOURce]:PSK:STYPe


QAM related commands:

[:SOURce]:QAM:DENCoding

[:SOURce]:QAM:FILTer

[:SOURce]:QAM:LOAD

[:SOURce]:QAM:PATTern

[:SOURce]:QAM:PATTern:INVert

[:SOURce]:QAM:SPS

[:SOURce]:QAM:STYPe


ASK OOK (amplitude-shift-keying) (on-off keying) is a special case of general ASK that operates as a switch, using the presence of a carrier wave to indicate a binary '1' and its absence to indicate a binary '0.'

ASK4 (amplitude-shift-keying4) represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.

SASK2 (signed amplitude-shift-keying2) uses an additional amplitude level to represent data. This constellation diagram is the same as the BPSK constellation diagram.

SASK4 (signed amplitude-shift-keying4) represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.


FSK2 is made by having one frequency represent binary 1 and another frequency represent binary 0. The modulation frequency separation sets the relative value that the frequency shifts between the two discrete values termed the mark frequency and the space frequency.


BPSK (binary phase-shift-keying) uses two phases that are separated by 180°. This modulation is the most robust of all the PSKs but is only able to modulate at 1bit/symbol. This constellation diagram is the same as the BPSK constellation diagram.

QPSK (quaternary or quadriphase phase-shift-keying) uses four phases or points on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 2bits/symbol.

You can use this modulation in the following applications:

  • Double the data rate compared to a BPSK while maintaining the bandwidth of the signal.

    or

  • Maintain the data-rate of BPSK but halve the bandwidth needed.

Although QPSK can be viewed as a quaternary modulation, you can also see it as two independently modulated quadrature carriers. With this interpretation, the even (or odd) bits are used to modulate the in-phase component of the carrier, while the odd (or even) bits are used to modulate the quadrature-phase component of the carrier.

Õ?/ 4–QPSK is a version of QPSK uses two identical constellations which are rotated by 45° (? / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a ? / 4 rotation added to select points from the other constellation. This reduces the phase-shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°. The amplitude fluctuations of ? / 4–QPSK are between OQPSK and non-offset QPSK.

The construction of the modulated signal is the same as for ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the 'blue' constellation.
  • The second symbol (00) is taken from the 'orange' constellation.

The magnitudes of the two component waves change as they switch between constellations, but the total signal's magnitude remains constant. The amplitude will never pass through complete zero amplitude, shutting off the RF for that short duration.

3? / 4–QPSK is a version of QPSK uses two identical constellations which are rotated by 135°???? / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a 3? / 4 rotation added to select points from the other constellation. This reduces the phase-shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The construction of the modulated signal is the same as for ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the 'blue' constellation.
  • The second symbol (00) is taken from the 'orange' constellation.

The magnitudes of the two component waves change as they switch between constellations, but the total signal's magnitude remains constant. The amplitude will never pass through complete zero amplitude, shutting off the RF for that short duration.

OQPSK (offset quaternary or quadriphase phase-shift-keying) delays one of the two symbol components (in-phase and quadrature) by the duration of half a symbol (one bit). Since the symbol only changes a half symbol at a time, the maximum phase shift is 90°. As the constellation diagram for QPSK shows, each adjacent symbol differs only by one bit. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The following graphic shows the difference in the behavior of the phase shifts between QPSK and OQPSK. The phase in the QPSK graph changes by 180° at once, where the phase changes in the OQPSK graph are never greater than 90°.

OQPSK vs QPSK

8 PSK (eight phase-shift-keying) uses eight phases or points on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 3 bits/symbol.

With more than 8 phases, the error-rate for a given output power is very high because of the small vector difference between symbols. Often, it is thought to be better to use other available modulations such as quadrature amplitude modulation (QAM).


QAM 16 (quadrature amplitude modulation) uses 16phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 4 bits/symbol.

QAM 32 (quadrature amplitude modulation) uses 32phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing. This modulation is able to modulate at 5 bits/symbol. QAM32 is a square 6x6 pattern with the 4 corner states removed.

QAM 64 (quadrature amplitude modulation) uses 64phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 6 bits/symbol.

QAM 128 quadrature amplitude modulation) uses 128phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing. This modulation is able to modulate at 7 bits/symbol. QAM128 is a square 12x12 pattern with a square block of 4 states removed from each corner.

QAM 256 (quadrature amplitude modulation) uses 256phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing. This modulation is able to modulate at 8 bits/symbol.


The speed at which data symbols are transmitted or received. However, symbols can be made up of various numbers of binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01 or 10 which makes a modulation alphabet of four symbols. The more bits per symbol, the more combinations of information or data can be transmitted with a single symbol. Therefore, symbol rate and bit rate are not the same, unless the symbol is made up of one bit.

symbol rate = bit rate / #bits transmitted per symbol


This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's transmitted alphabet index and the current data index. These relative changes in conditions are represented with binary data, such as a "0" or a "1." For example, the information transmitted may be the difference between phases of successive symbols, not the absolute phase of the signal. The most common type of modulation that uses differential coding is phase-shift keying (PSK). Since this numeric process happens before the symbol is created, you can use differential encoding for any modulation type.


Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference. However, achieving these two goals requires you to consider balancing the results. The instrument allows you to apply the following filters to the signal:

NRZ (non-return-to-zero) format always keeps the signal level precisely continuous for the duration of the signal. Ideally, the output signal then switches from the previous (I,Q) value to the next (I,Q) value instantaneously at the symbol rate. Because the signal stays constant within one bit, the NRZ format allows the most information to be transmitted in the given symbol time. This information transfer comes at the expense of bandwidth. You can use other baseband filters to reduce the transmitted bandwidth while keeping an acceptable information transfer.

RC (raised-cosine) filter provides good bandwidth suppression while minimizing inter-symbol interference (ISI). The raised-cosine filter is an implementation of a low-pass Nyquist filter where the pulse shape exhibits a zero crossing at the sampling point of all other interacting pulse intervals. In the time domain, the signal is shaped with a raised cosine wave that yields a complicated waveform in the time domain.

  • Factor (?)
    • The bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the parameter alpha (?) where 0.2 ³?³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

RRC (root-raised-cosine) filter has a frequency response that is expressed as the square root of magnitude spectrum P(?) of the raised-cosine filter shape. This filter is useful when sharing the pulse-shaping load between the transmitter and receiver where a root-raised-cosine filter is typically used at each end of the communication system. The total response of the system is raised-cosine in the frequency domain.

  • Factor (?)
    • The bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the parameter alpha (?) where 0.2 ³?³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

NRZ Gaussian and Pure Gaussian Filter Types:

The Gaussian filter functions are used to limit the bandwidth of a symbol in the frequency domain and manage its inter-symbol interference (ISI) impact in the time domain, just as Raised-Cosine (RC) and Root Raised-Cosine (RRC) filters do. Furthermore, the Gaussian shapes provide a manageable bandwidth limitation for frequency modulation schemes such as FSK. By contrast, RC and RRC filter responses, once transformed by frequency modulation, do not provide a rapid stop-band transition and thereby allowing a typically unacceptable residual signal amplitude in adjacent channels.

The Gauss Function (sometimes known as the Normal Distribution Function) pulse shape is of the form e-t2. This is implemented in Keithley's General Purpose Modulations as the Pure Gauss filter type, available when either ASK, PSK or QAM modulation are selected. The filter factor, B*T, determines the tradeoff between occupied bandwidth and ISI. The BT product parameter is B (the filter's 3 dB bandwidth) times the input signal's symbol period. Low B·T numbers limit bandwidth and high numbers reduce ISI. The basic Gauss Function shape is centered on the instant of the symbol impulse. In the limit as B*T increases, the symbol shape approaches an impulse. The following figure shows the Pure Gauss pulse shapes for various BT values.

The Error Function, which is the integral of the Gauss Function, is the basis of the NRZ Gaussian filter type. This is implemented in Keithley's General Purpose Modulations by the NRZ Gauss filter type, available when FSK modulation is selected. Two copies of the error function, one centered at the symbol instant and another, inverted, centered at the following symbol instant are added to form a smoothed rectangular pulse beginning at the symbol being transmitted and ending at the following symbol instant. The subtracted pair of error function curves are then, of course, raised to form this relatively finite duration pulse. Once again, the filter factor, B*T, determines the tradeoff between occupied bandwidth and ISI. Low B·T numbers limit bandwidth and high numbers reduce ISI. In the limit as B*T increases, the symbol shape approaches a rectangular zero-order hold function. The following figure shows the NRZ Gauss pulse shapes for various BT values.

Wideband does not apply any pulse shaping filters to the modulation symbol. Ideally, the symbol is an impulse that remains intact when this modulation filter is selected.


In digital modulation, data is transmitted in a sequence of binary bits. You can choose the pattern of the data sequence. The choices available for the pattern length correlate to the data pattern selection.

PRBS sets the data pattern to a pseudorandom binary sequence of specified length: PN5, PN9, PN11, PN15. The PN9, PN11, and PN15 patterns comply with the ITU-T specification O.150 pattern specifications.

Count sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram. If the data invert function is enabled, the count starts at the highest binary number and progresses to the lowest binary number.

Alternating 0,1 sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state.


Data invert changes 0 to 1 and 1 to 0 in the data pattern.


:ASK:DENCoding

:ASK:FILTer

:ASK:FILTer:GAUSsian

:ASK:FILTer:RC

:ASK:FILTer:RCC

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation


:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FILTer:GAUSsian

:FSK:FILTer:RC

:FSK:FILTer:RCC

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STYPe

:OUTPut

:OUTPut:MODulation


:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:FILTer:GAUSsian

:PSK:FILTer:RC

:PSK:FILTer:RCC

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STYPe


:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:FILTer:GAUSsian

:QAM:FILTer:RC

:QAM:FILTer:RCC

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STYPe


Amplitude-shift-keying (ASK) is a form of amplitude modulation where the modulating signal shifts the carrier output amplitude between predetermined values in accordance with the bit stream, keeping frequency and phase constant. The level of amplitude represents binary logic 0s and 1s. On a constellation diagram, the real and imaginary axes are termed the in-phase and quadrature axes respectively due to their 90° separation. The amplitude of each point along the in-phase axis is used to modulate a cosine (or sine) wave.

Typically, the ASK modulation requires no carrier synchronization in the receiver so it is used for simpler types of systems. A variant of ASK exists known as signed amplitude-shift-keying (SASK) that does require synchronization. This scheme allows a phase reversal as the only additional change without any imaginary (Q) component to the signal.


:MIMO:MODE

:MIMO:SYNC[:STATe]

[:SOURce]:INTernal:CLOCk

[:SOURce]:VCO[:STATe]

[:SOURce]:PHASe:ADJust